import * as React$1 from 'react';
import React__default from 'react';
import * as DialogPrimitive from '@radix-ui/react-dialog';
import { DialogProps as DialogProps$1, DialogContentProps as DialogContentProps$1, DialogPortalProps as DialogPortalProps$1, DialogOverlayProps as DialogOverlayProps$1, DialogTitleProps as DialogTitleProps$1, DialogDescriptionProps as DialogDescriptionProps$1 } from '@radix-ui/react-dialog';
import * as _stitches_react_types_theme from '@stitches/react/types/theme';
import { Token } from '@stitches/react/types/theme';
import * as _stitches_react_types_css from '@stitches/react/types/css';
import { StandardLonghandProperties } from '@stitches/react/types/css';
import * as _stitches_react_types_stitches from '@stitches/react/types/stitches';
import * as _stitches_react_types_css_util from '@stitches/react/types/css-util';
import * as _stitches_react_types_config from '@stitches/react/types/config';
import * as Stitches from '@stitches/react';
import { CSS as CSS$1, PropertyValue, VariantProps } from '@stitches/react';
export { VariantProps } from '@stitches/react';
import * as _stitches_react_types_styled_component from '@stitches/react/types/styled-component';
import * as TooltipPrimitive from '@radix-ui/react-tooltip';
import { TooltipContentProps, TooltipTriggerProps, TooltipProps as TooltipProps$1, TooltipPortalProps, TooltipProviderProps } from '@radix-ui/react-tooltip';
import * as TabsPrimitive from '@radix-ui/react-tabs';
import { TabsContentProps as TabsContentProps$1 } from '@radix-ui/react-tabs';
import * as SelectPrimitive from '@radix-ui/react-select';
import { LabelProps } from '@radix-ui/react-label';
import * as RadioGroupPrimitive from '@radix-ui/react-radio-group';
import { RadioGroupProps as RadioGroupProps$1 } from '@radix-ui/react-radio-group';
import * as PopoverPrimitive from '@radix-ui/react-popover';
import { PopoverProps as PopoverProps$1, PopoverPortalProps as PopoverPortalProps$1, PopoverContentProps as PopoverContentProps$1, PopoverTriggerProps as PopoverTriggerProps$1, PopoverAnchorProps as PopoverAnchorProps$1, PopoverCloseProps as PopoverCloseProps$1 } from '@radix-ui/react-popover';
import { ComboBoxState, Key } from 'react-stately';
import { AriaListBoxOptions } from 'react-aria';
import { CollectionChildren } from '@react-types/shared';
import { SeparatorProps } from '@radix-ui/react-separator';
import * as PrimitiveCheckbox from '@radix-ui/react-checkbox';
import * as AvatarPrimitive from '@radix-ui/react-avatar';
import * as ActionMenuPrimitive from '@radix-ui/react-dropdown-menu';
import { DropdownMenuPortalProps, DropdownMenuProps, DropdownMenuSubProps } from '@radix-ui/react-dropdown-menu';
import * as AccordionPrimitive from '@radix-ui/react-accordion';
import { AccordionContentProps, AccordionItemProps as AccordionItemProps$1, AccordionSingleProps, AccordionMultipleProps, AccordionHeaderProps } from '@radix-ui/react-accordion';
import * as SwitchPrimitive from '@radix-ui/react-switch';
import { SwitchThumbProps as SwitchThumbProps$1 } from '@radix-ui/react-switch';
import * as NavigationMenuPrimitive from '@radix-ui/react-navigation-menu';
import { usePopper } from 'react-popper';

declare type DialogContextInterface = {
    open: boolean | undefined;
};
declare const DialogContext: React$1.Context<DialogContextInterface>;
declare type DialogRootProps = DialogProps$1;
declare const DialogRoot: {
    ({ open: openProp, defaultOpen, onOpenChange, ...props }: DialogRootProps): React$1.JSX.Element;
    displayName: string;
};

declare const WPDS: _stitches_react_types_stitches.default<"wpds", {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: PropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: PropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: PropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: PropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: PropertyValue<"width" | "height">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>;
declare type CSS = CSS$1<typeof WPDS>;
declare const styled: {
    withConfig: (config: {
        componentId?: string | undefined;
        displayName?: string | undefined;
        shouldForwardStitchesProp?: ((prop: "css" | (string & {})) => boolean | void) | undefined;
    }) => _stitches_react_types_stitches.StyledFunctionType<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: PropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: PropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: PropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: PropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: PropertyValue<"width" | "height">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }>;
} & _stitches_react_types_stitches.StyledFunctionType<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: PropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: PropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: PropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: PropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: PropertyValue<"width" | "height">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>;
declare const css: {
    withConfig: (config: {
        componentId?: string | undefined;
        displayName?: string | undefined;
        shouldForwardStitchesProp?: ((prop: "css" | (string & {})) => boolean | void) | undefined;
    }) => _stitches_react_types_stitches.CssFunctionType<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: PropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: PropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: PropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: PropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: PropertyValue<"width" | "height">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }>;
} & _stitches_react_types_stitches.CssFunctionType<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: PropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: PropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: PropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: PropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: PropertyValue<"width" | "height">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>;
declare const globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? _stitches_react_types_css.AtRule.FontFace | _stitches_react_types_css.AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: PropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: PropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: PropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: PropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: PropertyValue<"width" | "height">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }>;
} : K extends `@property ${string}` ? _stitches_react_types_css.AtRule.Property : _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: PropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: PropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: PropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: PropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: PropertyValue<"width" | "height">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>; })[]) => () => string;
declare const keyframes: (style: {
    [offset: string]: _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: PropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: PropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: PropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: PropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: PropertyValue<"width" | "height">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }>;
}) => {
    (): string;
    name: string;
};
declare const getCssText: () => string;
declare const theme: string & {
    className: string;
    selector: string;
} & {
    colors: {
        errorContainer: _stitches_react_types_theme.Token<"errorContainer", string, "colors", "wpds">;
        error: _stitches_react_types_theme.Token<"error", string, "colors", "wpds">;
        warningContainer: _stitches_react_types_theme.Token<"warningContainer", string, "colors", "wpds">;
        warning: _stitches_react_types_theme.Token<"warning", string, "colors", "wpds">;
        successContainer: _stitches_react_types_theme.Token<"successContainer", string, "colors", "wpds">;
        success: _stitches_react_types_theme.Token<"success", string, "colors", "wpds">;
        signalContainer: _stitches_react_types_theme.Token<"signalContainer", string, "colors", "wpds">;
        signal: _stitches_react_types_theme.Token<"signal", string, "colors", "wpds">;
        "onMessage-subtle-hover": _stitches_react_types_theme.Token<"onMessage-subtle-hover", string, "colors", "wpds">;
        "onMessage-subtle": _stitches_react_types_theme.Token<"onMessage-subtle", string, "colors", "wpds">;
        "onMessage-hover": _stitches_react_types_theme.Token<"onMessage-hover", string, "colors", "wpds">;
        onMessage: _stitches_react_types_theme.Token<"onMessage", string, "colors", "wpds">;
        portal: _stitches_react_types_theme.Token<"portal", string, "colors", "wpds">;
        "onPortal-subtle-hover": _stitches_react_types_theme.Token<"onPortal-subtle-hover", string, "colors", "wpds">;
        "onPortal-subtle": _stitches_react_types_theme.Token<"onPortal-subtle", string, "colors", "wpds">;
        "onPortal-hover": _stitches_react_types_theme.Token<"onPortal-hover", string, "colors", "wpds">;
        onPortal: _stitches_react_types_theme.Token<"onPortal", string, "colors", "wpds">;
        "onSurface-subtle-hover": _stitches_react_types_theme.Token<"onSurface-subtle-hover", string, "colors", "wpds">;
        "onSurface-subtle": _stitches_react_types_theme.Token<"onSurface-subtle", string, "colors", "wpds">;
        "onSurface-hover": _stitches_react_types_theme.Token<"onSurface-hover", string, "colors", "wpds">;
        onSurface: _stitches_react_types_theme.Token<"onSurface", string, "colors", "wpds">;
        "surface-highest": _stitches_react_types_theme.Token<"surface-highest", string, "colors", "wpds">;
        surface: _stitches_react_types_theme.Token<"surface", string, "colors", "wpds">;
        "onBackground-subtle-hover": _stitches_react_types_theme.Token<"onBackground-subtle-hover", string, "colors", "wpds">;
        "onBackground-subtle": _stitches_react_types_theme.Token<"onBackground-subtle", string, "colors", "wpds">;
        "onBackground-hover": _stitches_react_types_theme.Token<"onBackground-hover", string, "colors", "wpds">;
        onBackground: _stitches_react_types_theme.Token<"onBackground", string, "colors", "wpds">;
        "background-forSurfaces": _stitches_react_types_theme.Token<"background-forSurfaces", string, "colors", "wpds">;
        background: _stitches_react_types_theme.Token<"background", string, "colors", "wpds">;
        accessible: _stitches_react_types_theme.Token<"accessible", string, "colors", "wpds">;
        "outline-subtle": _stitches_react_types_theme.Token<"outline-subtle", string, "colors", "wpds">;
        outline: _stitches_react_types_theme.Token<"outline", string, "colors", "wpds">;
        subtle: _stitches_react_types_theme.Token<"subtle", string, "colors", "wpds">;
        faint: _stitches_react_types_theme.Token<"faint", string, "colors", "wpds">;
        onDisabled: _stitches_react_types_theme.Token<"onDisabled", string, "colors", "wpds">;
        disabled: _stitches_react_types_theme.Token<"disabled", string, "colors", "wpds">;
        "onCtaContainer-subtle-hover": _stitches_react_types_theme.Token<"onCtaContainer-subtle-hover", string, "colors", "wpds">;
        "onCtaContainer-subtle": _stitches_react_types_theme.Token<"onCtaContainer-subtle", string, "colors", "wpds">;
        "onCtaContainer-hover": _stitches_react_types_theme.Token<"onCtaContainer-hover", string, "colors", "wpds">;
        onCtaContainer: _stitches_react_types_theme.Token<"onCtaContainer", string, "colors", "wpds">;
        ctaContainer: _stitches_react_types_theme.Token<"ctaContainer", string, "colors", "wpds">;
        "onCta-hover": _stitches_react_types_theme.Token<"onCta-hover", string, "colors", "wpds">;
        onCta: _stitches_react_types_theme.Token<"onCta", string, "colors", "wpds">;
        "cta-hover": _stitches_react_types_theme.Token<"cta-hover", string, "colors", "wpds">;
        cta: _stitches_react_types_theme.Token<"cta", string, "colors", "wpds">;
        "onSecondary-subtle-hover": _stitches_react_types_theme.Token<"onSecondary-subtle-hover", string, "colors", "wpds">;
        "onSecondary-subtle": _stitches_react_types_theme.Token<"onSecondary-subtle", string, "colors", "wpds">;
        "onSecondary-hover": _stitches_react_types_theme.Token<"onSecondary-hover", string, "colors", "wpds">;
        onSecondary: _stitches_react_types_theme.Token<"onSecondary", string, "colors", "wpds">;
        "secondary-hover": _stitches_react_types_theme.Token<"secondary-hover", string, "colors", "wpds">;
        secondary: _stitches_react_types_theme.Token<"secondary", string, "colors", "wpds">;
        "onPrimary-subtle-hover": _stitches_react_types_theme.Token<"onPrimary-subtle-hover", string, "colors", "wpds">;
        "onPrimary-subtle": _stitches_react_types_theme.Token<"onPrimary-subtle", string, "colors", "wpds">;
        "onPrimary-hover": _stitches_react_types_theme.Token<"onPrimary-hover", string, "colors", "wpds">;
        onPrimary: _stitches_react_types_theme.Token<"onPrimary", string, "colors", "wpds">;
        "primary-hover": _stitches_react_types_theme.Token<"primary-hover", string, "colors", "wpds">;
        primary: _stitches_react_types_theme.Token<"primary", string, "colors", "wpds">;
        opinions: _stitches_react_types_theme.Token<"opinions", string, "colors", "wpds">;
        "opinions-hover": _stitches_react_types_theme.Token<"opinions-hover", string, "colors", "wpds">;
        onOpinions: _stitches_react_types_theme.Token<"onOpinions", string, "colors", "wpds">;
        "onOpinions-hover": _stitches_react_types_theme.Token<"onOpinions-hover", string, "colors", "wpds">;
        opinionsContainer: _stitches_react_types_theme.Token<"opinionsContainer", string, "colors", "wpds">;
        onOpinionsContainer: _stitches_react_types_theme.Token<"onOpinionsContainer", string, "colors", "wpds">;
        "onOpinionsContainer-hover": _stitches_react_types_theme.Token<"onOpinionsContainer-hover", string, "colors", "wpds">;
        "alpha0-static": _stitches_react_types_theme.Token<"alpha0-static", string, "colors", "wpds">;
        "alpha20-static": _stitches_react_types_theme.Token<"alpha20-static", string, "colors", "wpds">;
        "alpha40-static": _stitches_react_types_theme.Token<"alpha40-static", string, "colors", "wpds">;
        "alpha60-static": _stitches_react_types_theme.Token<"alpha60-static", string, "colors", "wpds">;
        "alpha80-static": _stitches_react_types_theme.Token<"alpha80-static", string, "colors", "wpds">;
        "alpha100-static": _stitches_react_types_theme.Token<"alpha100-static", string, "colors", "wpds">;
        "alpha200-static": _stitches_react_types_theme.Token<"alpha200-static", string, "colors", "wpds">;
        "alpha300-static": _stitches_react_types_theme.Token<"alpha300-static", string, "colors", "wpds">;
        "alpha400-static": _stitches_react_types_theme.Token<"alpha400-static", string, "colors", "wpds">;
        "alpha500-static": _stitches_react_types_theme.Token<"alpha500-static", string, "colors", "wpds">;
        "alpha50-static": _stitches_react_types_theme.Token<"alpha50-static", string, "colors", "wpds">;
        "alpha25-static": _stitches_react_types_theme.Token<"alpha25-static", string, "colors", "wpds">;
        "red600-static": _stitches_react_types_theme.Token<"red600-static", string, "colors", "wpds">;
        "red500-static": _stitches_react_types_theme.Token<"red500-static", string, "colors", "wpds">;
        "red400-static": _stitches_react_types_theme.Token<"red400-static", string, "colors", "wpds">;
        "red300-static": _stitches_react_types_theme.Token<"red300-static", string, "colors", "wpds">;
        "red200-static": _stitches_react_types_theme.Token<"red200-static", string, "colors", "wpds">;
        "red100-static": _stitches_react_types_theme.Token<"red100-static", string, "colors", "wpds">;
        "red80-static": _stitches_react_types_theme.Token<"red80-static", string, "colors", "wpds">;
        "red60-static": _stitches_react_types_theme.Token<"red60-static", string, "colors", "wpds">;
        "red40-static": _stitches_react_types_theme.Token<"red40-static", string, "colors", "wpds">;
        "spark600-static": _stitches_react_types_theme.Token<"spark600-static", string, "colors", "wpds">;
        "spark500-static": _stitches_react_types_theme.Token<"spark500-static", string, "colors", "wpds">;
        "spark400-static": _stitches_react_types_theme.Token<"spark400-static", string, "colors", "wpds">;
        "spark300-static": _stitches_react_types_theme.Token<"spark300-static", string, "colors", "wpds">;
        "spark200-static": _stitches_react_types_theme.Token<"spark200-static", string, "colors", "wpds">;
        "spark100-static": _stitches_react_types_theme.Token<"spark100-static", string, "colors", "wpds">;
        "spark80-static": _stitches_react_types_theme.Token<"spark80-static", string, "colors", "wpds">;
        "spark60-static": _stitches_react_types_theme.Token<"spark60-static", string, "colors", "wpds">;
        "spark40-static": _stitches_react_types_theme.Token<"spark40-static", string, "colors", "wpds">;
        "orange600-static": _stitches_react_types_theme.Token<"orange600-static", string, "colors", "wpds">;
        "orange500-static": _stitches_react_types_theme.Token<"orange500-static", string, "colors", "wpds">;
        "orange400-static": _stitches_react_types_theme.Token<"orange400-static", string, "colors", "wpds">;
        "orange300-static": _stitches_react_types_theme.Token<"orange300-static", string, "colors", "wpds">;
        "orange200-static": _stitches_react_types_theme.Token<"orange200-static", string, "colors", "wpds">;
        "orange100-static": _stitches_react_types_theme.Token<"orange100-static", string, "colors", "wpds">;
        "orange80-static": _stitches_react_types_theme.Token<"orange80-static", string, "colors", "wpds">;
        "orange60-static": _stitches_react_types_theme.Token<"orange60-static", string, "colors", "wpds">;
        "orange40-static": _stitches_react_types_theme.Token<"orange40-static", string, "colors", "wpds">;
        "mustard600-static": _stitches_react_types_theme.Token<"mustard600-static", string, "colors", "wpds">;
        "mustard500-static": _stitches_react_types_theme.Token<"mustard500-static", string, "colors", "wpds">;
        "mustard400-static": _stitches_react_types_theme.Token<"mustard400-static", string, "colors", "wpds">;
        "mustard300-static": _stitches_react_types_theme.Token<"mustard300-static", string, "colors", "wpds">;
        "mustard200-static": _stitches_react_types_theme.Token<"mustard200-static", string, "colors", "wpds">;
        "mustard100-static": _stitches_react_types_theme.Token<"mustard100-static", string, "colors", "wpds">;
        "mustard80-static": _stitches_react_types_theme.Token<"mustard80-static", string, "colors", "wpds">;
        "mustard60-static": _stitches_react_types_theme.Token<"mustard60-static", string, "colors", "wpds">;
        "mustard40-static": _stitches_react_types_theme.Token<"mustard40-static", string, "colors", "wpds">;
        "gold600-static": _stitches_react_types_theme.Token<"gold600-static", string, "colors", "wpds">;
        "gold500-static": _stitches_react_types_theme.Token<"gold500-static", string, "colors", "wpds">;
        "gold400-static": _stitches_react_types_theme.Token<"gold400-static", string, "colors", "wpds">;
        "gold300-static": _stitches_react_types_theme.Token<"gold300-static", string, "colors", "wpds">;
        "gold200-static": _stitches_react_types_theme.Token<"gold200-static", string, "colors", "wpds">;
        "gold100-static": _stitches_react_types_theme.Token<"gold100-static", string, "colors", "wpds">;
        "gold80-static": _stitches_react_types_theme.Token<"gold80-static", string, "colors", "wpds">;
        "gold60-static": _stitches_react_types_theme.Token<"gold60-static", string, "colors", "wpds">;
        "gold40-static": _stitches_react_types_theme.Token<"gold40-static", string, "colors", "wpds">;
        "yellow600-static": _stitches_react_types_theme.Token<"yellow600-static", string, "colors", "wpds">;
        "yellow100-static": _stitches_react_types_theme.Token<"yellow100-static", string, "colors", "wpds">;
        "green600-static": _stitches_react_types_theme.Token<"green600-static", string, "colors", "wpds">;
        "green500-static": _stitches_react_types_theme.Token<"green500-static", string, "colors", "wpds">;
        "green400-static": _stitches_react_types_theme.Token<"green400-static", string, "colors", "wpds">;
        "green300-static": _stitches_react_types_theme.Token<"green300-static", string, "colors", "wpds">;
        "green200-static": _stitches_react_types_theme.Token<"green200-static", string, "colors", "wpds">;
        "green100-static": _stitches_react_types_theme.Token<"green100-static", string, "colors", "wpds">;
        "green80-static": _stitches_react_types_theme.Token<"green80-static", string, "colors", "wpds">;
        "green60-static": _stitches_react_types_theme.Token<"green60-static", string, "colors", "wpds">;
        "green40-static": _stitches_react_types_theme.Token<"green40-static", string, "colors", "wpds">;
        "teal600-static": _stitches_react_types_theme.Token<"teal600-static", string, "colors", "wpds">;
        "teal500-static": _stitches_react_types_theme.Token<"teal500-static", string, "colors", "wpds">;
        "teal400-static": _stitches_react_types_theme.Token<"teal400-static", string, "colors", "wpds">;
        "teal300-static": _stitches_react_types_theme.Token<"teal300-static", string, "colors", "wpds">;
        "teal200-static": _stitches_react_types_theme.Token<"teal200-static", string, "colors", "wpds">;
        "teal100-static": _stitches_react_types_theme.Token<"teal100-static", string, "colors", "wpds">;
        "teal80-static": _stitches_react_types_theme.Token<"teal80-static", string, "colors", "wpds">;
        "teal60-static": _stitches_react_types_theme.Token<"teal60-static", string, "colors", "wpds">;
        "teal40-static": _stitches_react_types_theme.Token<"teal40-static", string, "colors", "wpds">;
        "blue600-static": _stitches_react_types_theme.Token<"blue600-static", string, "colors", "wpds">;
        "blue500-static": _stitches_react_types_theme.Token<"blue500-static", string, "colors", "wpds">;
        "blue400-static": _stitches_react_types_theme.Token<"blue400-static", string, "colors", "wpds">;
        "blue300-static": _stitches_react_types_theme.Token<"blue300-static", string, "colors", "wpds">;
        "blue200-static": _stitches_react_types_theme.Token<"blue200-static", string, "colors", "wpds">;
        "blue100-static": _stitches_react_types_theme.Token<"blue100-static", string, "colors", "wpds">;
        "blue80-static": _stitches_react_types_theme.Token<"blue80-static", string, "colors", "wpds">;
        "blue60-static": _stitches_react_types_theme.Token<"blue60-static", string, "colors", "wpds">;
        "blue40-static": _stitches_react_types_theme.Token<"blue40-static", string, "colors", "wpds">;
        "purple600-static": _stitches_react_types_theme.Token<"purple600-static", string, "colors", "wpds">;
        "purple500-static": _stitches_react_types_theme.Token<"purple500-static", string, "colors", "wpds">;
        "purple400-static": _stitches_react_types_theme.Token<"purple400-static", string, "colors", "wpds">;
        "purple300-static": _stitches_react_types_theme.Token<"purple300-static", string, "colors", "wpds">;
        "purple200-static": _stitches_react_types_theme.Token<"purple200-static", string, "colors", "wpds">;
        "purple100-static": _stitches_react_types_theme.Token<"purple100-static", string, "colors", "wpds">;
        "purple80-static": _stitches_react_types_theme.Token<"purple80-static", string, "colors", "wpds">;
        "purple60-static": _stitches_react_types_theme.Token<"purple60-static", string, "colors", "wpds">;
        "purple40-static": _stitches_react_types_theme.Token<"purple40-static", string, "colors", "wpds">;
        "pink600-static": _stitches_react_types_theme.Token<"pink600-static", string, "colors", "wpds">;
        "pink500-static": _stitches_react_types_theme.Token<"pink500-static", string, "colors", "wpds">;
        "pink400-static": _stitches_react_types_theme.Token<"pink400-static", string, "colors", "wpds">;
        "pink300-static": _stitches_react_types_theme.Token<"pink300-static", string, "colors", "wpds">;
        "pink200-static": _stitches_react_types_theme.Token<"pink200-static", string, "colors", "wpds">;
        "pink100-static": _stitches_react_types_theme.Token<"pink100-static", string, "colors", "wpds">;
        "pink80-static": _stitches_react_types_theme.Token<"pink80-static", string, "colors", "wpds">;
        "pink60-static": _stitches_react_types_theme.Token<"pink60-static", string, "colors", "wpds">;
        "pink40-static": _stitches_react_types_theme.Token<"pink40-static", string, "colors", "wpds">;
        "gray700-static": _stitches_react_types_theme.Token<"gray700-static", string, "colors", "wpds">;
        "gray600-static": _stitches_react_types_theme.Token<"gray600-static", string, "colors", "wpds">;
        "gray500-static": _stitches_react_types_theme.Token<"gray500-static", string, "colors", "wpds">;
        "gray400-static": _stitches_react_types_theme.Token<"gray400-static", string, "colors", "wpds">;
        "gray300-static": _stitches_react_types_theme.Token<"gray300-static", string, "colors", "wpds">;
        "gray200-static": _stitches_react_types_theme.Token<"gray200-static", string, "colors", "wpds">;
        "gray100-static": _stitches_react_types_theme.Token<"gray100-static", string, "colors", "wpds">;
        "gray80-static": _stitches_react_types_theme.Token<"gray80-static", string, "colors", "wpds">;
        "gray60-static": _stitches_react_types_theme.Token<"gray60-static", string, "colors", "wpds">;
        "gray40-static": _stitches_react_types_theme.Token<"gray40-static", string, "colors", "wpds">;
        "gray20-static": _stitches_react_types_theme.Token<"gray20-static", string, "colors", "wpds">;
        "gray0-static": _stitches_react_types_theme.Token<"gray0-static", string, "colors", "wpds">;
        alpha0: _stitches_react_types_theme.Token<"alpha0", string, "colors", "wpds">;
        alpha20: _stitches_react_types_theme.Token<"alpha20", string, "colors", "wpds">;
        alpha40: _stitches_react_types_theme.Token<"alpha40", string, "colors", "wpds">;
        alpha60: _stitches_react_types_theme.Token<"alpha60", string, "colors", "wpds">;
        alpha80: _stitches_react_types_theme.Token<"alpha80", string, "colors", "wpds">;
        alpha100: _stitches_react_types_theme.Token<"alpha100", string, "colors", "wpds">;
        alpha200: _stitches_react_types_theme.Token<"alpha200", string, "colors", "wpds">;
        alpha300: _stitches_react_types_theme.Token<"alpha300", string, "colors", "wpds">;
        alpha400: _stitches_react_types_theme.Token<"alpha400", string, "colors", "wpds">;
        alpha500: _stitches_react_types_theme.Token<"alpha500", string, "colors", "wpds">;
        "alpha0-invert": _stitches_react_types_theme.Token<"alpha0-invert", string, "colors", "wpds">;
        "alpha20-invert": _stitches_react_types_theme.Token<"alpha20-invert", string, "colors", "wpds">;
        "alpha40-invert": _stitches_react_types_theme.Token<"alpha40-invert", string, "colors", "wpds">;
        "alpha60-invert": _stitches_react_types_theme.Token<"alpha60-invert", string, "colors", "wpds">;
        "alpha80-invert": _stitches_react_types_theme.Token<"alpha80-invert", string, "colors", "wpds">;
        "alpha100-invert": _stitches_react_types_theme.Token<"alpha100-invert", string, "colors", "wpds">;
        "alpha200-invert": _stitches_react_types_theme.Token<"alpha200-invert", string, "colors", "wpds">;
        "alpha300-invert": _stitches_react_types_theme.Token<"alpha300-invert", string, "colors", "wpds">;
        "alpha400-invert": _stitches_react_types_theme.Token<"alpha400-invert", string, "colors", "wpds">;
        "alpha500-invert": _stitches_react_types_theme.Token<"alpha500-invert", string, "colors", "wpds">;
        alpha50: _stitches_react_types_theme.Token<"alpha50", string, "colors", "wpds">;
        alpha25: _stitches_react_types_theme.Token<"alpha25", string, "colors", "wpds">;
        red600: _stitches_react_types_theme.Token<"red600", string, "colors", "wpds">;
        red500: _stitches_react_types_theme.Token<"red500", string, "colors", "wpds">;
        red400: _stitches_react_types_theme.Token<"red400", string, "colors", "wpds">;
        red300: _stitches_react_types_theme.Token<"red300", string, "colors", "wpds">;
        red200: _stitches_react_types_theme.Token<"red200", string, "colors", "wpds">;
        red100: _stitches_react_types_theme.Token<"red100", string, "colors", "wpds">;
        red80: _stitches_react_types_theme.Token<"red80", string, "colors", "wpds">;
        red60: _stitches_react_types_theme.Token<"red60", string, "colors", "wpds">;
        red40: _stitches_react_types_theme.Token<"red40", string, "colors", "wpds">;
        spark600: _stitches_react_types_theme.Token<"spark600", string, "colors", "wpds">;
        spark500: _stitches_react_types_theme.Token<"spark500", string, "colors", "wpds">;
        spark400: _stitches_react_types_theme.Token<"spark400", string, "colors", "wpds">;
        spark300: _stitches_react_types_theme.Token<"spark300", string, "colors", "wpds">;
        spark200: _stitches_react_types_theme.Token<"spark200", string, "colors", "wpds">;
        spark100: _stitches_react_types_theme.Token<"spark100", string, "colors", "wpds">;
        spark80: _stitches_react_types_theme.Token<"spark80", string, "colors", "wpds">;
        spark60: _stitches_react_types_theme.Token<"spark60", string, "colors", "wpds">;
        spark40: _stitches_react_types_theme.Token<"spark40", string, "colors", "wpds">;
        orange600: _stitches_react_types_theme.Token<"orange600", string, "colors", "wpds">;
        orange500: _stitches_react_types_theme.Token<"orange500", string, "colors", "wpds">;
        orange400: _stitches_react_types_theme.Token<"orange400", string, "colors", "wpds">;
        orange300: _stitches_react_types_theme.Token<"orange300", string, "colors", "wpds">;
        orange200: _stitches_react_types_theme.Token<"orange200", string, "colors", "wpds">;
        orange100: _stitches_react_types_theme.Token<"orange100", string, "colors", "wpds">;
        orange80: _stitches_react_types_theme.Token<"orange80", string, "colors", "wpds">;
        orange60: _stitches_react_types_theme.Token<"orange60", string, "colors", "wpds">;
        orange40: _stitches_react_types_theme.Token<"orange40", string, "colors", "wpds">;
        mustard600: _stitches_react_types_theme.Token<"mustard600", string, "colors", "wpds">;
        mustard500: _stitches_react_types_theme.Token<"mustard500", string, "colors", "wpds">;
        mustard400: _stitches_react_types_theme.Token<"mustard400", string, "colors", "wpds">;
        mustard300: _stitches_react_types_theme.Token<"mustard300", string, "colors", "wpds">;
        mustard200: _stitches_react_types_theme.Token<"mustard200", string, "colors", "wpds">;
        mustard100: _stitches_react_types_theme.Token<"mustard100", string, "colors", "wpds">;
        mustard80: _stitches_react_types_theme.Token<"mustard80", string, "colors", "wpds">;
        mustard60: _stitches_react_types_theme.Token<"mustard60", string, "colors", "wpds">;
        mustard40: _stitches_react_types_theme.Token<"mustard40", string, "colors", "wpds">;
        gold600: _stitches_react_types_theme.Token<"gold600", string, "colors", "wpds">;
        gold500: _stitches_react_types_theme.Token<"gold500", string, "colors", "wpds">;
        gold400: _stitches_react_types_theme.Token<"gold400", string, "colors", "wpds">;
        gold300: _stitches_react_types_theme.Token<"gold300", string, "colors", "wpds">;
        gold200: _stitches_react_types_theme.Token<"gold200", string, "colors", "wpds">;
        gold100: _stitches_react_types_theme.Token<"gold100", string, "colors", "wpds">;
        gold80: _stitches_react_types_theme.Token<"gold80", string, "colors", "wpds">;
        gold60: _stitches_react_types_theme.Token<"gold60", string, "colors", "wpds">;
        gold40: _stitches_react_types_theme.Token<"gold40", string, "colors", "wpds">;
        yellow600: _stitches_react_types_theme.Token<"yellow600", string, "colors", "wpds">;
        yellow100: _stitches_react_types_theme.Token<"yellow100", string, "colors", "wpds">;
        green600: _stitches_react_types_theme.Token<"green600", string, "colors", "wpds">;
        green500: _stitches_react_types_theme.Token<"green500", string, "colors", "wpds">;
        green400: _stitches_react_types_theme.Token<"green400", string, "colors", "wpds">;
        green300: _stitches_react_types_theme.Token<"green300", string, "colors", "wpds">;
        green200: _stitches_react_types_theme.Token<"green200", string, "colors", "wpds">;
        green100: _stitches_react_types_theme.Token<"green100", string, "colors", "wpds">;
        green80: _stitches_react_types_theme.Token<"green80", string, "colors", "wpds">;
        green60: _stitches_react_types_theme.Token<"green60", string, "colors", "wpds">;
        green40: _stitches_react_types_theme.Token<"green40", string, "colors", "wpds">;
        teal600: _stitches_react_types_theme.Token<"teal600", string, "colors", "wpds">;
        teal500: _stitches_react_types_theme.Token<"teal500", string, "colors", "wpds">;
        teal400: _stitches_react_types_theme.Token<"teal400", string, "colors", "wpds">;
        teal300: _stitches_react_types_theme.Token<"teal300", string, "colors", "wpds">;
        teal200: _stitches_react_types_theme.Token<"teal200", string, "colors", "wpds">;
        teal100: _stitches_react_types_theme.Token<"teal100", string, "colors", "wpds">;
        teal80: _stitches_react_types_theme.Token<"teal80", string, "colors", "wpds">;
        teal60: _stitches_react_types_theme.Token<"teal60", string, "colors", "wpds">;
        teal40: _stitches_react_types_theme.Token<"teal40", string, "colors", "wpds">;
        blue600: _stitches_react_types_theme.Token<"blue600", string, "colors", "wpds">;
        blue500: _stitches_react_types_theme.Token<"blue500", string, "colors", "wpds">;
        blue400: _stitches_react_types_theme.Token<"blue400", string, "colors", "wpds">;
        blue300: _stitches_react_types_theme.Token<"blue300", string, "colors", "wpds">;
        blue200: _stitches_react_types_theme.Token<"blue200", string, "colors", "wpds">;
        blue100: _stitches_react_types_theme.Token<"blue100", string, "colors", "wpds">;
        blue80: _stitches_react_types_theme.Token<"blue80", string, "colors", "wpds">;
        blue60: _stitches_react_types_theme.Token<"blue60", string, "colors", "wpds">;
        blue40: _stitches_react_types_theme.Token<"blue40", string, "colors", "wpds">;
        purple600: _stitches_react_types_theme.Token<"purple600", string, "colors", "wpds">;
        purple500: _stitches_react_types_theme.Token<"purple500", string, "colors", "wpds">;
        purple400: _stitches_react_types_theme.Token<"purple400", string, "colors", "wpds">;
        purple300: _stitches_react_types_theme.Token<"purple300", string, "colors", "wpds">;
        purple200: _stitches_react_types_theme.Token<"purple200", string, "colors", "wpds">;
        purple100: _stitches_react_types_theme.Token<"purple100", string, "colors", "wpds">;
        purple80: _stitches_react_types_theme.Token<"purple80", string, "colors", "wpds">;
        purple60: _stitches_react_types_theme.Token<"purple60", string, "colors", "wpds">;
        purple40: _stitches_react_types_theme.Token<"purple40", string, "colors", "wpds">;
        pink600: _stitches_react_types_theme.Token<"pink600", string, "colors", "wpds">;
        pink500: _stitches_react_types_theme.Token<"pink500", string, "colors", "wpds">;
        pink400: _stitches_react_types_theme.Token<"pink400", string, "colors", "wpds">;
        pink300: _stitches_react_types_theme.Token<"pink300", string, "colors", "wpds">;
        pink200: _stitches_react_types_theme.Token<"pink200", string, "colors", "wpds">;
        pink100: _stitches_react_types_theme.Token<"pink100", string, "colors", "wpds">;
        pink80: _stitches_react_types_theme.Token<"pink80", string, "colors", "wpds">;
        pink60: _stitches_react_types_theme.Token<"pink60", string, "colors", "wpds">;
        pink40: _stitches_react_types_theme.Token<"pink40", string, "colors", "wpds">;
        gray700: _stitches_react_types_theme.Token<"gray700", string, "colors", "wpds">;
        gray600: _stitches_react_types_theme.Token<"gray600", string, "colors", "wpds">;
        gray500: _stitches_react_types_theme.Token<"gray500", string, "colors", "wpds">;
        gray400: _stitches_react_types_theme.Token<"gray400", string, "colors", "wpds">;
        gray300: _stitches_react_types_theme.Token<"gray300", string, "colors", "wpds">;
        gray200: _stitches_react_types_theme.Token<"gray200", string, "colors", "wpds">;
        gray100: _stitches_react_types_theme.Token<"gray100", string, "colors", "wpds">;
        gray80: _stitches_react_types_theme.Token<"gray80", string, "colors", "wpds">;
        gray60: _stitches_react_types_theme.Token<"gray60", string, "colors", "wpds">;
        gray40: _stitches_react_types_theme.Token<"gray40", string, "colors", "wpds">;
        gray20: _stitches_react_types_theme.Token<"gray20", string, "colors", "wpds">;
        gray0: _stitches_react_types_theme.Token<"gray0", string, "colors", "wpds">;
    };
    sizes: {
        100: _stitches_react_types_theme.Token<"100", string, "sizes", "wpds">;
        125: _stitches_react_types_theme.Token<"125", string, "sizes", "wpds">;
        150: _stitches_react_types_theme.Token<"150", string, "sizes", "wpds">;
        175: _stitches_react_types_theme.Token<"175", string, "sizes", "wpds">;
        200: _stitches_react_types_theme.Token<"200", string, "sizes", "wpds">;
        225: _stitches_react_types_theme.Token<"225", string, "sizes", "wpds">;
        250: _stitches_react_types_theme.Token<"250", string, "sizes", "wpds">;
        275: _stitches_react_types_theme.Token<"275", string, "sizes", "wpds">;
        300: _stitches_react_types_theme.Token<"300", string, "sizes", "wpds">;
        350: _stitches_react_types_theme.Token<"350", string, "sizes", "wpds">;
        400: _stitches_react_types_theme.Token<"400", string, "sizes", "wpds">;
        450: _stitches_react_types_theme.Token<"450", string, "sizes", "wpds">;
        500: _stitches_react_types_theme.Token<"500", string, "sizes", "wpds">;
        "025": _stitches_react_types_theme.Token<"025", string, "sizes", "wpds">;
        "050": _stitches_react_types_theme.Token<"050", string, "sizes", "wpds">;
        "075": _stitches_react_types_theme.Token<"075", string, "sizes", "wpds">;
        "087": _stitches_react_types_theme.Token<"087", string, "sizes", "wpds">;
    };
    space: {
        100: _stitches_react_types_theme.Token<"100", string, "space", "wpds">;
        125: _stitches_react_types_theme.Token<"125", string, "space", "wpds">;
        150: _stitches_react_types_theme.Token<"150", string, "space", "wpds">;
        175: _stitches_react_types_theme.Token<"175", string, "space", "wpds">;
        200: _stitches_react_types_theme.Token<"200", string, "space", "wpds">;
        225: _stitches_react_types_theme.Token<"225", string, "space", "wpds">;
        250: _stitches_react_types_theme.Token<"250", string, "space", "wpds">;
        275: _stitches_react_types_theme.Token<"275", string, "space", "wpds">;
        300: _stitches_react_types_theme.Token<"300", string, "space", "wpds">;
        350: _stitches_react_types_theme.Token<"350", string, "space", "wpds">;
        400: _stitches_react_types_theme.Token<"400", string, "space", "wpds">;
        450: _stitches_react_types_theme.Token<"450", string, "space", "wpds">;
        500: _stitches_react_types_theme.Token<"500", string, "space", "wpds">;
        "025": _stitches_react_types_theme.Token<"025", string, "space", "wpds">;
        "050": _stitches_react_types_theme.Token<"050", string, "space", "wpds">;
        "075": _stitches_react_types_theme.Token<"075", string, "space", "wpds">;
    };
    radii: {
        100: _stitches_react_types_theme.Token<"100", string, "radii", "wpds">;
        125: _stitches_react_types_theme.Token<"125", string, "radii", "wpds">;
        150: _stitches_react_types_theme.Token<"150", string, "radii", "wpds">;
        "012": _stitches_react_types_theme.Token<"012", string, "radii", "wpds">;
        "025": _stitches_react_types_theme.Token<"025", string, "radii", "wpds">;
        "050": _stitches_react_types_theme.Token<"050", string, "radii", "wpds">;
        "075": _stitches_react_types_theme.Token<"075", string, "radii", "wpds">;
        round: _stitches_react_types_theme.Token<"round", string, "radii", "wpds">;
    };
    fonts: {
        headline: _stitches_react_types_theme.Token<"headline", string, "fonts", "wpds">;
        subhead: _stitches_react_types_theme.Token<"subhead", string, "fonts", "wpds">;
        body: _stitches_react_types_theme.Token<"body", string, "fonts", "wpds">;
        meta: _stitches_react_types_theme.Token<"meta", string, "fonts", "wpds">;
        magazine: _stitches_react_types_theme.Token<"magazine", string, "fonts", "wpds">;
    };
    fontSizes: {
        100: _stitches_react_types_theme.Token<"100", string, "fontSizes", "wpds">;
        112: _stitches_react_types_theme.Token<"112", string, "fontSizes", "wpds">;
        125: _stitches_react_types_theme.Token<"125", string, "fontSizes", "wpds">;
        150: _stitches_react_types_theme.Token<"150", string, "fontSizes", "wpds">;
        162: _stitches_react_types_theme.Token<"162", string, "fontSizes", "wpds">;
        175: _stitches_react_types_theme.Token<"175", string, "fontSizes", "wpds">;
        200: _stitches_react_types_theme.Token<"200", string, "fontSizes", "wpds">;
        225: _stitches_react_types_theme.Token<"225", string, "fontSizes", "wpds">;
        250: _stitches_react_types_theme.Token<"250", string, "fontSizes", "wpds">;
        275: _stitches_react_types_theme.Token<"275", string, "fontSizes", "wpds">;
        300: _stitches_react_types_theme.Token<"300", string, "fontSizes", "wpds">;
        350: _stitches_react_types_theme.Token<"350", string, "fontSizes", "wpds">;
        400: _stitches_react_types_theme.Token<"400", string, "fontSizes", "wpds">;
        450: _stitches_react_types_theme.Token<"450", string, "fontSizes", "wpds">;
        500: _stitches_react_types_theme.Token<"500", string, "fontSizes", "wpds">;
        "075": _stitches_react_types_theme.Token<"075", string, "fontSizes", "wpds">;
        "087": _stitches_react_types_theme.Token<"087", string, "fontSizes", "wpds">;
    };
    fontWeights: {
        light: _stitches_react_types_theme.Token<"light", string, "fontWeights", "wpds">;
        regular: _stitches_react_types_theme.Token<"regular", string, "fontWeights", "wpds">;
        bold: _stitches_react_types_theme.Token<"bold", string, "fontWeights", "wpds">;
        ultra: _stitches_react_types_theme.Token<"ultra", string, "fontWeights", "wpds">;
    };
    shadows: {
        50: _stitches_react_types_theme.Token<"50", string, "shadows", "wpds">;
        100: _stitches_react_types_theme.Token<"100", string, "shadows", "wpds">;
        200: _stitches_react_types_theme.Token<"200", string, "shadows", "wpds">;
        300: _stitches_react_types_theme.Token<"300", string, "shadows", "wpds">;
        400: _stitches_react_types_theme.Token<"400", string, "shadows", "wpds">;
        500: _stitches_react_types_theme.Token<"500", string, "shadows", "wpds">;
    };
    zIndices: {
        offer: _stitches_react_types_theme.Token<"offer", string, "zIndices", "wpds">;
        shell: _stitches_react_types_theme.Token<"shell", string, "zIndices", "wpds">;
        ads: _stitches_react_types_theme.Token<"ads", string, "zIndices", "wpds">;
        page: _stitches_react_types_theme.Token<"page", string, "zIndices", "wpds">;
    };
    lineHeights: {
        headline: _stitches_react_types_theme.Token<"headline", string, "lineHeights", "wpds">;
        body: _stitches_react_types_theme.Token<"body", string, "lineHeights", "wpds">;
        meta: _stitches_react_types_theme.Token<"meta", string, "lineHeights", "wpds">;
        subhead: _stitches_react_types_theme.Token<"subhead", string, "lineHeights", "wpds">;
        100: _stitches_react_types_theme.Token<"100", string, "lineHeights", "wpds">;
        110: _stitches_react_types_theme.Token<"110", string, "lineHeights", "wpds">;
        125: _stitches_react_types_theme.Token<"125", string, "lineHeights", "wpds">;
        150: _stitches_react_types_theme.Token<"150", string, "lineHeights", "wpds">;
        160: _stitches_react_types_theme.Token<"160", string, "lineHeights", "wpds">;
        175: _stitches_react_types_theme.Token<"175", string, "lineHeights", "wpds">;
        200: _stitches_react_types_theme.Token<"200", string, "lineHeights", "wpds">;
        240: _stitches_react_types_theme.Token<"240", string, "lineHeights", "wpds">;
    };
    transitions: {
        allFast: _stitches_react_types_theme.Token<"allFast", string, "transitions", "wpds">;
        fast: _stitches_react_types_theme.Token<"fast", string, "transitions", "wpds">;
        normal: _stitches_react_types_theme.Token<"normal", string, "transitions", "wpds">;
        inOut: _stitches_react_types_theme.Token<"inOut", string, "transitions", "wpds">;
    };
    borderStyles: {};
    borderWidths: {};
    letterSpacings: {};
};
declare const createTheme: <Argument0 extends string | ({
    colors?: {
        errorContainer?: string | number | boolean | undefined;
        error?: string | number | boolean | undefined;
        warningContainer?: string | number | boolean | undefined;
        warning?: string | number | boolean | undefined;
        successContainer?: string | number | boolean | undefined;
        success?: string | number | boolean | undefined;
        signalContainer?: string | number | boolean | undefined;
        signal?: string | number | boolean | undefined;
        "onMessage-subtle-hover"?: string | number | boolean | undefined;
        "onMessage-subtle"?: string | number | boolean | undefined;
        "onMessage-hover"?: string | number | boolean | undefined;
        onMessage?: string | number | boolean | undefined;
        portal?: string | number | boolean | undefined;
        "onPortal-subtle-hover"?: string | number | boolean | undefined;
        "onPortal-subtle"?: string | number | boolean | undefined;
        "onPortal-hover"?: string | number | boolean | undefined;
        onPortal?: string | number | boolean | undefined;
        "onSurface-subtle-hover"?: string | number | boolean | undefined;
        "onSurface-subtle"?: string | number | boolean | undefined;
        "onSurface-hover"?: string | number | boolean | undefined;
        onSurface?: string | number | boolean | undefined;
        "surface-highest"?: string | number | boolean | undefined;
        surface?: string | number | boolean | undefined;
        "onBackground-subtle-hover"?: string | number | boolean | undefined;
        "onBackground-subtle"?: string | number | boolean | undefined;
        "onBackground-hover"?: string | number | boolean | undefined;
        onBackground?: string | number | boolean | undefined;
        "background-forSurfaces"?: string | number | boolean | undefined;
        background?: string | number | boolean | undefined;
        accessible?: string | number | boolean | undefined;
        "outline-subtle"?: string | number | boolean | undefined;
        outline?: string | number | boolean | undefined;
        subtle?: string | number | boolean | undefined;
        faint?: string | number | boolean | undefined;
        onDisabled?: string | number | boolean | undefined;
        disabled?: string | number | boolean | undefined;
        "onCtaContainer-subtle-hover"?: string | number | boolean | undefined;
        "onCtaContainer-subtle"?: string | number | boolean | undefined;
        "onCtaContainer-hover"?: string | number | boolean | undefined;
        onCtaContainer?: string | number | boolean | undefined;
        ctaContainer?: string | number | boolean | undefined;
        "onCta-hover"?: string | number | boolean | undefined;
        onCta?: string | number | boolean | undefined;
        "cta-hover"?: string | number | boolean | undefined;
        cta?: string | number | boolean | undefined;
        "onSecondary-subtle-hover"?: string | number | boolean | undefined;
        "onSecondary-subtle"?: string | number | boolean | undefined;
        "onSecondary-hover"?: string | number | boolean | undefined;
        onSecondary?: string | number | boolean | undefined;
        "secondary-hover"?: string | number | boolean | undefined;
        secondary?: string | number | boolean | undefined;
        "onPrimary-subtle-hover"?: string | number | boolean | undefined;
        "onPrimary-subtle"?: string | number | boolean | undefined;
        "onPrimary-hover"?: string | number | boolean | undefined;
        onPrimary?: string | number | boolean | undefined;
        "primary-hover"?: string | number | boolean | undefined;
        primary?: string | number | boolean | undefined;
        opinions?: string | number | boolean | undefined;
        "opinions-hover"?: string | number | boolean | undefined;
        onOpinions?: string | number | boolean | undefined;
        "onOpinions-hover"?: string | number | boolean | undefined;
        opinionsContainer?: string | number | boolean | undefined;
        onOpinionsContainer?: string | number | boolean | undefined;
        "onOpinionsContainer-hover"?: string | number | boolean | undefined;
        "alpha0-static"?: string | number | boolean | undefined;
        "alpha20-static"?: string | number | boolean | undefined;
        "alpha40-static"?: string | number | boolean | undefined;
        "alpha60-static"?: string | number | boolean | undefined;
        "alpha80-static"?: string | number | boolean | undefined;
        "alpha100-static"?: string | number | boolean | undefined;
        "alpha200-static"?: string | number | boolean | undefined;
        "alpha300-static"?: string | number | boolean | undefined;
        "alpha400-static"?: string | number | boolean | undefined;
        "alpha500-static"?: string | number | boolean | undefined;
        "alpha50-static"?: string | number | boolean | undefined;
        "alpha25-static"?: string | number | boolean | undefined;
        "red600-static"?: string | number | boolean | undefined;
        "red500-static"?: string | number | boolean | undefined;
        "red400-static"?: string | number | boolean | undefined;
        "red300-static"?: string | number | boolean | undefined;
        "red200-static"?: string | number | boolean | undefined;
        "red100-static"?: string | number | boolean | undefined;
        "red80-static"?: string | number | boolean | undefined;
        "red60-static"?: string | number | boolean | undefined;
        "red40-static"?: string | number | boolean | undefined;
        "spark600-static"?: string | number | boolean | undefined;
        "spark500-static"?: string | number | boolean | undefined;
        "spark400-static"?: string | number | boolean | undefined;
        "spark300-static"?: string | number | boolean | undefined;
        "spark200-static"?: string | number | boolean | undefined;
        "spark100-static"?: string | number | boolean | undefined;
        "spark80-static"?: string | number | boolean | undefined;
        "spark60-static"?: string | number | boolean | undefined;
        "spark40-static"?: string | number | boolean | undefined;
        "orange600-static"?: string | number | boolean | undefined;
        "orange500-static"?: string | number | boolean | undefined;
        "orange400-static"?: string | number | boolean | undefined;
        "orange300-static"?: string | number | boolean | undefined;
        "orange200-static"?: string | number | boolean | undefined;
        "orange100-static"?: string | number | boolean | undefined;
        "orange80-static"?: string | number | boolean | undefined;
        "orange60-static"?: string | number | boolean | undefined;
        "orange40-static"?: string | number | boolean | undefined;
        "mustard600-static"?: string | number | boolean | undefined;
        "mustard500-static"?: string | number | boolean | undefined;
        "mustard400-static"?: string | number | boolean | undefined;
        "mustard300-static"?: string | number | boolean | undefined;
        "mustard200-static"?: string | number | boolean | undefined;
        "mustard100-static"?: string | number | boolean | undefined;
        "mustard80-static"?: string | number | boolean | undefined;
        "mustard60-static"?: string | number | boolean | undefined;
        "mustard40-static"?: string | number | boolean | undefined;
        "gold600-static"?: string | number | boolean | undefined;
        "gold500-static"?: string | number | boolean | undefined;
        "gold400-static"?: string | number | boolean | undefined;
        "gold300-static"?: string | number | boolean | undefined;
        "gold200-static"?: string | number | boolean | undefined;
        "gold100-static"?: string | number | boolean | undefined;
        "gold80-static"?: string | number | boolean | undefined;
        "gold60-static"?: string | number | boolean | undefined;
        "gold40-static"?: string | number | boolean | undefined;
        "yellow600-static"?: string | number | boolean | undefined;
        "yellow100-static"?: string | number | boolean | undefined;
        "green600-static"?: string | number | boolean | undefined;
        "green500-static"?: string | number | boolean | undefined;
        "green400-static"?: string | number | boolean | undefined;
        "green300-static"?: string | number | boolean | undefined;
        "green200-static"?: string | number | boolean | undefined;
        "green100-static"?: string | number | boolean | undefined;
        "green80-static"?: string | number | boolean | undefined;
        "green60-static"?: string | number | boolean | undefined;
        "green40-static"?: string | number | boolean | undefined;
        "teal600-static"?: string | number | boolean | undefined;
        "teal500-static"?: string | number | boolean | undefined;
        "teal400-static"?: string | number | boolean | undefined;
        "teal300-static"?: string | number | boolean | undefined;
        "teal200-static"?: string | number | boolean | undefined;
        "teal100-static"?: string | number | boolean | undefined;
        "teal80-static"?: string | number | boolean | undefined;
        "teal60-static"?: string | number | boolean | undefined;
        "teal40-static"?: string | number | boolean | undefined;
        "blue600-static"?: string | number | boolean | undefined;
        "blue500-static"?: string | number | boolean | undefined;
        "blue400-static"?: string | number | boolean | undefined;
        "blue300-static"?: string | number | boolean | undefined;
        "blue200-static"?: string | number | boolean | undefined;
        "blue100-static"?: string | number | boolean | undefined;
        "blue80-static"?: string | number | boolean | undefined;
        "blue60-static"?: string | number | boolean | undefined;
        "blue40-static"?: string | number | boolean | undefined;
        "purple600-static"?: string | number | boolean | undefined;
        "purple500-static"?: string | number | boolean | undefined;
        "purple400-static"?: string | number | boolean | undefined;
        "purple300-static"?: string | number | boolean | undefined;
        "purple200-static"?: string | number | boolean | undefined;
        "purple100-static"?: string | number | boolean | undefined;
        "purple80-static"?: string | number | boolean | undefined;
        "purple60-static"?: string | number | boolean | undefined;
        "purple40-static"?: string | number | boolean | undefined;
        "pink600-static"?: string | number | boolean | undefined;
        "pink500-static"?: string | number | boolean | undefined;
        "pink400-static"?: string | number | boolean | undefined;
        "pink300-static"?: string | number | boolean | undefined;
        "pink200-static"?: string | number | boolean | undefined;
        "pink100-static"?: string | number | boolean | undefined;
        "pink80-static"?: string | number | boolean | undefined;
        "pink60-static"?: string | number | boolean | undefined;
        "pink40-static"?: string | number | boolean | undefined;
        "gray700-static"?: string | number | boolean | undefined;
        "gray600-static"?: string | number | boolean | undefined;
        "gray500-static"?: string | number | boolean | undefined;
        "gray400-static"?: string | number | boolean | undefined;
        "gray300-static"?: string | number | boolean | undefined;
        "gray200-static"?: string | number | boolean | undefined;
        "gray100-static"?: string | number | boolean | undefined;
        "gray80-static"?: string | number | boolean | undefined;
        "gray60-static"?: string | number | boolean | undefined;
        "gray40-static"?: string | number | boolean | undefined;
        "gray20-static"?: string | number | boolean | undefined;
        "gray0-static"?: string | number | boolean | undefined;
        alpha0?: string | number | boolean | undefined;
        alpha20?: string | number | boolean | undefined;
        alpha40?: string | number | boolean | undefined;
        alpha60?: string | number | boolean | undefined;
        alpha80?: string | number | boolean | undefined;
        alpha100?: string | number | boolean | undefined;
        alpha200?: string | number | boolean | undefined;
        alpha300?: string | number | boolean | undefined;
        alpha400?: string | number | boolean | undefined;
        alpha500?: string | number | boolean | undefined;
        "alpha0-invert"?: string | number | boolean | undefined;
        "alpha20-invert"?: string | number | boolean | undefined;
        "alpha40-invert"?: string | number | boolean | undefined;
        "alpha60-invert"?: string | number | boolean | undefined;
        "alpha80-invert"?: string | number | boolean | undefined;
        "alpha100-invert"?: string | number | boolean | undefined;
        "alpha200-invert"?: string | number | boolean | undefined;
        "alpha300-invert"?: string | number | boolean | undefined;
        "alpha400-invert"?: string | number | boolean | undefined;
        "alpha500-invert"?: string | number | boolean | undefined;
        alpha50?: string | number | boolean | undefined;
        alpha25?: string | number | boolean | undefined;
        red600?: string | number | boolean | undefined;
        red500?: string | number | boolean | undefined;
        red400?: string | number | boolean | undefined;
        red300?: string | number | boolean | undefined;
        red200?: string | number | boolean | undefined;
        red100?: string | number | boolean | undefined;
        red80?: string | number | boolean | undefined;
        red60?: string | number | boolean | undefined;
        red40?: string | number | boolean | undefined;
        spark600?: string | number | boolean | undefined;
        spark500?: string | number | boolean | undefined;
        spark400?: string | number | boolean | undefined;
        spark300?: string | number | boolean | undefined;
        spark200?: string | number | boolean | undefined;
        spark100?: string | number | boolean | undefined;
        spark80?: string | number | boolean | undefined;
        spark60?: string | number | boolean | undefined;
        spark40?: string | number | boolean | undefined;
        orange600?: string | number | boolean | undefined;
        orange500?: string | number | boolean | undefined;
        orange400?: string | number | boolean | undefined;
        orange300?: string | number | boolean | undefined;
        orange200?: string | number | boolean | undefined;
        orange100?: string | number | boolean | undefined;
        orange80?: string | number | boolean | undefined;
        orange60?: string | number | boolean | undefined;
        orange40?: string | number | boolean | undefined;
        mustard600?: string | number | boolean | undefined;
        mustard500?: string | number | boolean | undefined;
        mustard400?: string | number | boolean | undefined;
        mustard300?: string | number | boolean | undefined;
        mustard200?: string | number | boolean | undefined;
        mustard100?: string | number | boolean | undefined;
        mustard80?: string | number | boolean | undefined;
        mustard60?: string | number | boolean | undefined;
        mustard40?: string | number | boolean | undefined;
        gold600?: string | number | boolean | undefined;
        gold500?: string | number | boolean | undefined;
        gold400?: string | number | boolean | undefined;
        gold300?: string | number | boolean | undefined;
        gold200?: string | number | boolean | undefined;
        gold100?: string | number | boolean | undefined;
        gold80?: string | number | boolean | undefined;
        gold60?: string | number | boolean | undefined;
        gold40?: string | number | boolean | undefined;
        yellow600?: string | number | boolean | undefined;
        yellow100?: string | number | boolean | undefined;
        green600?: string | number | boolean | undefined;
        green500?: string | number | boolean | undefined;
        green400?: string | number | boolean | undefined;
        green300?: string | number | boolean | undefined;
        green200?: string | number | boolean | undefined;
        green100?: string | number | boolean | undefined;
        green80?: string | number | boolean | undefined;
        green60?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        teal600?: string | number | boolean | undefined;
        teal500?: string | number | boolean | undefined;
        teal400?: string | number | boolean | undefined;
        teal300?: string | number | boolean | undefined;
        teal200?: string | number | boolean | undefined;
        teal100?: string | number | boolean | undefined;
        teal80?: string | number | boolean | undefined;
        teal60?: string | number | boolean | undefined;
        teal40?: string | number | boolean | undefined;
        blue600?: string | number | boolean | undefined;
        blue500?: string | number | boolean | undefined;
        blue400?: string | number | boolean | undefined;
        blue300?: string | number | boolean | undefined;
        blue200?: string | number | boolean | undefined;
        blue100?: string | number | boolean | undefined;
        blue80?: string | number | boolean | undefined;
        blue60?: string | number | boolean | undefined;
        blue40?: string | number | boolean | undefined;
        purple600?: string | number | boolean | undefined;
        purple500?: string | number | boolean | undefined;
        purple400?: string | number | boolean | undefined;
        purple300?: string | number | boolean | undefined;
        purple200?: string | number | boolean | undefined;
        purple100?: string | number | boolean | undefined;
        purple80?: string | number | boolean | undefined;
        purple60?: string | number | boolean | undefined;
        purple40?: string | number | boolean | undefined;
        pink600?: string | number | boolean | undefined;
        pink500?: string | number | boolean | undefined;
        pink400?: string | number | boolean | undefined;
        pink300?: string | number | boolean | undefined;
        pink200?: string | number | boolean | undefined;
        pink100?: string | number | boolean | undefined;
        pink80?: string | number | boolean | undefined;
        pink60?: string | number | boolean | undefined;
        pink40?: string | number | boolean | undefined;
        gray700?: string | number | boolean | undefined;
        gray600?: string | number | boolean | undefined;
        gray500?: string | number | boolean | undefined;
        gray400?: string | number | boolean | undefined;
        gray300?: string | number | boolean | undefined;
        gray200?: string | number | boolean | undefined;
        gray100?: string | number | boolean | undefined;
        gray80?: string | number | boolean | undefined;
        gray60?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
        gray20?: string | number | boolean | undefined;
        gray0?: string | number | boolean | undefined;
    } | undefined;
    sizes?: {
        100?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        225?: string | number | boolean | undefined;
        250?: string | number | boolean | undefined;
        275?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        350?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        450?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        "025"?: string | number | boolean | undefined;
        "050"?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
        "087"?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        100?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        225?: string | number | boolean | undefined;
        250?: string | number | boolean | undefined;
        275?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        350?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        450?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        "025"?: string | number | boolean | undefined;
        "050"?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
    } | undefined;
    radii?: {
        100?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        "012"?: string | number | boolean | undefined;
        "025"?: string | number | boolean | undefined;
        "050"?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
        round?: string | number | boolean | undefined;
    } | undefined;
    fonts?: {
        headline?: string | number | boolean | undefined;
        subhead?: string | number | boolean | undefined;
        body?: string | number | boolean | undefined;
        meta?: string | number | boolean | undefined;
        magazine?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        100?: string | number | boolean | undefined;
        112?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        162?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        225?: string | number | boolean | undefined;
        250?: string | number | boolean | undefined;
        275?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        350?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        450?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
        "087"?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        light?: string | number | boolean | undefined;
        regular?: string | number | boolean | undefined;
        bold?: string | number | boolean | undefined;
        ultra?: string | number | boolean | undefined;
    } | undefined;
    shadows?: {
        50?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
    } | undefined;
    zIndices?: {
        offer?: string | number | boolean | undefined;
        shell?: string | number | boolean | undefined;
        ads?: string | number | boolean | undefined;
        page?: string | number | boolean | undefined;
    } | undefined;
    lineHeights?: {
        headline?: string | number | boolean | undefined;
        body?: string | number | boolean | undefined;
        meta?: string | number | boolean | undefined;
        subhead?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        110?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        160?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        240?: string | number | boolean | undefined;
    } | undefined;
    transitions?: {
        allFast?: string | number | boolean | undefined;
        fast?: string | number | boolean | undefined;
        normal?: string | number | boolean | undefined;
        inOut?: string | number | boolean | undefined;
    } | undefined;
    borderStyles?: {} | undefined;
    borderWidths?: {} | undefined;
    letterSpacings?: {} | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
}), Argument1 extends string | ({
    colors?: {
        errorContainer?: string | number | boolean | undefined;
        error?: string | number | boolean | undefined;
        warningContainer?: string | number | boolean | undefined;
        warning?: string | number | boolean | undefined;
        successContainer?: string | number | boolean | undefined;
        success?: string | number | boolean | undefined;
        signalContainer?: string | number | boolean | undefined;
        signal?: string | number | boolean | undefined;
        "onMessage-subtle-hover"?: string | number | boolean | undefined;
        "onMessage-subtle"?: string | number | boolean | undefined;
        "onMessage-hover"?: string | number | boolean | undefined;
        onMessage?: string | number | boolean | undefined;
        portal?: string | number | boolean | undefined;
        "onPortal-subtle-hover"?: string | number | boolean | undefined;
        "onPortal-subtle"?: string | number | boolean | undefined;
        "onPortal-hover"?: string | number | boolean | undefined;
        onPortal?: string | number | boolean | undefined;
        "onSurface-subtle-hover"?: string | number | boolean | undefined;
        "onSurface-subtle"?: string | number | boolean | undefined;
        "onSurface-hover"?: string | number | boolean | undefined;
        onSurface?: string | number | boolean | undefined;
        "surface-highest"?: string | number | boolean | undefined;
        surface?: string | number | boolean | undefined;
        "onBackground-subtle-hover"?: string | number | boolean | undefined;
        "onBackground-subtle"?: string | number | boolean | undefined;
        "onBackground-hover"?: string | number | boolean | undefined;
        onBackground?: string | number | boolean | undefined;
        "background-forSurfaces"?: string | number | boolean | undefined;
        background?: string | number | boolean | undefined;
        accessible?: string | number | boolean | undefined;
        "outline-subtle"?: string | number | boolean | undefined;
        outline?: string | number | boolean | undefined;
        subtle?: string | number | boolean | undefined;
        faint?: string | number | boolean | undefined;
        onDisabled?: string | number | boolean | undefined;
        disabled?: string | number | boolean | undefined;
        "onCtaContainer-subtle-hover"?: string | number | boolean | undefined;
        "onCtaContainer-subtle"?: string | number | boolean | undefined;
        "onCtaContainer-hover"?: string | number | boolean | undefined;
        onCtaContainer?: string | number | boolean | undefined;
        ctaContainer?: string | number | boolean | undefined;
        "onCta-hover"?: string | number | boolean | undefined;
        onCta?: string | number | boolean | undefined;
        "cta-hover"?: string | number | boolean | undefined;
        cta?: string | number | boolean | undefined;
        "onSecondary-subtle-hover"?: string | number | boolean | undefined;
        "onSecondary-subtle"?: string | number | boolean | undefined;
        "onSecondary-hover"?: string | number | boolean | undefined;
        onSecondary?: string | number | boolean | undefined;
        "secondary-hover"?: string | number | boolean | undefined;
        secondary?: string | number | boolean | undefined;
        "onPrimary-subtle-hover"?: string | number | boolean | undefined;
        "onPrimary-subtle"?: string | number | boolean | undefined;
        "onPrimary-hover"?: string | number | boolean | undefined;
        onPrimary?: string | number | boolean | undefined;
        "primary-hover"?: string | number | boolean | undefined;
        primary?: string | number | boolean | undefined;
        opinions?: string | number | boolean | undefined;
        "opinions-hover"?: string | number | boolean | undefined;
        onOpinions?: string | number | boolean | undefined;
        "onOpinions-hover"?: string | number | boolean | undefined;
        opinionsContainer?: string | number | boolean | undefined;
        onOpinionsContainer?: string | number | boolean | undefined;
        "onOpinionsContainer-hover"?: string | number | boolean | undefined;
        "alpha0-static"?: string | number | boolean | undefined;
        "alpha20-static"?: string | number | boolean | undefined;
        "alpha40-static"?: string | number | boolean | undefined;
        "alpha60-static"?: string | number | boolean | undefined;
        "alpha80-static"?: string | number | boolean | undefined;
        "alpha100-static"?: string | number | boolean | undefined;
        "alpha200-static"?: string | number | boolean | undefined;
        "alpha300-static"?: string | number | boolean | undefined;
        "alpha400-static"?: string | number | boolean | undefined;
        "alpha500-static"?: string | number | boolean | undefined;
        "alpha50-static"?: string | number | boolean | undefined;
        "alpha25-static"?: string | number | boolean | undefined;
        "red600-static"?: string | number | boolean | undefined;
        "red500-static"?: string | number | boolean | undefined;
        "red400-static"?: string | number | boolean | undefined;
        "red300-static"?: string | number | boolean | undefined;
        "red200-static"?: string | number | boolean | undefined;
        "red100-static"?: string | number | boolean | undefined;
        "red80-static"?: string | number | boolean | undefined;
        "red60-static"?: string | number | boolean | undefined;
        "red40-static"?: string | number | boolean | undefined;
        "spark600-static"?: string | number | boolean | undefined;
        "spark500-static"?: string | number | boolean | undefined;
        "spark400-static"?: string | number | boolean | undefined;
        "spark300-static"?: string | number | boolean | undefined;
        "spark200-static"?: string | number | boolean | undefined;
        "spark100-static"?: string | number | boolean | undefined;
        "spark80-static"?: string | number | boolean | undefined;
        "spark60-static"?: string | number | boolean | undefined;
        "spark40-static"?: string | number | boolean | undefined;
        "orange600-static"?: string | number | boolean | undefined;
        "orange500-static"?: string | number | boolean | undefined;
        "orange400-static"?: string | number | boolean | undefined;
        "orange300-static"?: string | number | boolean | undefined;
        "orange200-static"?: string | number | boolean | undefined;
        "orange100-static"?: string | number | boolean | undefined;
        "orange80-static"?: string | number | boolean | undefined;
        "orange60-static"?: string | number | boolean | undefined;
        "orange40-static"?: string | number | boolean | undefined;
        "mustard600-static"?: string | number | boolean | undefined;
        "mustard500-static"?: string | number | boolean | undefined;
        "mustard400-static"?: string | number | boolean | undefined;
        "mustard300-static"?: string | number | boolean | undefined;
        "mustard200-static"?: string | number | boolean | undefined;
        "mustard100-static"?: string | number | boolean | undefined;
        "mustard80-static"?: string | number | boolean | undefined;
        "mustard60-static"?: string | number | boolean | undefined;
        "mustard40-static"?: string | number | boolean | undefined;
        "gold600-static"?: string | number | boolean | undefined;
        "gold500-static"?: string | number | boolean | undefined;
        "gold400-static"?: string | number | boolean | undefined;
        "gold300-static"?: string | number | boolean | undefined;
        "gold200-static"?: string | number | boolean | undefined;
        "gold100-static"?: string | number | boolean | undefined;
        "gold80-static"?: string | number | boolean | undefined;
        "gold60-static"?: string | number | boolean | undefined;
        "gold40-static"?: string | number | boolean | undefined;
        "yellow600-static"?: string | number | boolean | undefined;
        "yellow100-static"?: string | number | boolean | undefined;
        "green600-static"?: string | number | boolean | undefined;
        "green500-static"?: string | number | boolean | undefined;
        "green400-static"?: string | number | boolean | undefined;
        "green300-static"?: string | number | boolean | undefined;
        "green200-static"?: string | number | boolean | undefined;
        "green100-static"?: string | number | boolean | undefined;
        "green80-static"?: string | number | boolean | undefined;
        "green60-static"?: string | number | boolean | undefined;
        "green40-static"?: string | number | boolean | undefined;
        "teal600-static"?: string | number | boolean | undefined;
        "teal500-static"?: string | number | boolean | undefined;
        "teal400-static"?: string | number | boolean | undefined;
        "teal300-static"?: string | number | boolean | undefined;
        "teal200-static"?: string | number | boolean | undefined;
        "teal100-static"?: string | number | boolean | undefined;
        "teal80-static"?: string | number | boolean | undefined;
        "teal60-static"?: string | number | boolean | undefined;
        "teal40-static"?: string | number | boolean | undefined;
        "blue600-static"?: string | number | boolean | undefined;
        "blue500-static"?: string | number | boolean | undefined;
        "blue400-static"?: string | number | boolean | undefined;
        "blue300-static"?: string | number | boolean | undefined;
        "blue200-static"?: string | number | boolean | undefined;
        "blue100-static"?: string | number | boolean | undefined;
        "blue80-static"?: string | number | boolean | undefined;
        "blue60-static"?: string | number | boolean | undefined;
        "blue40-static"?: string | number | boolean | undefined;
        "purple600-static"?: string | number | boolean | undefined;
        "purple500-static"?: string | number | boolean | undefined;
        "purple400-static"?: string | number | boolean | undefined;
        "purple300-static"?: string | number | boolean | undefined;
        "purple200-static"?: string | number | boolean | undefined;
        "purple100-static"?: string | number | boolean | undefined;
        "purple80-static"?: string | number | boolean | undefined;
        "purple60-static"?: string | number | boolean | undefined;
        "purple40-static"?: string | number | boolean | undefined;
        "pink600-static"?: string | number | boolean | undefined;
        "pink500-static"?: string | number | boolean | undefined;
        "pink400-static"?: string | number | boolean | undefined;
        "pink300-static"?: string | number | boolean | undefined;
        "pink200-static"?: string | number | boolean | undefined;
        "pink100-static"?: string | number | boolean | undefined;
        "pink80-static"?: string | number | boolean | undefined;
        "pink60-static"?: string | number | boolean | undefined;
        "pink40-static"?: string | number | boolean | undefined;
        "gray700-static"?: string | number | boolean | undefined;
        "gray600-static"?: string | number | boolean | undefined;
        "gray500-static"?: string | number | boolean | undefined;
        "gray400-static"?: string | number | boolean | undefined;
        "gray300-static"?: string | number | boolean | undefined;
        "gray200-static"?: string | number | boolean | undefined;
        "gray100-static"?: string | number | boolean | undefined;
        "gray80-static"?: string | number | boolean | undefined;
        "gray60-static"?: string | number | boolean | undefined;
        "gray40-static"?: string | number | boolean | undefined;
        "gray20-static"?: string | number | boolean | undefined;
        "gray0-static"?: string | number | boolean | undefined;
        alpha0?: string | number | boolean | undefined;
        alpha20?: string | number | boolean | undefined;
        alpha40?: string | number | boolean | undefined;
        alpha60?: string | number | boolean | undefined;
        alpha80?: string | number | boolean | undefined;
        alpha100?: string | number | boolean | undefined;
        alpha200?: string | number | boolean | undefined;
        alpha300?: string | number | boolean | undefined;
        alpha400?: string | number | boolean | undefined;
        alpha500?: string | number | boolean | undefined;
        "alpha0-invert"?: string | number | boolean | undefined;
        "alpha20-invert"?: string | number | boolean | undefined;
        "alpha40-invert"?: string | number | boolean | undefined;
        "alpha60-invert"?: string | number | boolean | undefined;
        "alpha80-invert"?: string | number | boolean | undefined;
        "alpha100-invert"?: string | number | boolean | undefined;
        "alpha200-invert"?: string | number | boolean | undefined;
        "alpha300-invert"?: string | number | boolean | undefined;
        "alpha400-invert"?: string | number | boolean | undefined;
        "alpha500-invert"?: string | number | boolean | undefined;
        alpha50?: string | number | boolean | undefined;
        alpha25?: string | number | boolean | undefined;
        red600?: string | number | boolean | undefined;
        red500?: string | number | boolean | undefined;
        red400?: string | number | boolean | undefined;
        red300?: string | number | boolean | undefined;
        red200?: string | number | boolean | undefined;
        red100?: string | number | boolean | undefined;
        red80?: string | number | boolean | undefined;
        red60?: string | number | boolean | undefined;
        red40?: string | number | boolean | undefined;
        spark600?: string | number | boolean | undefined;
        spark500?: string | number | boolean | undefined;
        spark400?: string | number | boolean | undefined;
        spark300?: string | number | boolean | undefined;
        spark200?: string | number | boolean | undefined;
        spark100?: string | number | boolean | undefined;
        spark80?: string | number | boolean | undefined;
        spark60?: string | number | boolean | undefined;
        spark40?: string | number | boolean | undefined;
        orange600?: string | number | boolean | undefined;
        orange500?: string | number | boolean | undefined;
        orange400?: string | number | boolean | undefined;
        orange300?: string | number | boolean | undefined;
        orange200?: string | number | boolean | undefined;
        orange100?: string | number | boolean | undefined;
        orange80?: string | number | boolean | undefined;
        orange60?: string | number | boolean | undefined;
        orange40?: string | number | boolean | undefined;
        mustard600?: string | number | boolean | undefined;
        mustard500?: string | number | boolean | undefined;
        mustard400?: string | number | boolean | undefined;
        mustard300?: string | number | boolean | undefined;
        mustard200?: string | number | boolean | undefined;
        mustard100?: string | number | boolean | undefined;
        mustard80?: string | number | boolean | undefined;
        mustard60?: string | number | boolean | undefined;
        mustard40?: string | number | boolean | undefined;
        gold600?: string | number | boolean | undefined;
        gold500?: string | number | boolean | undefined;
        gold400?: string | number | boolean | undefined;
        gold300?: string | number | boolean | undefined;
        gold200?: string | number | boolean | undefined;
        gold100?: string | number | boolean | undefined;
        gold80?: string | number | boolean | undefined;
        gold60?: string | number | boolean | undefined;
        gold40?: string | number | boolean | undefined;
        yellow600?: string | number | boolean | undefined;
        yellow100?: string | number | boolean | undefined;
        green600?: string | number | boolean | undefined;
        green500?: string | number | boolean | undefined;
        green400?: string | number | boolean | undefined;
        green300?: string | number | boolean | undefined;
        green200?: string | number | boolean | undefined;
        green100?: string | number | boolean | undefined;
        green80?: string | number | boolean | undefined;
        green60?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        teal600?: string | number | boolean | undefined;
        teal500?: string | number | boolean | undefined;
        teal400?: string | number | boolean | undefined;
        teal300?: string | number | boolean | undefined;
        teal200?: string | number | boolean | undefined;
        teal100?: string | number | boolean | undefined;
        teal80?: string | number | boolean | undefined;
        teal60?: string | number | boolean | undefined;
        teal40?: string | number | boolean | undefined;
        blue600?: string | number | boolean | undefined;
        blue500?: string | number | boolean | undefined;
        blue400?: string | number | boolean | undefined;
        blue300?: string | number | boolean | undefined;
        blue200?: string | number | boolean | undefined;
        blue100?: string | number | boolean | undefined;
        blue80?: string | number | boolean | undefined;
        blue60?: string | number | boolean | undefined;
        blue40?: string | number | boolean | undefined;
        purple600?: string | number | boolean | undefined;
        purple500?: string | number | boolean | undefined;
        purple400?: string | number | boolean | undefined;
        purple300?: string | number | boolean | undefined;
        purple200?: string | number | boolean | undefined;
        purple100?: string | number | boolean | undefined;
        purple80?: string | number | boolean | undefined;
        purple60?: string | number | boolean | undefined;
        purple40?: string | number | boolean | undefined;
        pink600?: string | number | boolean | undefined;
        pink500?: string | number | boolean | undefined;
        pink400?: string | number | boolean | undefined;
        pink300?: string | number | boolean | undefined;
        pink200?: string | number | boolean | undefined;
        pink100?: string | number | boolean | undefined;
        pink80?: string | number | boolean | undefined;
        pink60?: string | number | boolean | undefined;
        pink40?: string | number | boolean | undefined;
        gray700?: string | number | boolean | undefined;
        gray600?: string | number | boolean | undefined;
        gray500?: string | number | boolean | undefined;
        gray400?: string | number | boolean | undefined;
        gray300?: string | number | boolean | undefined;
        gray200?: string | number | boolean | undefined;
        gray100?: string | number | boolean | undefined;
        gray80?: string | number | boolean | undefined;
        gray60?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
        gray20?: string | number | boolean | undefined;
        gray0?: string | number | boolean | undefined;
    } | undefined;
    sizes?: {
        100?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        225?: string | number | boolean | undefined;
        250?: string | number | boolean | undefined;
        275?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        350?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        450?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        "025"?: string | number | boolean | undefined;
        "050"?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
        "087"?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        100?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        225?: string | number | boolean | undefined;
        250?: string | number | boolean | undefined;
        275?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        350?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        450?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        "025"?: string | number | boolean | undefined;
        "050"?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
    } | undefined;
    radii?: {
        100?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        "012"?: string | number | boolean | undefined;
        "025"?: string | number | boolean | undefined;
        "050"?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
        round?: string | number | boolean | undefined;
    } | undefined;
    fonts?: {
        headline?: string | number | boolean | undefined;
        subhead?: string | number | boolean | undefined;
        body?: string | number | boolean | undefined;
        meta?: string | number | boolean | undefined;
        magazine?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        100?: string | number | boolean | undefined;
        112?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        162?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        225?: string | number | boolean | undefined;
        250?: string | number | boolean | undefined;
        275?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        350?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        450?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        "075"?: string | number | boolean | undefined;
        "087"?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        light?: string | number | boolean | undefined;
        regular?: string | number | boolean | undefined;
        bold?: string | number | boolean | undefined;
        ultra?: string | number | boolean | undefined;
    } | undefined;
    shadows?: {
        50?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
    } | undefined;
    zIndices?: {
        offer?: string | number | boolean | undefined;
        shell?: string | number | boolean | undefined;
        ads?: string | number | boolean | undefined;
        page?: string | number | boolean | undefined;
    } | undefined;
    lineHeights?: {
        headline?: string | number | boolean | undefined;
        body?: string | number | boolean | undefined;
        meta?: string | number | boolean | undefined;
        subhead?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        110?: string | number | boolean | undefined;
        125?: string | number | boolean | undefined;
        150?: string | number | boolean | undefined;
        160?: string | number | boolean | undefined;
        175?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        240?: string | number | boolean | undefined;
    } | undefined;
    transitions?: {
        allFast?: string | number | boolean | undefined;
        fast?: string | number | boolean | undefined;
        normal?: string | number | boolean | undefined;
        inOut?: string | number | boolean | undefined;
    } | undefined;
    borderStyles?: {} | undefined;
    borderWidths?: {} | undefined;
    letterSpacings?: {} | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
})>(nameOrScalesArg0: Argument0, nameOrScalesArg1?: Argument1 | undefined) => string & {
    className: string;
    selector: string;
} & (Argument0 extends string ? _stitches_react_types_stitches.ThemeTokens<Argument1, "wpds"> : _stitches_react_types_stitches.ThemeTokens<Argument0, "wpds">);
declare const config: {
    prefix: "wpds";
    media: {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    };
    theme: {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    };
    themeMap: _stitches_react_types_config.DefaultThemeMap;
    utils: {
        px: (value: PropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: PropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: PropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: PropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: PropertyValue<"width" | "height">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    };
};
declare const reset: () => void;
declare const utils: {
    px: (value: PropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: PropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: PropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: PropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: PropertyValue<"width" | "height">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
};
declare const darkTheme: {
    readonly className: string;
    selector: string;
    colors: {
        errorContainer: _stitches_react_types_theme.Token<"errorContainer", string, "colors", "wpds">;
        error: _stitches_react_types_theme.Token<"error", string, "colors", "wpds">;
        warningContainer: _stitches_react_types_theme.Token<"warningContainer", string, "colors", "wpds">;
        warning: _stitches_react_types_theme.Token<"warning", string, "colors", "wpds">;
        successContainer: _stitches_react_types_theme.Token<"successContainer", string, "colors", "wpds">;
        success: _stitches_react_types_theme.Token<"success", string, "colors", "wpds">;
        signalContainer: _stitches_react_types_theme.Token<"signalContainer", string, "colors", "wpds">;
        signal: _stitches_react_types_theme.Token<"signal", string, "colors", "wpds">;
        "onMessage-subtle-hover": _stitches_react_types_theme.Token<"onMessage-subtle-hover", string, "colors", "wpds">;
        "onMessage-subtle": _stitches_react_types_theme.Token<"onMessage-subtle", string, "colors", "wpds">;
        "onMessage-hover": _stitches_react_types_theme.Token<"onMessage-hover", string, "colors", "wpds">;
        onMessage: _stitches_react_types_theme.Token<"onMessage", string, "colors", "wpds">;
        portal: _stitches_react_types_theme.Token<"portal", string, "colors", "wpds">;
        "onPortal-subtle-hover": _stitches_react_types_theme.Token<"onPortal-subtle-hover", string, "colors", "wpds">;
        "onPortal-subtle": _stitches_react_types_theme.Token<"onPortal-subtle", string, "colors", "wpds">;
        "onPortal-hover": _stitches_react_types_theme.Token<"onPortal-hover", string, "colors", "wpds">;
        onPortal: _stitches_react_types_theme.Token<"onPortal", string, "colors", "wpds">;
        "onSurface-subtle-hover": _stitches_react_types_theme.Token<"onSurface-subtle-hover", string, "colors", "wpds">;
        "onSurface-subtle": _stitches_react_types_theme.Token<"onSurface-subtle", string, "colors", "wpds">;
        "onSurface-hover": _stitches_react_types_theme.Token<"onSurface-hover", string, "colors", "wpds">;
        onSurface: _stitches_react_types_theme.Token<"onSurface", string, "colors", "wpds">;
        "surface-highest": _stitches_react_types_theme.Token<"surface-highest", string, "colors", "wpds">;
        surface: _stitches_react_types_theme.Token<"surface", string, "colors", "wpds">;
        "onBackground-subtle-hover": _stitches_react_types_theme.Token<"onBackground-subtle-hover", string, "colors", "wpds">;
        "onBackground-subtle": _stitches_react_types_theme.Token<"onBackground-subtle", string, "colors", "wpds">;
        "onBackground-hover": _stitches_react_types_theme.Token<"onBackground-hover", string, "colors", "wpds">;
        onBackground: _stitches_react_types_theme.Token<"onBackground", string, "colors", "wpds">;
        "background-forSurfaces": _stitches_react_types_theme.Token<"background-forSurfaces", string, "colors", "wpds">;
        background: _stitches_react_types_theme.Token<"background", string, "colors", "wpds">;
        accessible: _stitches_react_types_theme.Token<"accessible", string, "colors", "wpds">;
        "outline-subtle": _stitches_react_types_theme.Token<"outline-subtle", string, "colors", "wpds">;
        outline: _stitches_react_types_theme.Token<"outline", string, "colors", "wpds">;
        subtle: _stitches_react_types_theme.Token<"subtle", string, "colors", "wpds">;
        faint: _stitches_react_types_theme.Token<"faint", string, "colors", "wpds">;
        onDisabled: _stitches_react_types_theme.Token<"onDisabled", string, "colors", "wpds">;
        disabled: _stitches_react_types_theme.Token<"disabled", string, "colors", "wpds">;
        "onCtaContainer-subtle-hover": _stitches_react_types_theme.Token<"onCtaContainer-subtle-hover", string, "colors", "wpds">;
        "onCtaContainer-subtle": _stitches_react_types_theme.Token<"onCtaContainer-subtle", string, "colors", "wpds">;
        "onCtaContainer-hover": _stitches_react_types_theme.Token<"onCtaContainer-hover", string, "colors", "wpds">;
        onCtaContainer: _stitches_react_types_theme.Token<"onCtaContainer", string, "colors", "wpds">;
        ctaContainer: _stitches_react_types_theme.Token<"ctaContainer", string, "colors", "wpds">;
        "onCta-hover": _stitches_react_types_theme.Token<"onCta-hover", string, "colors", "wpds">;
        onCta: _stitches_react_types_theme.Token<"onCta", string, "colors", "wpds">;
        "cta-hover": _stitches_react_types_theme.Token<"cta-hover", string, "colors", "wpds">;
        cta: _stitches_react_types_theme.Token<"cta", string, "colors", "wpds">;
        "onSecondary-subtle-hover": _stitches_react_types_theme.Token<"onSecondary-subtle-hover", string, "colors", "wpds">;
        "onSecondary-subtle": _stitches_react_types_theme.Token<"onSecondary-subtle", string, "colors", "wpds">;
        "onSecondary-hover": _stitches_react_types_theme.Token<"onSecondary-hover", string, "colors", "wpds">;
        onSecondary: _stitches_react_types_theme.Token<"onSecondary", string, "colors", "wpds">;
        "secondary-hover": _stitches_react_types_theme.Token<"secondary-hover", string, "colors", "wpds">;
        secondary: _stitches_react_types_theme.Token<"secondary", string, "colors", "wpds">;
        "onPrimary-subtle-hover": _stitches_react_types_theme.Token<"onPrimary-subtle-hover", string, "colors", "wpds">;
        "onPrimary-subtle": _stitches_react_types_theme.Token<"onPrimary-subtle", string, "colors", "wpds">;
        "onPrimary-hover": _stitches_react_types_theme.Token<"onPrimary-hover", string, "colors", "wpds">;
        onPrimary: _stitches_react_types_theme.Token<"onPrimary", string, "colors", "wpds">;
        "primary-hover": _stitches_react_types_theme.Token<"primary-hover", string, "colors", "wpds">;
        primary: _stitches_react_types_theme.Token<"primary", string, "colors", "wpds">;
        opinions: _stitches_react_types_theme.Token<"opinions", string, "colors", "wpds">;
        "opinions-hover": _stitches_react_types_theme.Token<"opinions-hover", string, "colors", "wpds">;
        onOpinions: _stitches_react_types_theme.Token<"onOpinions", string, "colors", "wpds">;
        "onOpinions-hover": _stitches_react_types_theme.Token<"onOpinions-hover", string, "colors", "wpds">;
        opinionsContainer: _stitches_react_types_theme.Token<"opinionsContainer", string, "colors", "wpds">;
        onOpinionsContainer: _stitches_react_types_theme.Token<"onOpinionsContainer", string, "colors", "wpds">;
        "onOpinionsContainer-hover": _stitches_react_types_theme.Token<"onOpinionsContainer-hover", string, "colors", "wpds">;
        "alpha0-static": _stitches_react_types_theme.Token<"alpha0-static", string, "colors", "wpds">;
        "alpha20-static": _stitches_react_types_theme.Token<"alpha20-static", string, "colors", "wpds">;
        "alpha40-static": _stitches_react_types_theme.Token<"alpha40-static", string, "colors", "wpds">;
        "alpha60-static": _stitches_react_types_theme.Token<"alpha60-static", string, "colors", "wpds">;
        "alpha80-static": _stitches_react_types_theme.Token<"alpha80-static", string, "colors", "wpds">;
        "alpha100-static": _stitches_react_types_theme.Token<"alpha100-static", string, "colors", "wpds">;
        "alpha200-static": _stitches_react_types_theme.Token<"alpha200-static", string, "colors", "wpds">;
        "alpha300-static": _stitches_react_types_theme.Token<"alpha300-static", string, "colors", "wpds">;
        "alpha400-static": _stitches_react_types_theme.Token<"alpha400-static", string, "colors", "wpds">;
        "alpha500-static": _stitches_react_types_theme.Token<"alpha500-static", string, "colors", "wpds">;
        "alpha50-static": _stitches_react_types_theme.Token<"alpha50-static", string, "colors", "wpds">;
        "alpha25-static": _stitches_react_types_theme.Token<"alpha25-static", string, "colors", "wpds">;
        "red600-static": _stitches_react_types_theme.Token<"red600-static", string, "colors", "wpds">;
        "red500-static": _stitches_react_types_theme.Token<"red500-static", string, "colors", "wpds">;
        "red400-static": _stitches_react_types_theme.Token<"red400-static", string, "colors", "wpds">;
        "red300-static": _stitches_react_types_theme.Token<"red300-static", string, "colors", "wpds">;
        "red200-static": _stitches_react_types_theme.Token<"red200-static", string, "colors", "wpds">;
        "red100-static": _stitches_react_types_theme.Token<"red100-static", string, "colors", "wpds">;
        "red80-static": _stitches_react_types_theme.Token<"red80-static", string, "colors", "wpds">;
        "red60-static": _stitches_react_types_theme.Token<"red60-static", string, "colors", "wpds">;
        "red40-static": _stitches_react_types_theme.Token<"red40-static", string, "colors", "wpds">;
        "spark600-static": _stitches_react_types_theme.Token<"spark600-static", string, "colors", "wpds">;
        "spark500-static": _stitches_react_types_theme.Token<"spark500-static", string, "colors", "wpds">;
        "spark400-static": _stitches_react_types_theme.Token<"spark400-static", string, "colors", "wpds">;
        "spark300-static": _stitches_react_types_theme.Token<"spark300-static", string, "colors", "wpds">;
        "spark200-static": _stitches_react_types_theme.Token<"spark200-static", string, "colors", "wpds">;
        "spark100-static": _stitches_react_types_theme.Token<"spark100-static", string, "colors", "wpds">;
        "spark80-static": _stitches_react_types_theme.Token<"spark80-static", string, "colors", "wpds">;
        "spark60-static": _stitches_react_types_theme.Token<"spark60-static", string, "colors", "wpds">;
        "spark40-static": _stitches_react_types_theme.Token<"spark40-static", string, "colors", "wpds">;
        "orange600-static": _stitches_react_types_theme.Token<"orange600-static", string, "colors", "wpds">;
        "orange500-static": _stitches_react_types_theme.Token<"orange500-static", string, "colors", "wpds">;
        "orange400-static": _stitches_react_types_theme.Token<"orange400-static", string, "colors", "wpds">;
        "orange300-static": _stitches_react_types_theme.Token<"orange300-static", string, "colors", "wpds">;
        "orange200-static": _stitches_react_types_theme.Token<"orange200-static", string, "colors", "wpds">;
        "orange100-static": _stitches_react_types_theme.Token<"orange100-static", string, "colors", "wpds">;
        "orange80-static": _stitches_react_types_theme.Token<"orange80-static", string, "colors", "wpds">;
        "orange60-static": _stitches_react_types_theme.Token<"orange60-static", string, "colors", "wpds">;
        "orange40-static": _stitches_react_types_theme.Token<"orange40-static", string, "colors", "wpds">;
        "mustard600-static": _stitches_react_types_theme.Token<"mustard600-static", string, "colors", "wpds">;
        "mustard500-static": _stitches_react_types_theme.Token<"mustard500-static", string, "colors", "wpds">;
        "mustard400-static": _stitches_react_types_theme.Token<"mustard400-static", string, "colors", "wpds">;
        "mustard300-static": _stitches_react_types_theme.Token<"mustard300-static", string, "colors", "wpds">;
        "mustard200-static": _stitches_react_types_theme.Token<"mustard200-static", string, "colors", "wpds">;
        "mustard100-static": _stitches_react_types_theme.Token<"mustard100-static", string, "colors", "wpds">;
        "mustard80-static": _stitches_react_types_theme.Token<"mustard80-static", string, "colors", "wpds">;
        "mustard60-static": _stitches_react_types_theme.Token<"mustard60-static", string, "colors", "wpds">;
        "mustard40-static": _stitches_react_types_theme.Token<"mustard40-static", string, "colors", "wpds">;
        "gold600-static": _stitches_react_types_theme.Token<"gold600-static", string, "colors", "wpds">;
        "gold500-static": _stitches_react_types_theme.Token<"gold500-static", string, "colors", "wpds">;
        "gold400-static": _stitches_react_types_theme.Token<"gold400-static", string, "colors", "wpds">;
        "gold300-static": _stitches_react_types_theme.Token<"gold300-static", string, "colors", "wpds">;
        "gold200-static": _stitches_react_types_theme.Token<"gold200-static", string, "colors", "wpds">;
        "gold100-static": _stitches_react_types_theme.Token<"gold100-static", string, "colors", "wpds">;
        "gold80-static": _stitches_react_types_theme.Token<"gold80-static", string, "colors", "wpds">;
        "gold60-static": _stitches_react_types_theme.Token<"gold60-static", string, "colors", "wpds">;
        "gold40-static": _stitches_react_types_theme.Token<"gold40-static", string, "colors", "wpds">;
        "yellow600-static": _stitches_react_types_theme.Token<"yellow600-static", string, "colors", "wpds">;
        "yellow100-static": _stitches_react_types_theme.Token<"yellow100-static", string, "colors", "wpds">;
        "green600-static": _stitches_react_types_theme.Token<"green600-static", string, "colors", "wpds">;
        "green500-static": _stitches_react_types_theme.Token<"green500-static", string, "colors", "wpds">;
        "green400-static": _stitches_react_types_theme.Token<"green400-static", string, "colors", "wpds">;
        "green300-static": _stitches_react_types_theme.Token<"green300-static", string, "colors", "wpds">;
        "green200-static": _stitches_react_types_theme.Token<"green200-static", string, "colors", "wpds">;
        "green100-static": _stitches_react_types_theme.Token<"green100-static", string, "colors", "wpds">;
        "green80-static": _stitches_react_types_theme.Token<"green80-static", string, "colors", "wpds">;
        "green60-static": _stitches_react_types_theme.Token<"green60-static", string, "colors", "wpds">;
        "green40-static": _stitches_react_types_theme.Token<"green40-static", string, "colors", "wpds">;
        "teal600-static": _stitches_react_types_theme.Token<"teal600-static", string, "colors", "wpds">;
        "teal500-static": _stitches_react_types_theme.Token<"teal500-static", string, "colors", "wpds">;
        "teal400-static": _stitches_react_types_theme.Token<"teal400-static", string, "colors", "wpds">;
        "teal300-static": _stitches_react_types_theme.Token<"teal300-static", string, "colors", "wpds">;
        "teal200-static": _stitches_react_types_theme.Token<"teal200-static", string, "colors", "wpds">;
        "teal100-static": _stitches_react_types_theme.Token<"teal100-static", string, "colors", "wpds">;
        "teal80-static": _stitches_react_types_theme.Token<"teal80-static", string, "colors", "wpds">;
        "teal60-static": _stitches_react_types_theme.Token<"teal60-static", string, "colors", "wpds">;
        "teal40-static": _stitches_react_types_theme.Token<"teal40-static", string, "colors", "wpds">;
        "blue600-static": _stitches_react_types_theme.Token<"blue600-static", string, "colors", "wpds">;
        "blue500-static": _stitches_react_types_theme.Token<"blue500-static", string, "colors", "wpds">;
        "blue400-static": _stitches_react_types_theme.Token<"blue400-static", string, "colors", "wpds">;
        "blue300-static": _stitches_react_types_theme.Token<"blue300-static", string, "colors", "wpds">;
        "blue200-static": _stitches_react_types_theme.Token<"blue200-static", string, "colors", "wpds">;
        "blue100-static": _stitches_react_types_theme.Token<"blue100-static", string, "colors", "wpds">;
        "blue80-static": _stitches_react_types_theme.Token<"blue80-static", string, "colors", "wpds">;
        "blue60-static": _stitches_react_types_theme.Token<"blue60-static", string, "colors", "wpds">;
        "blue40-static": _stitches_react_types_theme.Token<"blue40-static", string, "colors", "wpds">;
        "purple600-static": _stitches_react_types_theme.Token<"purple600-static", string, "colors", "wpds">;
        "purple500-static": _stitches_react_types_theme.Token<"purple500-static", string, "colors", "wpds">;
        "purple400-static": _stitches_react_types_theme.Token<"purple400-static", string, "colors", "wpds">;
        "purple300-static": _stitches_react_types_theme.Token<"purple300-static", string, "colors", "wpds">;
        "purple200-static": _stitches_react_types_theme.Token<"purple200-static", string, "colors", "wpds">;
        "purple100-static": _stitches_react_types_theme.Token<"purple100-static", string, "colors", "wpds">;
        "purple80-static": _stitches_react_types_theme.Token<"purple80-static", string, "colors", "wpds">;
        "purple60-static": _stitches_react_types_theme.Token<"purple60-static", string, "colors", "wpds">;
        "purple40-static": _stitches_react_types_theme.Token<"purple40-static", string, "colors", "wpds">;
        "pink600-static": _stitches_react_types_theme.Token<"pink600-static", string, "colors", "wpds">;
        "pink500-static": _stitches_react_types_theme.Token<"pink500-static", string, "colors", "wpds">;
        "pink400-static": _stitches_react_types_theme.Token<"pink400-static", string, "colors", "wpds">;
        "pink300-static": _stitches_react_types_theme.Token<"pink300-static", string, "colors", "wpds">;
        "pink200-static": _stitches_react_types_theme.Token<"pink200-static", string, "colors", "wpds">;
        "pink100-static": _stitches_react_types_theme.Token<"pink100-static", string, "colors", "wpds">;
        "pink80-static": _stitches_react_types_theme.Token<"pink80-static", string, "colors", "wpds">;
        "pink60-static": _stitches_react_types_theme.Token<"pink60-static", string, "colors", "wpds">;
        "pink40-static": _stitches_react_types_theme.Token<"pink40-static", string, "colors", "wpds">;
        "gray700-static": _stitches_react_types_theme.Token<"gray700-static", string, "colors", "wpds">;
        "gray600-static": _stitches_react_types_theme.Token<"gray600-static", string, "colors", "wpds">;
        "gray500-static": _stitches_react_types_theme.Token<"gray500-static", string, "colors", "wpds">;
        "gray400-static": _stitches_react_types_theme.Token<"gray400-static", string, "colors", "wpds">;
        "gray300-static": _stitches_react_types_theme.Token<"gray300-static", string, "colors", "wpds">;
        "gray200-static": _stitches_react_types_theme.Token<"gray200-static", string, "colors", "wpds">;
        "gray100-static": _stitches_react_types_theme.Token<"gray100-static", string, "colors", "wpds">;
        "gray80-static": _stitches_react_types_theme.Token<"gray80-static", string, "colors", "wpds">;
        "gray60-static": _stitches_react_types_theme.Token<"gray60-static", string, "colors", "wpds">;
        "gray40-static": _stitches_react_types_theme.Token<"gray40-static", string, "colors", "wpds">;
        "gray20-static": _stitches_react_types_theme.Token<"gray20-static", string, "colors", "wpds">;
        "gray0-static": _stitches_react_types_theme.Token<"gray0-static", string, "colors", "wpds">;
        alpha0: _stitches_react_types_theme.Token<"alpha0", string, "colors", "wpds">;
        alpha20: _stitches_react_types_theme.Token<"alpha20", string, "colors", "wpds">;
        alpha40: _stitches_react_types_theme.Token<"alpha40", string, "colors", "wpds">;
        alpha60: _stitches_react_types_theme.Token<"alpha60", string, "colors", "wpds">;
        alpha80: _stitches_react_types_theme.Token<"alpha80", string, "colors", "wpds">;
        alpha100: _stitches_react_types_theme.Token<"alpha100", string, "colors", "wpds">;
        alpha200: _stitches_react_types_theme.Token<"alpha200", string, "colors", "wpds">;
        alpha300: _stitches_react_types_theme.Token<"alpha300", string, "colors", "wpds">;
        alpha400: _stitches_react_types_theme.Token<"alpha400", string, "colors", "wpds">;
        alpha500: _stitches_react_types_theme.Token<"alpha500", string, "colors", "wpds">;
        "alpha0-invert": _stitches_react_types_theme.Token<"alpha0-invert", string, "colors", "wpds">;
        "alpha20-invert": _stitches_react_types_theme.Token<"alpha20-invert", string, "colors", "wpds">;
        "alpha40-invert": _stitches_react_types_theme.Token<"alpha40-invert", string, "colors", "wpds">;
        "alpha60-invert": _stitches_react_types_theme.Token<"alpha60-invert", string, "colors", "wpds">;
        "alpha80-invert": _stitches_react_types_theme.Token<"alpha80-invert", string, "colors", "wpds">;
        "alpha100-invert": _stitches_react_types_theme.Token<"alpha100-invert", string, "colors", "wpds">;
        "alpha200-invert": _stitches_react_types_theme.Token<"alpha200-invert", string, "colors", "wpds">;
        "alpha300-invert": _stitches_react_types_theme.Token<"alpha300-invert", string, "colors", "wpds">;
        "alpha400-invert": _stitches_react_types_theme.Token<"alpha400-invert", string, "colors", "wpds">;
        "alpha500-invert": _stitches_react_types_theme.Token<"alpha500-invert", string, "colors", "wpds">;
        alpha50: _stitches_react_types_theme.Token<"alpha50", string, "colors", "wpds">;
        alpha25: _stitches_react_types_theme.Token<"alpha25", string, "colors", "wpds">;
        red600: _stitches_react_types_theme.Token<"red600", string, "colors", "wpds">;
        red500: _stitches_react_types_theme.Token<"red500", string, "colors", "wpds">;
        red400: _stitches_react_types_theme.Token<"red400", string, "colors", "wpds">;
        red300: _stitches_react_types_theme.Token<"red300", string, "colors", "wpds">;
        red200: _stitches_react_types_theme.Token<"red200", string, "colors", "wpds">;
        red100: _stitches_react_types_theme.Token<"red100", string, "colors", "wpds">;
        red80: _stitches_react_types_theme.Token<"red80", string, "colors", "wpds">;
        red60: _stitches_react_types_theme.Token<"red60", string, "colors", "wpds">;
        red40: _stitches_react_types_theme.Token<"red40", string, "colors", "wpds">;
        spark600: _stitches_react_types_theme.Token<"spark600", string, "colors", "wpds">;
        spark500: _stitches_react_types_theme.Token<"spark500", string, "colors", "wpds">;
        spark400: _stitches_react_types_theme.Token<"spark400", string, "colors", "wpds">;
        spark300: _stitches_react_types_theme.Token<"spark300", string, "colors", "wpds">;
        spark200: _stitches_react_types_theme.Token<"spark200", string, "colors", "wpds">;
        spark100: _stitches_react_types_theme.Token<"spark100", string, "colors", "wpds">;
        spark80: _stitches_react_types_theme.Token<"spark80", string, "colors", "wpds">;
        spark60: _stitches_react_types_theme.Token<"spark60", string, "colors", "wpds">;
        spark40: _stitches_react_types_theme.Token<"spark40", string, "colors", "wpds">;
        orange600: _stitches_react_types_theme.Token<"orange600", string, "colors", "wpds">;
        orange500: _stitches_react_types_theme.Token<"orange500", string, "colors", "wpds">;
        orange400: _stitches_react_types_theme.Token<"orange400", string, "colors", "wpds">;
        orange300: _stitches_react_types_theme.Token<"orange300", string, "colors", "wpds">;
        orange200: _stitches_react_types_theme.Token<"orange200", string, "colors", "wpds">;
        orange100: _stitches_react_types_theme.Token<"orange100", string, "colors", "wpds">;
        orange80: _stitches_react_types_theme.Token<"orange80", string, "colors", "wpds">;
        orange60: _stitches_react_types_theme.Token<"orange60", string, "colors", "wpds">;
        orange40: _stitches_react_types_theme.Token<"orange40", string, "colors", "wpds">;
        mustard600: _stitches_react_types_theme.Token<"mustard600", string, "colors", "wpds">;
        mustard500: _stitches_react_types_theme.Token<"mustard500", string, "colors", "wpds">;
        mustard400: _stitches_react_types_theme.Token<"mustard400", string, "colors", "wpds">;
        mustard300: _stitches_react_types_theme.Token<"mustard300", string, "colors", "wpds">;
        mustard200: _stitches_react_types_theme.Token<"mustard200", string, "colors", "wpds">;
        mustard100: _stitches_react_types_theme.Token<"mustard100", string, "colors", "wpds">;
        mustard80: _stitches_react_types_theme.Token<"mustard80", string, "colors", "wpds">;
        mustard60: _stitches_react_types_theme.Token<"mustard60", string, "colors", "wpds">;
        mustard40: _stitches_react_types_theme.Token<"mustard40", string, "colors", "wpds">;
        gold600: _stitches_react_types_theme.Token<"gold600", string, "colors", "wpds">;
        gold500: _stitches_react_types_theme.Token<"gold500", string, "colors", "wpds">;
        gold400: _stitches_react_types_theme.Token<"gold400", string, "colors", "wpds">;
        gold300: _stitches_react_types_theme.Token<"gold300", string, "colors", "wpds">;
        gold200: _stitches_react_types_theme.Token<"gold200", string, "colors", "wpds">;
        gold100: _stitches_react_types_theme.Token<"gold100", string, "colors", "wpds">;
        gold80: _stitches_react_types_theme.Token<"gold80", string, "colors", "wpds">;
        gold60: _stitches_react_types_theme.Token<"gold60", string, "colors", "wpds">;
        gold40: _stitches_react_types_theme.Token<"gold40", string, "colors", "wpds">;
        yellow600: _stitches_react_types_theme.Token<"yellow600", string, "colors", "wpds">;
        yellow100: _stitches_react_types_theme.Token<"yellow100", string, "colors", "wpds">;
        green600: _stitches_react_types_theme.Token<"green600", string, "colors", "wpds">;
        green500: _stitches_react_types_theme.Token<"green500", string, "colors", "wpds">;
        green400: _stitches_react_types_theme.Token<"green400", string, "colors", "wpds">;
        green300: _stitches_react_types_theme.Token<"green300", string, "colors", "wpds">;
        green200: _stitches_react_types_theme.Token<"green200", string, "colors", "wpds">;
        green100: _stitches_react_types_theme.Token<"green100", string, "colors", "wpds">;
        green80: _stitches_react_types_theme.Token<"green80", string, "colors", "wpds">;
        green60: _stitches_react_types_theme.Token<"green60", string, "colors", "wpds">;
        green40: _stitches_react_types_theme.Token<"green40", string, "colors", "wpds">;
        teal600: _stitches_react_types_theme.Token<"teal600", string, "colors", "wpds">;
        teal500: _stitches_react_types_theme.Token<"teal500", string, "colors", "wpds">;
        teal400: _stitches_react_types_theme.Token<"teal400", string, "colors", "wpds">;
        teal300: _stitches_react_types_theme.Token<"teal300", string, "colors", "wpds">;
        teal200: _stitches_react_types_theme.Token<"teal200", string, "colors", "wpds">;
        teal100: _stitches_react_types_theme.Token<"teal100", string, "colors", "wpds">;
        teal80: _stitches_react_types_theme.Token<"teal80", string, "colors", "wpds">;
        teal60: _stitches_react_types_theme.Token<"teal60", string, "colors", "wpds">;
        teal40: _stitches_react_types_theme.Token<"teal40", string, "colors", "wpds">;
        blue600: _stitches_react_types_theme.Token<"blue600", string, "colors", "wpds">;
        blue500: _stitches_react_types_theme.Token<"blue500", string, "colors", "wpds">;
        blue400: _stitches_react_types_theme.Token<"blue400", string, "colors", "wpds">;
        blue300: _stitches_react_types_theme.Token<"blue300", string, "colors", "wpds">;
        blue200: _stitches_react_types_theme.Token<"blue200", string, "colors", "wpds">;
        blue100: _stitches_react_types_theme.Token<"blue100", string, "colors", "wpds">;
        blue80: _stitches_react_types_theme.Token<"blue80", string, "colors", "wpds">;
        blue60: _stitches_react_types_theme.Token<"blue60", string, "colors", "wpds">;
        blue40: _stitches_react_types_theme.Token<"blue40", string, "colors", "wpds">;
        purple600: _stitches_react_types_theme.Token<"purple600", string, "colors", "wpds">;
        purple500: _stitches_react_types_theme.Token<"purple500", string, "colors", "wpds">;
        purple400: _stitches_react_types_theme.Token<"purple400", string, "colors", "wpds">;
        purple300: _stitches_react_types_theme.Token<"purple300", string, "colors", "wpds">;
        purple200: _stitches_react_types_theme.Token<"purple200", string, "colors", "wpds">;
        purple100: _stitches_react_types_theme.Token<"purple100", string, "colors", "wpds">;
        purple80: _stitches_react_types_theme.Token<"purple80", string, "colors", "wpds">;
        purple60: _stitches_react_types_theme.Token<"purple60", string, "colors", "wpds">;
        purple40: _stitches_react_types_theme.Token<"purple40", string, "colors", "wpds">;
        pink600: _stitches_react_types_theme.Token<"pink600", string, "colors", "wpds">;
        pink500: _stitches_react_types_theme.Token<"pink500", string, "colors", "wpds">;
        pink400: _stitches_react_types_theme.Token<"pink400", string, "colors", "wpds">;
        pink300: _stitches_react_types_theme.Token<"pink300", string, "colors", "wpds">;
        pink200: _stitches_react_types_theme.Token<"pink200", string, "colors", "wpds">;
        pink100: _stitches_react_types_theme.Token<"pink100", string, "colors", "wpds">;
        pink80: _stitches_react_types_theme.Token<"pink80", string, "colors", "wpds">;
        pink60: _stitches_react_types_theme.Token<"pink60", string, "colors", "wpds">;
        pink40: _stitches_react_types_theme.Token<"pink40", string, "colors", "wpds">;
        gray700: _stitches_react_types_theme.Token<"gray700", string, "colors", "wpds">;
        gray600: _stitches_react_types_theme.Token<"gray600", string, "colors", "wpds">;
        gray500: _stitches_react_types_theme.Token<"gray500", string, "colors", "wpds">;
        gray400: _stitches_react_types_theme.Token<"gray400", string, "colors", "wpds">;
        gray300: _stitches_react_types_theme.Token<"gray300", string, "colors", "wpds">;
        gray200: _stitches_react_types_theme.Token<"gray200", string, "colors", "wpds">;
        gray100: _stitches_react_types_theme.Token<"gray100", string, "colors", "wpds">;
        gray80: _stitches_react_types_theme.Token<"gray80", string, "colors", "wpds">;
        gray60: _stitches_react_types_theme.Token<"gray60", string, "colors", "wpds">;
        gray40: _stitches_react_types_theme.Token<"gray40", string, "colors", "wpds">;
        gray20: _stitches_react_types_theme.Token<"gray20", string, "colors", "wpds">;
        gray0: _stitches_react_types_theme.Token<"gray0", string, "colors", "wpds">;
    };
    toString: () => string;
};
declare const lightTheme: string & {
    className: string;
    selector: string;
} & _stitches_react_types_stitches.ThemeTokens<{
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
}, "wpds">;
declare const globalStyles: () => string;
declare const darkModeGlobalStyles: () => string;

/**
 * ScreenSize
 * @description ScreenSize type
 */
declare type ScreenSizeCSSProperty = "small" | "medium" | "large" | "xlarge" | "xxlarge" | "unknown";
declare const screenSizesEnums: {
    small: string;
    medium: string;
    large: string;
    xlarge: string;
    xxlarge: string;
    unknown: string;
};
declare const getScreenSize: () => ScreenSizeCSSProperty;
/**
 *
 * @returns ScreenSize
 */
declare const useResponsiveScreenSize: () => ScreenSizeCSSProperty;

declare type DialogContentProps = {
    /** Css background color of content*/
    backgroundColor?: StandardLonghandProperties["backgroundColor"] | (typeof theme.colors)[keyof typeof theme.colors];
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
    /** Width in any valid css string */
    width?: string;
    /** Height in any valid css string */
    height?: string;
    /** Css z-index */
    zIndex?: StandardLonghandProperties["zIndex"] | (typeof theme.zIndices)[keyof typeof theme.zIndices];
} & DialogContentProps$1;
declare const DialogContent: React$1.ForwardRefExoticComponent<{
    /** Css background color of content*/
    backgroundColor?: StandardLonghandProperties["backgroundColor"] | (typeof theme.colors)[keyof typeof theme.colors];
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
    /** Width in any valid css string */
    width?: string | undefined;
    /** Height in any valid css string */
    height?: string | undefined;
    /** Css z-index */
    zIndex?: StandardLonghandProperties["zIndex"] | (typeof theme.zIndices)[keyof typeof theme.zIndices];
} & DialogPrimitive.DialogContentProps & React$1.RefAttributes<HTMLDivElement>>;

declare type DialogTriggerProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React$1.ComponentPropsWithRef<typeof DialogPrimitive.Trigger>;
declare const DialogTrigger: React$1.ForwardRefExoticComponent<Omit<DialogTriggerProps, "ref"> & React$1.RefAttributes<HTMLButtonElement>>;

declare type DialogPortalProps = DialogPortalProps$1;
declare const DialogPortal: {
    ({ forceMount, ...props }: DialogPortalProps): React$1.JSX.Element;
    displayName: string;
};

declare type DialogOverlayProps = {
    /** Css background color of overlay*/
    backgroundColor?: StandardLonghandProperties["backgroundColor"] | (typeof theme.colors)[keyof typeof theme.colors];
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
    /** Css z-index of overlay */
    zIndex?: StandardLonghandProperties["zIndex"] | (typeof theme.zIndices)[keyof typeof theme.zIndices];
} & DialogOverlayProps$1;
declare const DialogOverlay: React$1.ForwardRefExoticComponent<{
    /** Css background color of overlay*/
    backgroundColor?: StandardLonghandProperties["backgroundColor"] | (typeof theme.colors)[keyof typeof theme.colors];
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
    /** Css z-index of overlay */
    zIndex?: StandardLonghandProperties["zIndex"] | (typeof theme.zIndices)[keyof typeof theme.zIndices];
} & DialogPrimitive.DialogOverlayProps & React$1.RefAttributes<HTMLDivElement>>;

declare type DialogTitleProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & DialogTitleProps$1;
declare const DialogTitle: React$1.ForwardRefExoticComponent<{
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & DialogPrimitive.DialogTitleProps & React$1.RefAttributes<HTMLHeadingElement>>;

declare type DialogDescriptionProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & DialogDescriptionProps$1;
declare const DialogDescription: React$1.ForwardRefExoticComponent<{
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & DialogPrimitive.DialogDescriptionProps & React$1.RefAttributes<HTMLParagraphElement>>;

declare type DialogCloseProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React$1.ComponentPropsWithRef<typeof DialogPrimitive.Close>;
declare const DialogClose: React$1.ForwardRefExoticComponent<Omit<DialogCloseProps, "ref"> & React$1.RefAttributes<HTMLButtonElement>>;

declare const StyledHeader$1: _stitches_react_types_styled_component.StyledComponent<"header", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type DialogHeaderProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React$1.ComponentPropsWithRef<typeof StyledHeader$1>;
declare const DialogHeader: React$1.ForwardRefExoticComponent<Omit<DialogHeaderProps, "ref"> & React$1.RefAttributes<HTMLElement>>;

declare const StyledBody: _stitches_react_types_styled_component.StyledComponent<"div", {
    isOverflow?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type DialogBodyProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React$1.ComponentPropsWithRef<typeof StyledBody>;
declare const DialogBody: React$1.ForwardRefExoticComponent<Omit<DialogBodyProps, "ref"> & React$1.RefAttributes<HTMLDivElement>>;

declare const StyledFooter: _stitches_react_types_styled_component.StyledComponent<"footer", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type DialogFooterProps = {
    /** Any React node may be used as a child */
    children?: React$1.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React$1.ComponentPropsWithRef<typeof StyledFooter>;
declare const DialogFooter: React$1.ForwardRefExoticComponent<Omit<DialogFooterProps, "ref"> & React$1.RefAttributes<HTMLElement>>;

declare type DialogProps = {
    Root: typeof DialogRoot;
    Content: typeof DialogContent;
    Trigger: typeof DialogTrigger;
    Portal: typeof DialogPortal;
    Overlay: typeof DialogOverlay;
    Title: typeof DialogTitle;
    Description: typeof DialogDescription;
    Close: typeof DialogClose;
    Header: typeof DialogHeader;
    Body: typeof DialogBody;
    Footer: typeof DialogFooter;
};
declare const Dialog: DialogProps;

declare type WPDSThemeSpaceObject = {
    token: string;
    value: string;
    scale: string;
    prefix: string;
};
declare const StyledContentWrapper: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<TooltipPrimitive.TooltipContentProps & React__default.RefAttributes<HTMLDivElement>>, {
    density?: "default" | "compact" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        /** @default theme.space["025"] */
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type TooltipContentVariants = VariantProps<typeof StyledContentWrapper>;
declare type ContentCombinedProps = TooltipContentProps & TooltipContentVariants;
interface TooltipContentInterface extends ContentCombinedProps {
    /** Override CSS */
    css?: CSS;
    /** Prevent the tooltip from showing up */
    disabled?: boolean;
    /** How far away from the side of the parent should the tooltip be? */
    /** @default theme.space["025"] */
    offsetSide?: number | string | WPDSThemeSpaceObject;
    /** @default "top"*/
    side?: "left" | "right" | "top" | "bottom";
    /** @default "center" */
    align?: "start" | "center" | "end";
    /** how far away from the center do you want the tooltip to be? */
    /** @default 0 */
    offsetAlign?: number | string | WPDSThemeSpaceObject;
}
/**
 * Tooltip.Content
 * @see Docs https://build.washingtonpost.com/components/tooltip
 * @see Source https://github.com/washingtonpost/wpds-ui-kit/tree/main/ui/tooltip
 */
declare const TooltipContent: React__default.ForwardRefExoticComponent<TooltipContentInterface & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledTrigger: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<TooltipPrimitive.TooltipTriggerProps & React__default.RefAttributes<HTMLButtonElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type TooltipTriggerVariants = VariantProps<typeof StyledTrigger>;
declare type TriggerCombinedProps$1 = TooltipTriggerProps & TooltipTriggerVariants;
interface TooltipTriggerInterface extends TriggerCombinedProps$1 {
    /** Override CSS */
    css?: CSS;
}
declare const TooltipTrigger: React__default.ForwardRefExoticComponent<TooltipTriggerInterface & React__default.RefAttributes<HTMLButtonElement>>;

declare const TooltipRoot: {
    ({ children, ...props }: TooltipProps$1): React__default.JSX.Element;
    displayName: string;
};
declare const TooltipPortal: {
    (props: TooltipPortalProps): React__default.JSX.Element;
    displayName: string;
};
declare const TooltipProvider: {
    (props: TooltipProviderProps): React__default.JSX.Element;
    displayName: string;
};
declare const Provider: {
    (props: TooltipProviderProps): React__default.JSX.Element;
    displayName: string;
};
declare const Root: {
    ({ children, ...props }: TooltipProps$1): React__default.JSX.Element;
    displayName: string;
};
declare const Portal: {
    (props: TooltipPortalProps): React__default.JSX.Element;
    displayName: string;
};
declare const Trigger: React__default.ForwardRefExoticComponent<TooltipTriggerInterface & React__default.RefAttributes<HTMLButtonElement>>;
declare const Content: React__default.ForwardRefExoticComponent<TooltipContentInterface & React__default.RefAttributes<HTMLDivElement>>;
declare type TooltipProps = {
    Root: typeof Root;
    Portal: typeof Portal;
    Provider: typeof Provider;
    Content: typeof Content;
    Trigger: typeof Trigger;
};
/**
 * Tooltip
 */
declare const Tooltip: TooltipProps;

declare const StyledTabsRoot: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<TabsPrimitive.TabsProps & React__default.RefAttributes<HTMLDivElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type TabsRootProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** The value of the tab to select by default, if uncontrolled */
    defaultValue?: string;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof StyledTabsRoot>;
declare const TabsRoot: React__default.ForwardRefExoticComponent<Omit<TabsRootProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledTabsList: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<TabsPrimitive.TabsListProps & React__default.RefAttributes<HTMLDivElement>>, {
    align?: "center" | "left" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type TabsListVariants = VariantProps<typeof StyledTabsList>;
declare type TabsListProps = {
    children?: React__default.ReactNode;
    /** the alignment of the list content along the tab bar. Default is left aligned */
    align?: "center" | "left" | undefined;
    /** the overall size of the component. Default is default (theme.fontSizes[100]) */
    density?: "default" | "compact" | "loose" | undefined;
} & TabsListVariants & React__default.ComponentProps<typeof StyledTabsList>;
declare const TabsList: React__default.ForwardRefExoticComponent<Omit<TabsListProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledTabsTrigger: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<TabsPrimitive.TabsTriggerProps & React__default.RefAttributes<HTMLButtonElement>>, {
    active?: boolean | "true" | undefined;
    density?: "default" | "loose" | "compact" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type TabsTriggerVariants = VariantProps<typeof StyledTabsTrigger>;
declare type TriggerCombinedProps = React__default.ComponentPropsWithoutRef<typeof StyledTabsTrigger> & TabsTriggerVariants;
declare type TabsTriggerProps = {
    children?: React__default.ReactNode;
    /** A unique value that associates the trigger with a content. */
    value: string;
    /** The value whether the trigger should be disabled */
    disabled?: boolean;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
} & TriggerCombinedProps;
declare const TabsTrigger: {
    ({ children, value, ...props }: TabsTriggerProps): React__default.JSX.Element;
    displayName: string;
};

declare type TabsContentProps = {
    children?: React__default.ReactNode;
    value: string;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
} & TabsContentProps$1;
declare const TabsContent: {
    ({ children, value, ...props }: TabsContentProps): React__default.JSX.Element;
    displayName: string;
};

declare type TabsProps = {
    Root: typeof TabsRoot;
    List: typeof TabsList;
    Trigger: typeof TabsTrigger;
    Content: typeof TabsContent;
};
/**
 * Tabs
 */
declare const Tabs: TabsProps;

declare const DividerContainer: _stitches_react_types_styled_component.StyledComponent<"div", {
    none?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SelectGroupProps = {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
    /** The value of the select when initially rendered. Use when you do not need to control the state of the select. */
    label?: string;
} & React__default.ComponentPropsWithRef<typeof DividerContainer>;
declare const SelectGroup: React__default.ForwardRefExoticComponent<Omit<SelectGroupProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledItem: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<SelectPrimitive.SelectItemProps & React__default.RefAttributes<HTMLDivElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SelectItemProps = {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
    /** The value associated with this item */
    value: string;
} & React__default.ComponentPropsWithRef<typeof StyledItem>;
declare const SelectItem: React__default.ForwardRefExoticComponent<Omit<SelectItemProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledContent$1: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<SelectPrimitive.SelectContentProps & React__default.RefAttributes<HTMLDivElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SelectContentProps = {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof StyledContent$1>;
declare const SelectContent: React__default.ForwardRefExoticComponent<Omit<SelectContentProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type SelectContextProps = {
    currentValue: string;
    required: boolean | undefined;
    success: boolean | undefined;
    disabled: boolean | undefined;
    error?: boolean;
    errorMessage?: React__default.ReactNode;
    helperText?: React__default.ReactNode;
    isFloating: boolean;
    setIsFloating: (boolean: boolean) => void;
    contentWidth: number;
    setContentWidth: (number: number) => void;
};
declare const SelectContext: React__default.Context<SelectContextProps>;
declare type SelectRootVariants = VariantProps<typeof SelectPrimitive.Root>;
declare type SelectRootProps = {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
    /** The underlying input element disabled attribute */
    disabled?: boolean;
    /** Indicates there is an error */
    error?: boolean;
    /** Text displayed below the select to describe the cause of the error */
    errorMessage?: React__default.ReactNode;
    /** Text displayed below the input to provide additional context */
    helperText?: React__default.ReactNode;
    /** Event handler called when the value changes. */
    onValueChange?: ((value: string) => void) | (((state: string) => void) | undefined);
    /** The select element's required attribute */
    required?: boolean;
    /** Indicates there is a success*/
    success?: boolean;
    /** The controlled value of the select. Should be used in conjunction with onValueChange */
    value?: string;
    /** The value of the select when initially rendered. Use when you do not need to control the state of the select. */
    defaultValue?: string;
    /** force overlay open */
    open?: boolean;
} & SelectRootVariants;
declare const SelectRoot: {
    ({ children, required, success, disabled, value: valueProp, onValueChange, error, errorMessage, helperText, defaultValue, ...props }: SelectRootProps): React__default.JSX.Element;
    displayName: string;
};

declare const Select: {
    Root: {
        ({ children, required, success, disabled, value: valueProp, onValueChange, error, errorMessage, helperText, defaultValue, ...props }: SelectRootProps): React$1.JSX.Element;
        displayName: string;
    };
    Content: React$1.ForwardRefExoticComponent<Omit<SelectContentProps, "ref"> & React$1.RefAttributes<HTMLDivElement>>;
    Item: React$1.ForwardRefExoticComponent<Omit<SelectItemProps, "ref"> & React$1.RefAttributes<HTMLDivElement>>;
    Group: React$1.ForwardRefExoticComponent<Omit<SelectGroupProps, "ref"> & React$1.RefAttributes<HTMLDivElement>>;
    Trigger: React$1.ForwardRefExoticComponent<SelectPrimitive.SelectTriggerProps & _stitches_react_types_styled_component.TransformProps<{
        success?: boolean | "true" | undefined;
        error?: boolean | "true" | undefined;
        isInvalid?: boolean | "true" | undefined;
        isDisabled?: boolean | "true" | undefined;
    }, {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }> & {
        children?: React$1.ReactNode;
        css?: CSS | undefined;
    } & React$1.RefAttributes<HTMLButtonElement>>;
    Label: {
        ({ children, ...props }: _stitches_react_types_styled_component.TransformProps<{
            isFloating?: boolean | "true" | undefined;
            isDisabled?: boolean | "true" | undefined;
        }, {
            sm: `(max-width: ${string})`;
            md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            notSm: `(min-width: calc(${string} + 1px))`;
            notMd: `(min-width: calc(${string} + 1px))`;
            notLg: `(min-width: calc(${string} + 1px))`;
            notXl: `(min-width: calc(${string} + 1px))`;
            notXxl: `(min-width: calc(${string} + 1px ))`;
            minSm: `(min-width: calc(${string} + 1px))`;
            minMd: `(min-width: calc(${string} + 1px))`;
            minLg: `(min-width: calc(${string} + 1px))`;
            minXl: `(min-width: calc(${string} + 1px))`;
            minXxl: `(min-width: calc(${string} + 1px ))`;
            maxSm: `(max-width: ${string})`;
            maxMd: `(max-width: ${string})`;
            maxLg: `(max-width: ${string})`;
            maxXl: `(max-width: ${string})`;
            maxXxl: `(max-width: ${string})`;
            reducedMotion: "(prefers-reduced-motion)";
            hover: "(any-hover: hover)";
            dark: "(prefers-color-scheme: dark)";
            light: "(prefers-color-scheme: light)";
        }> & {
            children?: React$1.ReactNode;
            css?: CSS | undefined;
            title?: string | undefined;
        }): React$1.JSX.Element;
        displayName: string;
    };
    Value: React$1.ForwardRefExoticComponent<_stitches_react_types_styled_component.TransformProps<{
        isDisabled?: boolean | "true" | undefined;
    }, {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }> & SelectPrimitive.SelectValueProps & {
        children?: React$1.ReactNode;
        css?: CSS | undefined;
        placeholder?: string | undefined;
    } & React$1.RefAttributes<HTMLDivElement>>;
};

declare const SelectTrigger: React__default.ForwardRefExoticComponent<SelectPrimitive.SelectTriggerProps & _stitches_react_types_styled_component.TransformProps<{
    success?: boolean | "true" | undefined;
    error?: boolean | "true" | undefined;
    isInvalid?: boolean | "true" | undefined;
    isDisabled?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS | undefined;
} & React__default.RefAttributes<HTMLButtonElement>>;

interface InputLabelProps extends LabelProps {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    /** if the labeled input is disabled */
    disabled?: boolean;
    /** if the labeled input is required */
    required?: boolean;
}
declare const InputLabel: React__default.ForwardRefExoticComponent<InputLabelProps & React__default.RefAttributes<HTMLLabelElement>>;

declare const TextInputLabel: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<InputLabelProps & React__default.RefAttributes<HTMLLabelElement>>, {
    isFloating?: boolean | "true" | undefined;
    isDisabled?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SelectLabelVariants = VariantProps<typeof TextInputLabel>;
declare type SelectLabelProps = SelectLabelVariants & {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
    title?: string;
};
declare const SelectLabel: {
    ({ children, ...props }: SelectLabelProps): React__default.JSX.Element;
    displayName: string;
};

declare const SelectValue: React__default.ForwardRefExoticComponent<_stitches_react_types_styled_component.TransformProps<{
    isDisabled?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & SelectPrimitive.SelectValueProps & {
    /** Used to insert select elements into the root component*/
    children?: React__default.ReactNode;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS | undefined;
    placeholder?: string | undefined;
} & React__default.RefAttributes<HTMLDivElement>>;

interface ScrimProps extends React__default.ComponentPropsWithRef<"div"> {
    /** Override CSS */
    css?: CSS;
    /** Whether scrollbars should be hidden and scroll locked when the scrim is shown @default true */
    lockScroll?: boolean;
    /** Controlled value to open and close the scrim */
    open?: boolean;
    /** Css z-index of scrim @default theme.zIndices.shell */
    zIndex?: StandardLonghandProperties["zIndex"] | Token<"shell", string, "zIndices", "wpds">;
}
declare const Scrim: React__default.ForwardRefExoticComponent<Omit<ScrimProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type CombinedProps$1 = Pick<RadioGroupProps$1, "defaultValue" | "dir" | "loop" | "name" | "onValueChange" | "orientation" | "required" | "value"> & React__default.ComponentPropsWithRef<"fieldset">;
interface RadioGroupProps extends CombinedProps$1 {
    /** CSS passed to RadioButtons parent element */
    buttonsWrapperCss?: CSS;
    /** Override CSS */
    css?: CSS;
    /** Inputs are disabled, changing appearance and preventing input */
    disabled?: boolean;
    /** If there is an error with the fields */
    error?: boolean;
    /** Description of error */
    errorMessage?: React__default.ReactNode;
    /** Only the radio button's outline is displayed
     * @default false */
    isOutline?: boolean;
    /** Legend text labelling entire group */
    legend: React__default.ReactNode;
    /** Shared name of group radios */
    name: string;
    /** Color variants
     * @default primary */
    variant?: "primary" | "secondary" | "cta";
}
declare const RadioGroup: React__default.ForwardRefExoticComponent<Omit<RadioGroupProps, "ref"> & React__default.RefAttributes<HTMLFieldSetElement>>;

declare const StyledRadioButton: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<RadioGroupPrimitive.RadioGroupItemProps & React__default.RefAttributes<HTMLButtonElement>>, {
    variant?: "cta" | "secondary" | "primary" | undefined;
    isOutline?: boolean | "true" | undefined;
    isInvalid?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
interface RadioButtonProps extends React__default.ComponentProps<typeof StyledRadioButton> {
    /** displays error state with colored border */
    error?: boolean;
    /** Override CSS */
    css?: CSS;
    /** id of input */
    id: string;
    /** label text displayed next to button */
    label: string;
    /** underlying value for input */
    value: string;
}
declare const RadioButton: React__default.ForwardRefExoticComponent<Omit<RadioButtonProps, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;

declare type PopoverRootProps = PopoverProps$1;
declare const PopoverRoot: {
    ({ children, ...props }: PopoverRootProps): React__default.JSX.Element;
    displayName: string;
};

declare type PopoverPortalProps = PopoverPortalProps$1;
declare const PopoverPortal: {
    (props: PopoverPortalProps): React__default.JSX.Element;
    displayName: string;
};

declare const sizes: {
    "100": string;
    "125": string;
    "150": string;
    "175": string;
    "200": string;
    "225": string;
    "250": string;
    "275": string;
    "300": string;
    "350": string;
    "400": string;
    "450": string;
    "500": string;
    "025": string;
    "050": string;
    "075": string;
    "087": string;
};

declare const StyledContent: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<PopoverPrimitive.PopoverContentProps & React__default.RefAttributes<HTMLDivElement>>, {
    density?: "default" | "compact" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type PopoverContentProps = {
    /** Override CSS */
    css?: CSS;
    /** Distance between trigger and content */
    sideOffset?: number | Token<keyof typeof sizes, string, "space", "wpds">;
    /** Width of the popover content */
    width?: number;
} & VariantProps<typeof StyledContent> & Omit<PopoverContentProps$1, "sideOffset">;
declare const PopoverContent: React__default.ForwardRefExoticComponent<{
    /** Override CSS */
    css?: CSS | undefined;
    /** Distance between trigger and content */
    sideOffset?: number | Token<"100" | "125" | "150" | "175" | "200" | "225" | "250" | "275" | "300" | "350" | "400" | "450" | "500" | "075" | "087" | "025" | "050", string, "space", "wpds"> | undefined;
    /** Width of the popover content */
    width?: number | undefined;
} & _stitches_react_types_styled_component.TransformProps<{
    density?: "default" | "compact" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & Omit<PopoverPrimitive.PopoverContentProps, "sideOffset"> & React__default.RefAttributes<HTMLDivElement>>;

declare type PopoverTriggerProps = {
    /** Override CSS */
    css?: CSS;
} & PopoverTriggerProps$1;
declare const PopoverTrigger: React__default.ForwardRefExoticComponent<{
    /** Override CSS */
    css?: CSS | undefined;
} & PopoverPrimitive.PopoverTriggerProps & React__default.RefAttributes<HTMLButtonElement>>;

declare type PopoverAnchorProps = PopoverAnchorProps$1;
declare const PopoverAnchor: {
    (props: PopoverAnchorProps): React__default.JSX.Element;
    displayName: string;
};

declare type PopoverCloseProps = {
    /** Override CSS */
    css?: CSS;
} & PopoverCloseProps$1;
declare const PopoverClose: React__default.ForwardRefExoticComponent<{
    /** Override CSS */
    css?: CSS | undefined;
} & PopoverPrimitive.PopoverCloseProps & React__default.RefAttributes<HTMLButtonElement>>;

declare type PopoverProps = {
    Root: typeof PopoverRoot;
    Portal: typeof PopoverPortal;
    Content: typeof PopoverContent;
    Trigger: typeof PopoverTrigger;
    Anchor: typeof PopoverAnchor;
    Close: typeof PopoverClose;
};
declare const Popover: PopoverProps;

interface PaginationDotsProps extends React__default.ComponentPropsWithRef<"div"> {
    /**
     * The 1-indexed position of the currently active dot
     * @default 1
     */
    index: number;
    /** The total amount of dots in range */
    amount: number;
    /**
     * The input's label text, required for accessibility
     * @default Pagination Dots
     */
    label?: string;
    /** Specifies the type of element represented by the dots (e.g., "Page") */
    unitName?: string;
    css?: CSS;
    /** If the dots are oriented left to right or top to bottom */
    orientation?: "horizontal" | "vertical";
}
declare const PaginationDots: React__default.ForwardRefExoticComponent<Omit<PaginationDotsProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const InputTextareaCSS: _stitches_react_types_styled_component.CssComponent<never, {
    canResize?: boolean | "false" | undefined;
    isInvalid?: boolean | "true" | undefined;
    isDisabled?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
interface InputTextareaProps extends Omit<VariantProps<typeof InputTextareaCSS>, "isInvalid" | "isDisabled"> {
    /** children */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    /** The initial input element value for uncontrolled components */
    defaultValue?: string;
    /** The underlying textarea element disabled attribute */
    disabled?: boolean;
    /** if the element has an error */
    error?: boolean;
    /** Text displayed below the input to describe the cause of the error */
    errorMessage?: React__default.ReactNode;
    /** Text displayed below the input to provide additional context */
    helperText?: React__default.ReactNode;
    /** Label (use instead of Placeholder) */
    label: string;
    /** An id attribute to allow the <InputTextarea> to be associated with a <label> element for accessibility purposes */
    id: string;
    /** A name attribute to set the name of the associated data point submitted to the server when the form is submitted. */
    name: string;
    /** Callback executed when the input fires a blur event*/
    onBlur?: React__default.FocusEventHandler<HTMLTextAreaElement>;
    /** Callback executed when the input fires a change event */
    onChange?: (event: React__default.ChangeEvent<HTMLTextAreaElement>) => void;
    /** Callback executed when the input fires a focus event */
    onFocus?: React__default.FocusEventHandler<HTMLTextAreaElement>;
    /** placeholder text */
    placeholder?: string;
    /** The input elements required attribute */
    required?: boolean;
    /** The input element value for controlled components */
    value?: string;
}
declare const InputTextarea: React__default.ForwardRefExoticComponent<InputTextareaProps & React__default.RefAttributes<HTMLTextAreaElement>>;

declare const UnstyledInput: _stitches_react_types_styled_component.StyledComponent<"input", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
interface InputTextProps extends React__default.ComponentPropsWithRef<typeof UnstyledInput> {
    /** Accessible text for button icon, required for right icons */
    buttonIconText?: string;
    /** Explicit button icon typing for use in forms */
    buttonIconType?: "submit" | "reset" | "button";
    /** Used to insert Icons in the input, only a single child is accepted*/
    children?: React__default.ReactNode;
    /** The initial input element value for uncontrolled components */
    defaultValue?: string;
    /** The underlying input element disabled attribute */
    disabled?: boolean;
    /** Indicates there is an error */
    error?: boolean;
    /** Text displayed below the input to describe the cause of the error */
    errorMessage?: React__default.ReactNode;
    /** Text displayed below the input to provide additional context */
    helperText?: React__default.ReactNode;
    /** The position of the icon in the input
     * @default none */
    icon?: "left" | "right" | "none";
    /** The id for the underlying input element. Required for accessibility */
    id: string;
    /** The input's label text, required for accessibility */
    label: string;
    /** The name for the underlying input element */
    name: string;
    /** Callback executed when the input fires a blur event */
    onBlur?: React__default.FocusEventHandler<HTMLInputElement>;
    /** Callback executed when the button icon on the right is click to perform an action */
    onButtonIconClick?: (event: React__default.MouseEvent<HTMLButtonElement>) => void;
    /** Callback executed when the input fires a change event */
    onChange?: (event: React__default.ChangeEvent<HTMLInputElement>) => void;
    /** Callback executed when the input fires a focus event */
    onFocus?: React__default.FocusEventHandler<HTMLInputElement>;
    /** placeholder text */
    placeholder?: string;
    /** The input elements required attribute */
    required?: boolean;
    /** indicates there is a success */
    success?: boolean;
    /** Supported input element types
     * @default text */
    type?: "text" | "number" | "search" | "url" | "tel" | "email" | "password";
    /** The input element value for controlled components */
    value?: string;
    /** Overrides for the input text styles. Padding overrides affect the input container and  */
    css?: CSS;
}
declare const InputText: React__default.ForwardRefExoticComponent<Omit<InputTextProps, "ref"> & React__default.RefAttributes<HTMLInputElement>>;

declare const FloatingLabelStyles: {
    fontSize: _stitches_react_types_theme.Token<"075", string, "fontSizes", "wpds">;
    lineHeight: _stitches_react_types_theme.Token<"100", string, "lineHeights", "wpds">;
    transform: string;
};
declare const sharedInputStyles: {
    borderRadius: _stitches_react_types_theme.Token<"012", string, "radii", "wpds">;
    borderColor: _stitches_react_types_theme.Token<"outline", string, "colors", "wpds">;
    borderStyle: string;
    borderWidth: string;
    backgroundColor: _stitches_react_types_theme.Token<"secondary", string, "colors", "wpds">;
    color: _stitches_react_types_theme.Token<"primary", string, "colors", "wpds">;
    fontFamily: _stitches_react_types_theme.Token<"meta", string, "fonts", "wpds">;
    fontSize: _stitches_react_types_theme.Token<"100", string, "fontSizes", "wpds">;
    fontWeight: _stitches_react_types_theme.Token<"light", string, "fontWeights", "wpds">;
    lineHeight: _stitches_react_types_theme.Token<"125", string, "lineHeights", "wpds">;
    "&:focus": {
        borderColor: _stitches_react_types_theme.Token<"signal", string, "colors", "wpds">;
        outline: string;
    };
};
declare const sharedInputVariants: {
    isInvalid: {
        true: {
            borderColor: _stitches_react_types_theme.Token<"error", string, "colors", "wpds">;
            "&:focus": {
                borderColor: _stitches_react_types_theme.Token<"error", string, "colors", "wpds">;
            };
        };
    };
    isDisabled: {
        true: {
            backgroundColor: _stitches_react_types_theme.Token<"disabled", string, "colors", "wpds">;
            borderColor: _stitches_react_types_theme.Token<"disabled", string, "colors", "wpds">;
            color: _stitches_react_types_theme.Token<"onDisabled", string, "colors", "wpds">;
        };
    };
};
declare const RequiredIndicatorCSS: _stitches_react_types_styled_component.CssComponent<never, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare const globalInputAutoFillTriggerAnimations: () => string;
declare const unstyledInputStyles: {
    backgroundColor: string;
    border: string;
    color: string;
    display: string;
    fontSize: string;
    lineHeight: string;
    paddingBlockStart: _stitches_react_types_theme.Token<"125", string, "space", "wpds">;
    paddingBlockEnd: _stitches_react_types_theme.Token<"050", string, "space", "wpds">;
    paddingInline: _stitches_react_types_theme.Token<"050", string, "space", "wpds">;
    textOverflow: string;
    width: string;
    "-webkit-appearance": string;
    "&:focus": {
        outline: string;
    };
    "&:disabled": {
        color: string;
    };
    "&:-webkit-autofill": {
        "-webkit-box-shadow": string;
        "-webkit-text-fill-color": string;
        animation: string;
    };
    "&:not(:-webkit-autofill)": {
        animation: string;
    };
    "&::-webkit-search-cancel-button": {
        "-webkit-appearance": string;
    };
    "@reducedMotion": {
        animation: string;
    };
};
declare const useFloating: (val: any, onFocus: any, onBlur: any, onChange: any, isAutofilled: any) => [boolean, React$1.FocusEventHandler<HTMLInputElement | HTMLTextAreaElement>, React$1.FocusEventHandler<HTMLInputElement | HTMLTextAreaElement>, (event: React$1.ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void];

declare type InputSearchContextProps = {
    state: ComboBoxState<object>;
    inputRef: React__default.MutableRefObject<null>;
    listBoxRef: React__default.MutableRefObject<null>;
    popoverRef: React__default.MutableRefObject<null>;
    containerRef: React__default.MutableRefObject<null>;
    inputProps: React__default.InputHTMLAttributes<HTMLInputElement>;
    listBoxProps: AriaListBoxOptions<object>;
    setCollectionChildren: React__default.Dispatch<React__default.SetStateAction<CollectionChildren<object> | undefined>>;
    setDisabledKeys: React__default.Dispatch<React__default.SetStateAction<Iterable<Key> | undefined>>;
    isDisabled?: boolean;
    setUsePortal: React__default.Dispatch<React__default.SetStateAction<boolean | undefined>>;
    setPortalDomNode: React__default.Dispatch<React__default.SetStateAction<HTMLElement | null>>;
};
declare const InputSearchContext: React__default.Context<InputSearchContextProps>;
declare type InputSearchRootProps = {
    /** Defines a string value that labels the current element.  */
    "aria-label"?: string;
    /** Identifies the element (or elements) that labels the current element. */
    "aria-labelledby"?: string;
    /** InputSearch.Root expects to receive InputSearch.Input and InputSearch.Popover as children.*/
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    /** Whether the input field should be disabled or not */
    disabled?: boolean;
    /** If true, the popover opens when focus is on the text box. */
    openOnFocus?: boolean;
    /** Called with the selection value when the user makes a selection from the list. */
    onSelect?: (value: string) => void;
} & React__default.ComponentPropsWithoutRef<"div">;
declare const InputSearchRoot: {
    ({ children, css, disabled, openOnFocus, onSelect, ...props }: InputSearchRootProps): React__default.JSX.Element;
    displayName: string;
};

declare type InputSearchInputProps = {
    /** Override CSS */
    css?: CSS;
    /**The input's label text, required for accessibility
     * @default Search
     */
    label?: string;
    /** Determines if the value in the input changes or not as the user navigates with the keyboard. If true, the value changes, if false the value doesn't change. Set this to false when you don't really need the value from the input but want to populate some other state (like the recipient selector in Gmail). But if your input is more like a normal `<input type="text"/>`, then leave the `true` default.
     * @default true
     */
    autocomplete?: boolean;
} & Omit<React__default.ComponentPropsWithRef<typeof InputText>, "label">;
declare const InputSearchInput: React__default.ForwardRefExoticComponent<Omit<InputSearchInputProps, "ref"> & React__default.RefAttributes<HTMLInputElement>>;

declare type InputSearchPopoverProps = React__default.ComponentPropsWithRef<typeof Popover.Content> & {
    portal?: boolean;
    portalDomNode?: HTMLElement;
};
declare const InputSearchPopover: {
    ({ css, children, portal, portalDomNode, ...rest }: InputSearchPopoverProps): React__default.JSX.Element | null;
    displayName: string;
};

declare const StyledList: _stitches_react_types_styled_component.StyledComponent<"ul", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type InputSearchListProps = {
    persistSelection?: boolean;
} & React__default.ComponentPropsWithRef<typeof StyledList>;
declare const InputSearchList: {
    ({ children, persistSelection, ...rest }: InputSearchListProps): React__default.JSX.Element;
    displayName: string;
};

declare const StyledListItem: _stitches_react_types_styled_component.StyledComponent<"li", {
    selected?: boolean | "true" | undefined;
    focused?: boolean | "true" | undefined;
    disabled?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type InputSearchListItemProps = {
    value?: string;
} & Omit<React__default.ComponentPropsWithRef<typeof StyledListItem>, "index">;
declare const InputSearchListItem: {
    (props: InputSearchListItemProps): null;
    getCollectionNode(props: any, context: any): any;
};

declare const StyledItemText: _stitches_react_types_styled_component.StyledComponent<"span", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type InputSearchItemTextProps = {
    children: React__default.ReactNode;
} & React__default.ComponentPropsWithRef<typeof StyledItemText>;
declare const InputSearchItemText: {
    ({ children, ...rest }: InputSearchItemTextProps): React__default.JSX.Element;
    displayName: string;
};

declare type InputSearchListHeadingProps = {
    /** Any React node may be used as a child */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    title?: string;
};
declare const InputSearchListHeading: {
    (props: InputSearchListHeadingProps): null;
    getCollectionNode(props: any): any;
};

declare type InputSearchEmptyStateProps = {
    /** Override CSS */
    css?: CSS;
    /** Text Displayed */
    text?: React__default.ReactNode;
};
declare const InputSearchEmptyState: {
    ({ text, ...rest }: InputSearchEmptyStateProps): JSX.Element;
    displayName: string;
};

declare type InputSearchLoadingStateProps = {
    /** Override CSS */
    css?: CSS;
};
declare const InputSearchLoadingState: {
    ({ ...rest }: InputSearchLoadingStateProps): JSX.Element;
    displayName: string;
};

declare type InputSearchProps = {
    Root: typeof InputSearchRoot;
    Input: typeof InputSearchInput;
    Popover: typeof InputSearchPopover;
    List: typeof InputSearchList;
    ListItem: typeof InputSearchListItem;
    ItemText: typeof InputSearchItemText;
    ListHeading: typeof InputSearchListHeading;
    EmptyState: typeof InputSearchEmptyState;
    LoadingState: typeof InputSearchLoadingState;
};
declare const InputSearch: InputSearchProps;

interface InputPasswordProps extends Omit<InputTextProps, "buttonIconText" | "children" | "icon" | "label" | "onButtonIconClick" | "type"> {
    /**
     * Accessible text for the hide icon button
     * @default Hide password text
     */
    hideButtonIconText?: string;
    /**
     * The input's label text, required for accessibility
     * @default Password
     */
    label?: string;
    /**
     * Accessible text for the show icon button
     * @default Show password text
     */
    showButtonIconText?: string;
}
/**
 * A pre-configured InputText that provides show/hide password interaction
 *
 * @extends InputText
 */
declare const InputPassword: React__default.ForwardRefExoticComponent<Omit<InputPasswordProps, "ref"> & React__default.RefAttributes<HTMLInputElement>>;

interface HelperTextProps extends React__default.ComponentPropsWithRef<"p"> {
    /** Allows any React node as children to allow for formatted text and links */
    children?: React__default.ReactNode;
    /** Id is used to associate the text with the `aria-describedby` attribute of another element */
    id?: string;
}
declare const HelperText: React__default.ForwardRefExoticComponent<Omit<HelperTextProps, "ref"> & React__default.RefAttributes<HTMLParagraphElement>>;

interface FieldsetProps extends React__default.ComponentPropsWithRef<"fieldset"> {
    /** Override CSS */
    css?: CSS;
    /** legend displayed above fieldset */
    legend: React__default.ReactNode;
    /** if the inputs in the fieldset are required */
    required?: boolean;
}
declare const Fieldset: React__default.ForwardRefExoticComponent<Omit<FieldsetProps, "ref"> & React__default.RefAttributes<HTMLFieldSetElement>>;

interface ErrorMessageProps extends React__default.ComponentPropsWithRef<"p"> {
    /** Allows any React node as children to allow for formatted text and links */
    children?: React__default.ReactNode;
    /** Id is used to associate the error message with the `aria-errormessage` attribute of another element */
    id?: string;
}
declare const ErrorMessage: React__default.ForwardRefExoticComponent<Omit<ErrorMessageProps, "ref"> & React__default.RefAttributes<HTMLParagraphElement>>;

interface DrawerContextInterface {
    triggerRef: React__default.RefObject<HTMLButtonElement>;
    contentId: string;
    open: boolean | undefined;
    defaultOpen: boolean | undefined;
    zIndex: StandardLonghandProperties["zIndex"] | Token<"shell", string, "zIndices", "wpds">;
    onOpenChange: (boolean: any) => void;
}
declare const DrawerContext: React__default.Context<DrawerContextInterface>;
declare type Controlled$1 = {
    /** controlled drawer open state, used with onOpenChange */
    open: boolean;
    defaultOpen?: never;
};
declare type Uncontrolled$1 = {
    open?: never;
    /** uncontrolled drawer open on mount */
    defaultOpen?: boolean;
};
declare type ControlledOrUncontrolled$1 = Controlled$1 | Uncontrolled$1;
declare type DrawerRootProps = {
    /** content id used for a11y */
    id: string;
    /** callback to respond to open state */
    onOpenChange?: (boolean: any) => void;
    children?: React__default.ReactNode;
    /** Css z-index of drawer @default theme.zIndices.shell */
    zIndex?: StandardLonghandProperties["zIndex"] | Token<"shell", string, "zIndices", "wpds">;
} & ControlledOrUncontrolled$1;
declare const DrawerRoot: React__default.FC<DrawerRootProps>;

declare const StyledContainer: _stitches_react_types_styled_component.StyledComponent<"div", {
    position?: "bottom" | "left" | "right" | "top" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
interface DrawerContentProps extends React__default.ComponentPropsWithRef<typeof StyledContainer> {
    /** Override CSS */
    css?: CSS;
    /** Height for a top or bottom positioned drawer  @default 500 */
    height?: number | "auto";
    /** Additional class names for inner drawer element */
    innerClassName?: string;
    /** When `true`, tabbing from last item will focus first tabbable and shift+tab from first item will focus last tababble. @defaultValue true */
    loopFocus?: boolean;
    /** When `true`, focus cannot escape the `Content` via keyboard, pointer, or a programmatic focus  @defaultValue false */
    trapFocus?: boolean;
    /** Width for a left or right positioned drawer  @default 400 */
    width?: number | "auto";
}
declare const DrawerContent: React__default.ForwardRefExoticComponent<Omit<DrawerContentProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const Button: _stitches_react_types_styled_component.StyledComponent<"button", {
    variant?: "cta" | "secondary" | "primary" | undefined;
    density?: "default" | "compact" | undefined;
    isOutline?: boolean | "true" | "false" | undefined;
    icon?: "center" | "left" | "right" | "none" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type ButtonProps = React.ComponentProps<typeof Button>;
interface ButtonInterface extends ButtonProps {
    children: React.ReactNode;
}

declare type DrawerTriggerProps = React__default.ComponentPropsWithoutRef<typeof Button>;
declare const DrawerTrigger: React__default.FC<DrawerTriggerProps>;

declare const CloseButton: _stitches_react_types_styled_component.StyledComponent<_stitches_react_types_styled_component.StyledComponent<"button", {
    variant?: "cta" | "secondary" | "primary" | undefined;
    density?: "default" | "compact" | undefined;
    isOutline?: boolean | "true" | "false" | undefined;
    icon?: "center" | "left" | "right" | "none" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>, {
    sticky?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type DrawerCloseProps = React__default.ComponentPropsWithRef<typeof CloseButton> & {
    sticky?: boolean;
    /** @default compact */
    density?: "default" | "compact";
    /** @default center */
    icon?: "left" | "right" | "center" | "none";
    /** @default secondary */
    variant?: "primary" | "secondary" | "cta";
};
declare const DrawerClose: React__default.ForwardRefExoticComponent<Omit<DrawerCloseProps, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;

declare const StyledElement: _stitches_react_types_styled_component.StyledComponent<"button", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type DrawerCustomTriggerProps = React__default.ComponentPropsWithoutRef<typeof StyledElement> & {
    as?: string;
};
declare const DrawerCustomTrigger: React__default.FC<DrawerCustomTriggerProps>;

declare type DrawerScrimProps = Omit<React__default.ComponentPropsWithRef<typeof Scrim>, "open" | "zIndex">;
declare const DrawerScrim: React__default.ForwardRefExoticComponent<Omit<DrawerScrimProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type DrawerProps = {
    Root: typeof DrawerRoot;
    Content: typeof DrawerContent;
    Trigger: typeof DrawerTrigger;
    Close: typeof DrawerClose;
    CustomTrigger: typeof DrawerCustomTrigger;
    Scrim: typeof DrawerScrim;
};
declare const Drawer: DrawerProps;

interface DividerProps extends SeparatorProps {
    /** Override CSS */
    css?: CSS;
    /** Sets the color of the divider
     * @default default
     */
    variant?: "default" | "strong";
}
declare const Divider: React__default.ForwardRefExoticComponent<DividerProps & React__default.RefAttributes<HTMLDivElement>>;

declare const Container$7: _stitches_react_types_styled_component.StyledComponent<"div", {
    maxWidth?: "sm" | "md" | "lg" | "xl" | "fluid" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type ContainerProps = React$1.ComponentProps<typeof Container$7>;

declare const StyledCheckbox: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<PrimitiveCheckbox.CheckboxProps & React__default.RefAttributes<HTMLButtonElement>>, {
    size?: number | "125" | "087" | undefined;
    variant?: "cta" | "secondary" | "primary" | undefined;
    isOutline?: boolean | "true" | "false" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type StyleCheckboxProps = React__default.ComponentPropsWithRef<typeof StyledCheckbox>;
declare type CheckboxVariants = React__default.ComponentPropsWithRef<typeof StyledCheckbox>;
interface CheckboxInterface extends CheckboxVariants {
    defaultChecked?: boolean | "indeterminate";
    checked?: boolean | "indeterminate";
    onCheckedChange?: (checked: boolean | "indeterminate") => void;
    disabled?: boolean;
    required?: boolean;
    name?: string;
    value?: string;
    id: string;
    label?: string;
    /** The correspoding label to the checkbox. Allows you to pass in more than just text */
    children?: React__default.ReactNode;
}
declare const Checkbox: React__default.ForwardRefExoticComponent<Omit<CheckboxInterface, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;
declare type CheckboxProps = React__default.ComponentProps<typeof Checkbox>;

declare type CarouselContextProps = {
    page: number;
    setPage: (page: number) => void;
    totalPages?: number;
    setTotalPages: React__default.Dispatch<React__default.SetStateAction<number | undefined>>;
    itemsPerPage: number | "auto";
    titleId?: string;
    setTitleId: (id: string) => void;
    activeId?: string;
    setActiveId: (id: string) => void;
    isTransitioning: boolean;
    setIsTransitioning: (transition: boolean) => void;
};
declare const CarouselContext: React__default.Context<CarouselContextProps>;
declare const Container$6: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type Controlled = {
    /** Controlled value for the current page */
    page: number;
    defaultPage?: never;
};
declare type Uncontrolled = {
    page?: never;
    /** Uncontrolled value for the initial page shown */
    defaultPage?: number;
};
declare type ControlledOrUncontrolled = Controlled | Uncontrolled;
declare type CarouselRootProps = {
    css?: CSS;
    /** number of items to move when the page changes @defaut auto*/
    itemsPerPage?: number | "auto";
    /** callback for page change */
    onPageChange?: () => void;
    /** callback for internal focus */
    onDescendantFocus?: (id: string) => void;
} & ControlledOrUncontrolled & React__default.ComponentPropsWithRef<typeof Container$6>;
declare const CarouselRoot: React__default.ForwardRefExoticComponent<(Omit<{
    css?: CSS | undefined;
    /** number of items to move when the page changes @defaut auto*/
    itemsPerPage?: number | "auto" | undefined;
    /** callback for page change */
    onPageChange?: (() => void) | undefined;
    /** callback for internal focus */
    onDescendantFocus?: ((id: string) => void) | undefined;
} & Controlled & Omit<Omit<React__default.DetailedHTMLProps<React__default.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React__default.RefObject<HTMLDivElement> | null | undefined;
}, "css"> & _stitches_react_types_styled_component.TransformProps<{}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & {
    css?: _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }> | undefined;
}, "ref"> | Omit<{
    css?: CSS | undefined;
    /** number of items to move when the page changes @defaut auto*/
    itemsPerPage?: number | "auto" | undefined;
    /** callback for page change */
    onPageChange?: (() => void) | undefined;
    /** callback for internal focus */
    onDescendantFocus?: ((id: string) => void) | undefined;
} & Uncontrolled & Omit<Omit<React__default.DetailedHTMLProps<React__default.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React__default.RefObject<HTMLDivElement> | null | undefined;
}, "css"> & _stitches_react_types_styled_component.TransformProps<{}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & {
    css?: _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }> | undefined;
}, "ref">) & React__default.RefAttributes<HTMLDivElement>>;

declare const Container$5: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselHeaderProps = {
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof Container$5>;
declare const CarouselHeader: React__default.ForwardRefExoticComponent<Omit<CarouselHeaderProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const Container$4: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselHeaderContentProps = {
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof Container$4>;
declare const CarouselHeaderContent: React__default.ForwardRefExoticComponent<Omit<CarouselHeaderContentProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const Container$3: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselHeaderActionsProps = {
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof Container$3>;
declare const CarouselHeaderActions: React__default.ForwardRefExoticComponent<Omit<CarouselHeaderActionsProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledHeading: _stitches_react_types_styled_component.StyledComponent<"h2", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselTitleProps = {
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof StyledHeading>;
declare const CarouselTitle: React__default.ForwardRefExoticComponent<Omit<CarouselTitleProps, "ref"> & React__default.RefAttributes<HTMLHeadingElement>>;

declare type CarouselPreviousButtonProps = {
    asChild?: boolean;
} & React__default.ComponentPropsWithRef<typeof Button>;
declare const CarouselPreviousButton: React__default.ForwardRefExoticComponent<Omit<CarouselPreviousButtonProps, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;

declare type CarouselNextButtonProps = {
    asChild?: boolean;
} & React__default.ComponentPropsWithRef<typeof Button>;
declare const CarouselNextButton: React__default.ForwardRefExoticComponent<Omit<CarouselNextButtonProps, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;

declare const Container$2: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselContentProps = {
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof Container$2>;
declare const CarouselContent: React__default.ForwardRefExoticComponent<Omit<CarouselContentProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const Container$1: _stitches_react_types_styled_component.StyledComponent<"div", {
    focused?: boolean | "true" | "false" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselItemProps = {
    css?: CSS;
    id?: string;
    index?: number;
    itemsShownPerPage?: number;
    onKeyDown?: (event: React__default.KeyboardEvent<HTMLDivElement>) => void;
} & React__default.ComponentPropsWithRef<typeof Container$1>;
declare const CarouselItem: React__default.ForwardRefExoticComponent<Omit<CarouselItemProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const Container: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CarouselFooterProps = {
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof Container>;
declare const CarouselFooter: React__default.ForwardRefExoticComponent<Omit<CarouselFooterProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type CarouselDotsProps = Omit<React__default.ComponentPropsWithRef<typeof PaginationDots>, "index" | "amount">;
declare const CarouselDots: React__default.ForwardRefExoticComponent<Omit<CarouselDotsProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type CarouselProps = {
    Root: typeof CarouselRoot;
    Header: typeof CarouselHeader;
    HeaderContent: typeof CarouselHeaderContent;
    HeaderActions: typeof CarouselHeaderActions;
    Title: typeof CarouselTitle;
    PreviousButton: typeof CarouselPreviousButton;
    NextButton: typeof CarouselNextButton;
    Content: typeof CarouselContent;
    Item: typeof CarouselItem;
    Footer: typeof CarouselFooter;
    Dots: typeof CarouselDots;
};
/**
 * Carousel
 */
declare const Carousel: CarouselProps;

declare const useActiveDescendant: (containerRef: any, firstChildActive?: boolean) => {
    addDescendant: ({ element, id, parentId, }: {
        element: HTMLElement | null;
        id: string;
        parentId: string;
    }) => void;
    handleDescendantFocus: (id: any) => void;
    contentProps: {
        onKeyDown: (event: any) => void;
        onKeyUp: (event: any) => void;
        onMouseDown: (event: any) => void;
        onFocus: () => void;
        onBlur: () => void;
        "aria-activedescendant": string | undefined;
    };
    focusClassName: (id: any) => "" | (string & {
        className: string;
        selector: string;
        props: {};
    });
};

declare const Box: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type BoxProps = React.ComponentPropsWithRef<typeof Box>;

declare const StyledAvatar: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<AvatarPrimitive.AvatarProps & React__default.RefAttributes<HTMLSpanElement>>, {
    size?: number | "100" | "125" | "150" | "175" | "200" | "225" | "250" | "275" | "300" | "350" | "400" | "450" | "500" | "075" | "087" | "025" | "050" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SizeToken = {
    prefix: "wpds";
    scale: "sizes";
    token: keyof typeof sizes;
    value: string;
};
declare type StitchesSize = Stitches.VariantProps<typeof StyledAvatar>["size"];
declare type AvatarProps = {
    /** Override CSS */
    css?: CSS;
    children: React__default.ReactElement;
    /**
     * Sizes - supports any size token
     * @default 200
     * */
    size?: StitchesSize | SizeToken;
} & Omit<React__default.ComponentPropsWithRef<typeof StyledAvatar>, "size">;
declare const Avatar: React__default.ForwardRefExoticComponent<Omit<AvatarProps, "ref"> & React__default.RefAttributes<HTMLElement>>;

declare const AppBar: _stitches_react_types_styled_component.StyledComponent<"div", {
    position?: "fixed" | "absolute" | "relative" | "sticky" | undefined;
    shadow?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AppBarProps = React$1.ComponentProps<typeof AppBar>;

declare const AlertBannerRoot: React__default.ForwardRefExoticComponent<Omit<Omit<Omit<Omit<React__default.DetailedHTMLProps<React__default.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    ref?: ((instance: HTMLDivElement | null) => void) | React__default.RefObject<HTMLDivElement> | null | undefined;
}, "position" | "css" | "shadow"> & _stitches_react_types_styled_component.TransformProps<{
    position?: "fixed" | "absolute" | "relative" | "sticky" | undefined;
    shadow?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & {
    css?: _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }> | undefined;
}, "css" | "variant" | "dismissable"> & _stitches_react_types_styled_component.TransformProps<{
    variant?: "error" | "warning" | "success" | "information" | undefined;
    dismissable?: boolean | "false" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & {
    css?: _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }> | undefined;
}, "ref"> & React__default.RefAttributes<HTMLDivElement>>;
declare type AlertBannerProps = React__default.ComponentProps<typeof AlertBannerRoot>;

declare const StyledAlertBannerTrigger: _stitches_react_types_styled_component.StyledComponent<_stitches_react_types_styled_component.StyledComponent<"button", {
    variant?: "cta" | "secondary" | "primary" | undefined;
    density?: "default" | "compact" | undefined;
    isOutline?: boolean | "true" | "false" | undefined;
    icon?: "center" | "left" | "right" | "none" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AlertBannerTriggerVariants = React__default.ComponentProps<typeof StyledAlertBannerTrigger>;
interface AlertBannerTriggerInterface extends AlertBannerTriggerVariants {
    css?: CSS;
}
declare const AlertBannerTrigger: React__default.ForwardRefExoticComponent<Omit<AlertBannerTriggerInterface, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;
declare type AlertBannerTriggerProps = React__default.ComponentProps<typeof AlertBannerTrigger>;

declare const AlertBannerContent: _stitches_react_types_styled_component.StyledComponent<"p", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AlertBannerContentProps = React__default.ComponentProps<typeof AlertBannerContent>;

declare const AlertBanner: {
    Root: React$1.ForwardRefExoticComponent<Omit<Omit<Omit<Omit<React$1.DetailedHTMLProps<React$1.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
        ref?: ((instance: HTMLDivElement | null) => void) | React$1.RefObject<HTMLDivElement> | null | undefined;
    }, "position" | "css" | "shadow"> & _stitches_react_types_styled_component.TransformProps<{
        position?: "fixed" | "absolute" | "relative" | "sticky" | undefined;
        shadow?: boolean | "true" | undefined;
    }, {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }> & {
        css?: _stitches_react_types_css_util.CSS<{
            sm: `(max-width: ${string})`;
            md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            notSm: `(min-width: calc(${string} + 1px))`;
            notMd: `(min-width: calc(${string} + 1px))`;
            notLg: `(min-width: calc(${string} + 1px))`;
            notXl: `(min-width: calc(${string} + 1px))`;
            notXxl: `(min-width: calc(${string} + 1px ))`;
            minSm: `(min-width: calc(${string} + 1px))`;
            minMd: `(min-width: calc(${string} + 1px))`;
            minLg: `(min-width: calc(${string} + 1px))`;
            minXl: `(min-width: calc(${string} + 1px))`;
            minXxl: `(min-width: calc(${string} + 1px ))`;
            maxSm: `(max-width: ${string})`;
            maxMd: `(max-width: ${string})`;
            maxLg: `(max-width: ${string})`;
            maxXl: `(max-width: ${string})`;
            maxXxl: `(max-width: ${string})`;
            reducedMotion: "(prefers-reduced-motion)";
            hover: "(any-hover: hover)";
            dark: "(prefers-color-scheme: dark)";
            light: "(prefers-color-scheme: light)";
        }, {
            colors: {
                errorContainer: string;
                error: string;
                warningContainer: string;
                warning: string;
                successContainer: string;
                success: string;
                signalContainer: string;
                signal: string;
                "onMessage-subtle-hover": string;
                "onMessage-subtle": string;
                "onMessage-hover": string;
                onMessage: string;
                portal: string;
                "onPortal-subtle-hover": string;
                "onPortal-subtle": string;
                "onPortal-hover": string;
                onPortal: string;
                "onSurface-subtle-hover": string;
                "onSurface-subtle": string;
                "onSurface-hover": string;
                onSurface: string;
                "surface-highest": string;
                surface: string;
                "onBackground-subtle-hover": string;
                "onBackground-subtle": string;
                "onBackground-hover": string;
                onBackground: string;
                "background-forSurfaces": string;
                background: string;
                accessible: string;
                "outline-subtle": string;
                outline: string;
                subtle: string;
                faint: string;
                onDisabled: string;
                disabled: string;
                "onCtaContainer-subtle-hover": string;
                "onCtaContainer-subtle": string;
                "onCtaContainer-hover": string;
                onCtaContainer: string;
                ctaContainer: string;
                "onCta-hover": string;
                onCta: string;
                "cta-hover": string;
                cta: string;
                "onSecondary-subtle-hover": string;
                "onSecondary-subtle": string;
                "onSecondary-hover": string;
                onSecondary: string;
                "secondary-hover": string;
                secondary: string;
                "onPrimary-subtle-hover": string;
                "onPrimary-subtle": string;
                "onPrimary-hover": string;
                onPrimary: string;
                "primary-hover": string;
                primary: string;
                opinions: string;
                "opinions-hover": string;
                onOpinions: string;
                "onOpinions-hover": string;
                opinionsContainer: string;
                onOpinionsContainer: string;
                "onOpinionsContainer-hover": string;
                "alpha0-static": string;
                "alpha20-static": string;
                "alpha40-static": string;
                "alpha60-static": string;
                "alpha80-static": string;
                "alpha100-static": string;
                "alpha200-static": string;
                "alpha300-static": string;
                "alpha400-static": string;
                "alpha500-static": string;
                "alpha50-static": string;
                "alpha25-static": string;
                "red600-static": string;
                "red500-static": string;
                "red400-static": string;
                "red300-static": string;
                "red200-static": string;
                "red100-static": string;
                "red80-static": string;
                "red60-static": string;
                "red40-static": string;
                "spark600-static": string;
                "spark500-static": string;
                "spark400-static": string;
                "spark300-static": string;
                "spark200-static": string;
                "spark100-static": string;
                "spark80-static": string;
                "spark60-static": string;
                "spark40-static": string;
                "orange600-static": string;
                "orange500-static": string;
                "orange400-static": string;
                "orange300-static": string;
                "orange200-static": string;
                "orange100-static": string;
                "orange80-static": string;
                "orange60-static": string;
                "orange40-static": string;
                "mustard600-static": string;
                "mustard500-static": string;
                "mustard400-static": string;
                "mustard300-static": string;
                "mustard200-static": string;
                "mustard100-static": string;
                "mustard80-static": string;
                "mustard60-static": string;
                "mustard40-static": string;
                "gold600-static": string;
                "gold500-static": string;
                "gold400-static": string;
                "gold300-static": string;
                "gold200-static": string;
                "gold100-static": string;
                "gold80-static": string;
                "gold60-static": string;
                "gold40-static": string;
                "yellow600-static": string;
                "yellow100-static": string;
                "green600-static": string;
                "green500-static": string;
                "green400-static": string;
                "green300-static": string;
                "green200-static": string;
                "green100-static": string;
                "green80-static": string;
                "green60-static": string;
                "green40-static": string;
                "teal600-static": string;
                "teal500-static": string;
                "teal400-static": string;
                "teal300-static": string;
                "teal200-static": string;
                "teal100-static": string;
                "teal80-static": string;
                "teal60-static": string;
                "teal40-static": string;
                "blue600-static": string;
                "blue500-static": string;
                "blue400-static": string;
                "blue300-static": string;
                "blue200-static": string;
                "blue100-static": string;
                "blue80-static": string;
                "blue60-static": string;
                "blue40-static": string;
                "purple600-static": string;
                "purple500-static": string;
                "purple400-static": string;
                "purple300-static": string;
                "purple200-static": string;
                "purple100-static": string;
                "purple80-static": string;
                "purple60-static": string;
                "purple40-static": string;
                "pink600-static": string;
                "pink500-static": string;
                "pink400-static": string;
                "pink300-static": string;
                "pink200-static": string;
                "pink100-static": string;
                "pink80-static": string;
                "pink60-static": string;
                "pink40-static": string;
                "gray700-static": string;
                "gray600-static": string;
                "gray500-static": string;
                "gray400-static": string;
                "gray300-static": string;
                "gray200-static": string;
                "gray100-static": string;
                "gray80-static": string;
                "gray60-static": string;
                "gray40-static": string;
                "gray20-static": string;
                "gray0-static": string;
                alpha0: string;
                alpha20: string;
                alpha40: string;
                alpha60: string;
                alpha80: string;
                alpha100: string;
                alpha200: string;
                alpha300: string;
                alpha400: string;
                alpha500: string;
                "alpha0-invert": string;
                "alpha20-invert": string;
                "alpha40-invert": string;
                "alpha60-invert": string;
                "alpha80-invert": string;
                "alpha100-invert": string;
                "alpha200-invert": string;
                "alpha300-invert": string;
                "alpha400-invert": string;
                "alpha500-invert": string;
                alpha50: string;
                alpha25: string;
                red600: string;
                red500: string;
                red400: string;
                red300: string;
                red200: string;
                red100: string;
                red80: string;
                red60: string;
                red40: string;
                spark600: string;
                spark500: string;
                spark400: string;
                spark300: string;
                spark200: string;
                spark100: string;
                spark80: string;
                spark60: string;
                spark40: string;
                orange600: string;
                orange500: string;
                orange400: string;
                orange300: string;
                orange200: string;
                orange100: string;
                orange80: string;
                orange60: string;
                orange40: string;
                mustard600: string;
                mustard500: string;
                mustard400: string;
                mustard300: string;
                mustard200: string;
                mustard100: string;
                mustard80: string;
                mustard60: string;
                mustard40: string;
                gold600: string;
                gold500: string;
                gold400: string;
                gold300: string;
                gold200: string;
                gold100: string;
                gold80: string;
                gold60: string;
                gold40: string;
                yellow600: string;
                yellow100: string;
                green600: string;
                green500: string;
                green400: string;
                green300: string;
                green200: string;
                green100: string;
                green80: string;
                green60: string;
                green40: string;
                teal600: string;
                teal500: string;
                teal400: string;
                teal300: string;
                teal200: string;
                teal100: string;
                teal80: string;
                teal60: string;
                teal40: string;
                blue600: string;
                blue500: string;
                blue400: string;
                blue300: string;
                blue200: string;
                blue100: string;
                blue80: string;
                blue60: string;
                blue40: string;
                purple600: string;
                purple500: string;
                purple400: string;
                purple300: string;
                purple200: string;
                purple100: string;
                purple80: string;
                purple60: string;
                purple40: string;
                pink600: string;
                pink500: string;
                pink400: string;
                pink300: string;
                pink200: string;
                pink100: string;
                pink80: string;
                pink60: string;
                pink40: string;
                gray700: string;
                gray600: string;
                gray500: string;
                gray400: string;
                gray300: string;
                gray200: string;
                gray100: string;
                gray80: string;
                gray60: string;
                gray40: string;
                gray20: string;
                gray0: string;
            };
            sizes: {
                "100": string;
                "125": string;
                "150": string;
                "175": string;
                "200": string;
                "225": string;
                "250": string;
                "275": string;
                "300": string;
                "350": string;
                "400": string;
                "450": string;
                "500": string;
                "025": string;
                "050": string;
                "075": string;
                "087": string;
            };
            space: {
                "100": string;
                "125": string;
                "150": string;
                "175": string;
                "200": string;
                "225": string;
                "250": string;
                "275": string;
                "300": string;
                "350": string;
                "400": string;
                "450": string;
                "500": string;
                "025": string;
                "050": string;
                "075": string;
            };
            radii: {
                "100": string;
                "125": string;
                "150": string;
                "012": string;
                "025": string;
                "050": string;
                "075": string;
                round: string;
            };
            fonts: {
                headline: string;
                subhead: string;
                body: string;
                meta: string;
                magazine: string;
            };
            fontSizes: {
                "100": string;
                "112": string;
                "125": string;
                "150": string;
                "162": string;
                "175": string;
                "200": string;
                "225": string;
                "250": string;
                "275": string;
                "300": string;
                "350": string;
                "400": string;
                "450": string;
                "500": string;
                "075": string;
                "087": string;
            };
            fontWeights: {
                light: number;
                regular: number;
                bold: number;
                ultra: number;
            };
            shadows: {
                "50": string;
                "100": string;
                "200": string;
                "300": string;
                "400": string;
                "500": string;
            };
            zIndices: {
                offer: number;
                shell: number;
                ads: number;
                page: number;
            };
            lineHeights: {
                headline: string;
                body: string;
                meta: string;
                subhead: string;
                "100": number;
                "110": number;
                "125": number;
                "150": number;
                "160": number;
                "175": number;
                "200": number;
                "240": number;
            };
            transitions: {
                allFast: string;
                fast: string;
                normal: string;
                inOut: string;
            };
            borderStyles: unknown;
            borderWidths: unknown;
            letterSpacings: unknown;
        }, _stitches_react_types_config.DefaultThemeMap, {
            px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
                paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
                paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            };
            py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
                paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
                paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            };
            my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
                marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
                marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            };
            mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
                marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
                marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            };
            size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
                width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
                height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            };
        }> | undefined;
    }, "css" | "variant" | "dismissable"> & _stitches_react_types_styled_component.TransformProps<{
        variant?: "error" | "warning" | "success" | "information" | undefined;
        dismissable?: boolean | "false" | undefined;
    }, {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }> & {
        css?: _stitches_react_types_css_util.CSS<{
            sm: `(max-width: ${string})`;
            md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
            notSm: `(min-width: calc(${string} + 1px))`;
            notMd: `(min-width: calc(${string} + 1px))`;
            notLg: `(min-width: calc(${string} + 1px))`;
            notXl: `(min-width: calc(${string} + 1px))`;
            notXxl: `(min-width: calc(${string} + 1px ))`;
            minSm: `(min-width: calc(${string} + 1px))`;
            minMd: `(min-width: calc(${string} + 1px))`;
            minLg: `(min-width: calc(${string} + 1px))`;
            minXl: `(min-width: calc(${string} + 1px))`;
            minXxl: `(min-width: calc(${string} + 1px ))`;
            maxSm: `(max-width: ${string})`;
            maxMd: `(max-width: ${string})`;
            maxLg: `(max-width: ${string})`;
            maxXl: `(max-width: ${string})`;
            maxXxl: `(max-width: ${string})`;
            reducedMotion: "(prefers-reduced-motion)";
            hover: "(any-hover: hover)";
            dark: "(prefers-color-scheme: dark)";
            light: "(prefers-color-scheme: light)";
        }, {
            colors: {
                errorContainer: string;
                error: string;
                warningContainer: string;
                warning: string;
                successContainer: string;
                success: string;
                signalContainer: string;
                signal: string;
                "onMessage-subtle-hover": string;
                "onMessage-subtle": string;
                "onMessage-hover": string;
                onMessage: string;
                portal: string;
                "onPortal-subtle-hover": string;
                "onPortal-subtle": string;
                "onPortal-hover": string;
                onPortal: string;
                "onSurface-subtle-hover": string;
                "onSurface-subtle": string;
                "onSurface-hover": string;
                onSurface: string;
                "surface-highest": string;
                surface: string;
                "onBackground-subtle-hover": string;
                "onBackground-subtle": string;
                "onBackground-hover": string;
                onBackground: string;
                "background-forSurfaces": string;
                background: string;
                accessible: string;
                "outline-subtle": string;
                outline: string;
                subtle: string;
                faint: string;
                onDisabled: string;
                disabled: string;
                "onCtaContainer-subtle-hover": string;
                "onCtaContainer-subtle": string;
                "onCtaContainer-hover": string;
                onCtaContainer: string;
                ctaContainer: string;
                "onCta-hover": string;
                onCta: string;
                "cta-hover": string;
                cta: string;
                "onSecondary-subtle-hover": string;
                "onSecondary-subtle": string;
                "onSecondary-hover": string;
                onSecondary: string;
                "secondary-hover": string;
                secondary: string;
                "onPrimary-subtle-hover": string;
                "onPrimary-subtle": string;
                "onPrimary-hover": string;
                onPrimary: string;
                "primary-hover": string;
                primary: string;
                opinions: string;
                "opinions-hover": string;
                onOpinions: string;
                "onOpinions-hover": string;
                opinionsContainer: string;
                onOpinionsContainer: string;
                "onOpinionsContainer-hover": string;
                "alpha0-static": string;
                "alpha20-static": string;
                "alpha40-static": string;
                "alpha60-static": string;
                "alpha80-static": string;
                "alpha100-static": string;
                "alpha200-static": string;
                "alpha300-static": string;
                "alpha400-static": string;
                "alpha500-static": string;
                "alpha50-static": string;
                "alpha25-static": string;
                "red600-static": string;
                "red500-static": string;
                "red400-static": string;
                "red300-static": string;
                "red200-static": string;
                "red100-static": string;
                "red80-static": string;
                "red60-static": string;
                "red40-static": string;
                "spark600-static": string;
                "spark500-static": string;
                "spark400-static": string;
                "spark300-static": string;
                "spark200-static": string;
                "spark100-static": string;
                "spark80-static": string;
                "spark60-static": string;
                "spark40-static": string;
                "orange600-static": string;
                "orange500-static": string;
                "orange400-static": string;
                "orange300-static": string;
                "orange200-static": string;
                "orange100-static": string;
                "orange80-static": string;
                "orange60-static": string;
                "orange40-static": string;
                "mustard600-static": string;
                "mustard500-static": string;
                "mustard400-static": string;
                "mustard300-static": string;
                "mustard200-static": string;
                "mustard100-static": string;
                "mustard80-static": string;
                "mustard60-static": string;
                "mustard40-static": string;
                "gold600-static": string;
                "gold500-static": string;
                "gold400-static": string;
                "gold300-static": string;
                "gold200-static": string;
                "gold100-static": string;
                "gold80-static": string;
                "gold60-static": string;
                "gold40-static": string;
                "yellow600-static": string;
                "yellow100-static": string;
                "green600-static": string;
                "green500-static": string;
                "green400-static": string;
                "green300-static": string;
                "green200-static": string;
                "green100-static": string;
                "green80-static": string;
                "green60-static": string;
                "green40-static": string;
                "teal600-static": string;
                "teal500-static": string;
                "teal400-static": string;
                "teal300-static": string;
                "teal200-static": string;
                "teal100-static": string;
                "teal80-static": string;
                "teal60-static": string;
                "teal40-static": string;
                "blue600-static": string;
                "blue500-static": string;
                "blue400-static": string;
                "blue300-static": string;
                "blue200-static": string;
                "blue100-static": string;
                "blue80-static": string;
                "blue60-static": string;
                "blue40-static": string;
                "purple600-static": string;
                "purple500-static": string;
                "purple400-static": string;
                "purple300-static": string;
                "purple200-static": string;
                "purple100-static": string;
                "purple80-static": string;
                "purple60-static": string;
                "purple40-static": string;
                "pink600-static": string;
                "pink500-static": string;
                "pink400-static": string;
                "pink300-static": string;
                "pink200-static": string;
                "pink100-static": string;
                "pink80-static": string;
                "pink60-static": string;
                "pink40-static": string;
                "gray700-static": string;
                "gray600-static": string;
                "gray500-static": string;
                "gray400-static": string;
                "gray300-static": string;
                "gray200-static": string;
                "gray100-static": string;
                "gray80-static": string;
                "gray60-static": string;
                "gray40-static": string;
                "gray20-static": string;
                "gray0-static": string;
                alpha0: string;
                alpha20: string;
                alpha40: string;
                alpha60: string;
                alpha80: string;
                alpha100: string;
                alpha200: string;
                alpha300: string;
                alpha400: string;
                alpha500: string;
                "alpha0-invert": string;
                "alpha20-invert": string;
                "alpha40-invert": string;
                "alpha60-invert": string;
                "alpha80-invert": string;
                "alpha100-invert": string;
                "alpha200-invert": string;
                "alpha300-invert": string;
                "alpha400-invert": string;
                "alpha500-invert": string;
                alpha50: string;
                alpha25: string;
                red600: string;
                red500: string;
                red400: string;
                red300: string;
                red200: string;
                red100: string;
                red80: string;
                red60: string;
                red40: string;
                spark600: string;
                spark500: string;
                spark400: string;
                spark300: string;
                spark200: string;
                spark100: string;
                spark80: string;
                spark60: string;
                spark40: string;
                orange600: string;
                orange500: string;
                orange400: string;
                orange300: string;
                orange200: string;
                orange100: string;
                orange80: string;
                orange60: string;
                orange40: string;
                mustard600: string;
                mustard500: string;
                mustard400: string;
                mustard300: string;
                mustard200: string;
                mustard100: string;
                mustard80: string;
                mustard60: string;
                mustard40: string;
                gold600: string;
                gold500: string;
                gold400: string;
                gold300: string;
                gold200: string;
                gold100: string;
                gold80: string;
                gold60: string;
                gold40: string;
                yellow600: string;
                yellow100: string;
                green600: string;
                green500: string;
                green400: string;
                green300: string;
                green200: string;
                green100: string;
                green80: string;
                green60: string;
                green40: string;
                teal600: string;
                teal500: string;
                teal400: string;
                teal300: string;
                teal200: string;
                teal100: string;
                teal80: string;
                teal60: string;
                teal40: string;
                blue600: string;
                blue500: string;
                blue400: string;
                blue300: string;
                blue200: string;
                blue100: string;
                blue80: string;
                blue60: string;
                blue40: string;
                purple600: string;
                purple500: string;
                purple400: string;
                purple300: string;
                purple200: string;
                purple100: string;
                purple80: string;
                purple60: string;
                purple40: string;
                pink600: string;
                pink500: string;
                pink400: string;
                pink300: string;
                pink200: string;
                pink100: string;
                pink80: string;
                pink60: string;
                pink40: string;
                gray700: string;
                gray600: string;
                gray500: string;
                gray400: string;
                gray300: string;
                gray200: string;
                gray100: string;
                gray80: string;
                gray60: string;
                gray40: string;
                gray20: string;
                gray0: string;
            };
            sizes: {
                "100": string;
                "125": string;
                "150": string;
                "175": string;
                "200": string;
                "225": string;
                "250": string;
                "275": string;
                "300": string;
                "350": string;
                "400": string;
                "450": string;
                "500": string;
                "025": string;
                "050": string;
                "075": string;
                "087": string;
            };
            space: {
                "100": string;
                "125": string;
                "150": string;
                "175": string;
                "200": string;
                "225": string;
                "250": string;
                "275": string;
                "300": string;
                "350": string;
                "400": string;
                "450": string;
                "500": string;
                "025": string;
                "050": string;
                "075": string;
            };
            radii: {
                "100": string;
                "125": string;
                "150": string;
                "012": string;
                "025": string;
                "050": string;
                "075": string;
                round: string;
            };
            fonts: {
                headline: string;
                subhead: string;
                body: string;
                meta: string;
                magazine: string;
            };
            fontSizes: {
                "100": string;
                "112": string;
                "125": string;
                "150": string;
                "162": string;
                "175": string;
                "200": string;
                "225": string;
                "250": string;
                "275": string;
                "300": string;
                "350": string;
                "400": string;
                "450": string;
                "500": string;
                "075": string;
                "087": string;
            };
            fontWeights: {
                light: number;
                regular: number;
                bold: number;
                ultra: number;
            };
            shadows: {
                "50": string;
                "100": string;
                "200": string;
                "300": string;
                "400": string;
                "500": string;
            };
            zIndices: {
                offer: number;
                shell: number;
                ads: number;
                page: number;
            };
            lineHeights: {
                headline: string;
                body: string;
                meta: string;
                subhead: string;
                "100": number;
                "110": number;
                "125": number;
                "150": number;
                "160": number;
                "175": number;
                "200": number;
                "240": number;
            };
            transitions: {
                allFast: string;
                fast: string;
                normal: string;
                inOut: string;
            };
            borderStyles: unknown;
            borderWidths: unknown;
            letterSpacings: unknown;
        }, _stitches_react_types_config.DefaultThemeMap, {
            px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
                paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
                paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            };
            py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
                paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
                paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            };
            my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
                marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
                marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            };
            mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
                marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
                marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            };
            size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
                width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
                height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            };
        }> | undefined;
    }, "ref"> & React$1.RefAttributes<HTMLDivElement>>;
    Trigger: React$1.ForwardRefExoticComponent<Omit<AlertBannerTriggerInterface, "ref"> & React$1.RefAttributes<HTMLButtonElement>>;
    Content: _stitches_react_types_styled_component.StyledComponent<"p", {}, {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, _stitches_react_types_css_util.CSS<{
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }, {
        colors: {
            errorContainer: string;
            error: string;
            warningContainer: string;
            warning: string;
            successContainer: string;
            success: string;
            signalContainer: string;
            signal: string;
            "onMessage-subtle-hover": string;
            "onMessage-subtle": string;
            "onMessage-hover": string;
            onMessage: string;
            portal: string;
            "onPortal-subtle-hover": string;
            "onPortal-subtle": string;
            "onPortal-hover": string;
            onPortal: string;
            "onSurface-subtle-hover": string;
            "onSurface-subtle": string;
            "onSurface-hover": string;
            onSurface: string;
            "surface-highest": string;
            surface: string;
            "onBackground-subtle-hover": string;
            "onBackground-subtle": string;
            "onBackground-hover": string;
            onBackground: string;
            "background-forSurfaces": string;
            background: string;
            accessible: string;
            "outline-subtle": string;
            outline: string;
            subtle: string;
            faint: string;
            onDisabled: string;
            disabled: string;
            "onCtaContainer-subtle-hover": string;
            "onCtaContainer-subtle": string;
            "onCtaContainer-hover": string;
            onCtaContainer: string;
            ctaContainer: string;
            "onCta-hover": string;
            onCta: string;
            "cta-hover": string;
            cta: string;
            "onSecondary-subtle-hover": string;
            "onSecondary-subtle": string;
            "onSecondary-hover": string;
            onSecondary: string;
            "secondary-hover": string;
            secondary: string;
            "onPrimary-subtle-hover": string;
            "onPrimary-subtle": string;
            "onPrimary-hover": string;
            onPrimary: string;
            "primary-hover": string;
            primary: string;
            opinions: string;
            "opinions-hover": string;
            onOpinions: string;
            "onOpinions-hover": string;
            opinionsContainer: string;
            onOpinionsContainer: string;
            "onOpinionsContainer-hover": string;
            "alpha0-static": string;
            "alpha20-static": string;
            "alpha40-static": string;
            "alpha60-static": string;
            "alpha80-static": string;
            "alpha100-static": string;
            "alpha200-static": string;
            "alpha300-static": string;
            "alpha400-static": string;
            "alpha500-static": string;
            "alpha50-static": string;
            "alpha25-static": string;
            "red600-static": string;
            "red500-static": string;
            "red400-static": string;
            "red300-static": string;
            "red200-static": string;
            "red100-static": string;
            "red80-static": string;
            "red60-static": string;
            "red40-static": string;
            "spark600-static": string;
            "spark500-static": string;
            "spark400-static": string;
            "spark300-static": string;
            "spark200-static": string;
            "spark100-static": string;
            "spark80-static": string;
            "spark60-static": string;
            "spark40-static": string;
            "orange600-static": string;
            "orange500-static": string;
            "orange400-static": string;
            "orange300-static": string;
            "orange200-static": string;
            "orange100-static": string;
            "orange80-static": string;
            "orange60-static": string;
            "orange40-static": string;
            "mustard600-static": string;
            "mustard500-static": string;
            "mustard400-static": string;
            "mustard300-static": string;
            "mustard200-static": string;
            "mustard100-static": string;
            "mustard80-static": string;
            "mustard60-static": string;
            "mustard40-static": string;
            "gold600-static": string;
            "gold500-static": string;
            "gold400-static": string;
            "gold300-static": string;
            "gold200-static": string;
            "gold100-static": string;
            "gold80-static": string;
            "gold60-static": string;
            "gold40-static": string;
            "yellow600-static": string;
            "yellow100-static": string;
            "green600-static": string;
            "green500-static": string;
            "green400-static": string;
            "green300-static": string;
            "green200-static": string;
            "green100-static": string;
            "green80-static": string;
            "green60-static": string;
            "green40-static": string;
            "teal600-static": string;
            "teal500-static": string;
            "teal400-static": string;
            "teal300-static": string;
            "teal200-static": string;
            "teal100-static": string;
            "teal80-static": string;
            "teal60-static": string;
            "teal40-static": string;
            "blue600-static": string;
            "blue500-static": string;
            "blue400-static": string;
            "blue300-static": string;
            "blue200-static": string;
            "blue100-static": string;
            "blue80-static": string;
            "blue60-static": string;
            "blue40-static": string;
            "purple600-static": string;
            "purple500-static": string;
            "purple400-static": string;
            "purple300-static": string;
            "purple200-static": string;
            "purple100-static": string;
            "purple80-static": string;
            "purple60-static": string;
            "purple40-static": string;
            "pink600-static": string;
            "pink500-static": string;
            "pink400-static": string;
            "pink300-static": string;
            "pink200-static": string;
            "pink100-static": string;
            "pink80-static": string;
            "pink60-static": string;
            "pink40-static": string;
            "gray700-static": string;
            "gray600-static": string;
            "gray500-static": string;
            "gray400-static": string;
            "gray300-static": string;
            "gray200-static": string;
            "gray100-static": string;
            "gray80-static": string;
            "gray60-static": string;
            "gray40-static": string;
            "gray20-static": string;
            "gray0-static": string;
            alpha0: string;
            alpha20: string;
            alpha40: string;
            alpha60: string;
            alpha80: string;
            alpha100: string;
            alpha200: string;
            alpha300: string;
            alpha400: string;
            alpha500: string;
            "alpha0-invert": string;
            "alpha20-invert": string;
            "alpha40-invert": string;
            "alpha60-invert": string;
            "alpha80-invert": string;
            "alpha100-invert": string;
            "alpha200-invert": string;
            "alpha300-invert": string;
            "alpha400-invert": string;
            "alpha500-invert": string;
            alpha50: string;
            alpha25: string;
            red600: string;
            red500: string;
            red400: string;
            red300: string;
            red200: string;
            red100: string;
            red80: string;
            red60: string;
            red40: string;
            spark600: string;
            spark500: string;
            spark400: string;
            spark300: string;
            spark200: string;
            spark100: string;
            spark80: string;
            spark60: string;
            spark40: string;
            orange600: string;
            orange500: string;
            orange400: string;
            orange300: string;
            orange200: string;
            orange100: string;
            orange80: string;
            orange60: string;
            orange40: string;
            mustard600: string;
            mustard500: string;
            mustard400: string;
            mustard300: string;
            mustard200: string;
            mustard100: string;
            mustard80: string;
            mustard60: string;
            mustard40: string;
            gold600: string;
            gold500: string;
            gold400: string;
            gold300: string;
            gold200: string;
            gold100: string;
            gold80: string;
            gold60: string;
            gold40: string;
            yellow600: string;
            yellow100: string;
            green600: string;
            green500: string;
            green400: string;
            green300: string;
            green200: string;
            green100: string;
            green80: string;
            green60: string;
            green40: string;
            teal600: string;
            teal500: string;
            teal400: string;
            teal300: string;
            teal200: string;
            teal100: string;
            teal80: string;
            teal60: string;
            teal40: string;
            blue600: string;
            blue500: string;
            blue400: string;
            blue300: string;
            blue200: string;
            blue100: string;
            blue80: string;
            blue60: string;
            blue40: string;
            purple600: string;
            purple500: string;
            purple400: string;
            purple300: string;
            purple200: string;
            purple100: string;
            purple80: string;
            purple60: string;
            purple40: string;
            pink600: string;
            pink500: string;
            pink400: string;
            pink300: string;
            pink200: string;
            pink100: string;
            pink80: string;
            pink60: string;
            pink40: string;
            gray700: string;
            gray600: string;
            gray500: string;
            gray400: string;
            gray300: string;
            gray200: string;
            gray100: string;
            gray80: string;
            gray60: string;
            gray40: string;
            gray20: string;
            gray0: string;
        };
        sizes: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
            "087": string;
        };
        space: {
            "100": string;
            "125": string;
            "150": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "025": string;
            "050": string;
            "075": string;
        };
        radii: {
            "100": string;
            "125": string;
            "150": string;
            "012": string;
            "025": string;
            "050": string;
            "075": string;
            round: string;
        };
        fonts: {
            headline: string;
            subhead: string;
            body: string;
            meta: string;
            magazine: string;
        };
        fontSizes: {
            "100": string;
            "112": string;
            "125": string;
            "150": string;
            "162": string;
            "175": string;
            "200": string;
            "225": string;
            "250": string;
            "275": string;
            "300": string;
            "350": string;
            "400": string;
            "450": string;
            "500": string;
            "075": string;
            "087": string;
        };
        fontWeights: {
            light: number;
            regular: number;
            bold: number;
            ultra: number;
        };
        shadows: {
            "50": string;
            "100": string;
            "200": string;
            "300": string;
            "400": string;
            "500": string;
        };
        zIndices: {
            offer: number;
            shell: number;
            ads: number;
            page: number;
        };
        lineHeights: {
            headline: string;
            body: string;
            meta: string;
            subhead: string;
            "100": number;
            "110": number;
            "125": number;
            "150": number;
            "160": number;
            "175": number;
            "200": number;
            "240": number;
        };
        transitions: {
            allFast: string;
            fast: string;
            normal: string;
            inOut: string;
        };
        borderStyles: unknown;
        borderWidths: unknown;
        letterSpacings: unknown;
    }, _stitches_react_types_config.DefaultThemeMap, {
        px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
            paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
            paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        };
        my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
            marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
            marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        };
        size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
            width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
            height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        };
    }>>;
};

declare const ActionMenuCheckboxItem: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuCheckboxItemProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuContent: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuContentProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuGroup: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuGroupProps & React__default.RefAttributes<HTMLDivElement>>;

declare type ActionMenuIconProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    side?: "left" | "right";
};
declare const ActionMenuIcon: React__default.ForwardRefExoticComponent<ActionMenuIconProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuItem: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuItemProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuItemIndicator: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuItemIndicatorProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuLabel: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuLabelProps & React__default.RefAttributes<HTMLDivElement>>;

declare type ActionMenuPortalProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & DropdownMenuPortalProps;
declare const ActionMenuPortal: ({ children, ...props }: ActionMenuPortalProps) => React__default.JSX.Element;

declare const ActionMenuRadioGroup: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuRadioGroupProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuRadioItem: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuRadioItemProps & React__default.RefAttributes<HTMLDivElement>>;

declare type DensityProp = "loose" | "default" | "compact";
declare type ActionMenuRootProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    density?: DensityProp;
} & DropdownMenuProps;
declare const ActionMenuRoot: {
    ({ density, ...props }: ActionMenuRootProps): React__default.JSX.Element;
    displayName: string;
};

declare const ActionMenuSeparator: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuSeparatorProps & React__default.RefAttributes<HTMLDivElement>>;

declare type ActionMenuSubProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & DropdownMenuSubProps;
declare const ActionMenuSub: {
    ({ ...props }: ActionMenuSubProps): React__default.JSX.Element;
    displayName: string;
};

declare type ShadowProp = "small" | "large";
declare const ActionMenuSubContent: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
    shadowSize?: ShadowProp | undefined;
} & ActionMenuPrimitive.DropdownMenuSubContentProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuSubTrigger: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
    onClick?: (() => void) | undefined;
} & ActionMenuPrimitive.DropdownMenuSubTriggerProps & React__default.RefAttributes<HTMLDivElement>>;

declare const ActionMenuTrigger: React__default.ForwardRefExoticComponent<{
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS | undefined;
} & ActionMenuPrimitive.DropdownMenuTriggerProps & React__default.RefAttributes<HTMLButtonElement>>;

declare type ActionMenuProps = {
    CheckboxItem: typeof ActionMenuCheckboxItem;
    Content: typeof ActionMenuContent;
    Group: typeof ActionMenuGroup;
    Icon: typeof ActionMenuIcon;
    Item: typeof ActionMenuItem;
    ItemIndicator: typeof ActionMenuItemIndicator;
    Label: typeof ActionMenuLabel;
    Portal: typeof ActionMenuPortal;
    RadioGroup: typeof ActionMenuRadioGroup;
    RadioItem: typeof ActionMenuRadioItem;
    Root: typeof ActionMenuRoot;
    Separator: typeof ActionMenuSeparator;
    Sub: typeof ActionMenuSub;
    SubContent: typeof ActionMenuSubContent;
    SubTrigger: typeof ActionMenuSubTrigger;
    Trigger: typeof ActionMenuTrigger;
};
/**
 * ActionMenu
 */
declare const ActionMenu: ActionMenuProps;

declare const AnimatedContent: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<AccordionPrimitive.AccordionContentProps & React__default.RefAttributes<HTMLDivElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AccordionContentVariants = VariantProps<typeof AnimatedContent>;
declare type CombinedProps = AccordionContentProps & AccordionContentVariants;
interface AccordionContentInterface extends CombinedProps {
    css?: CSS;
}
declare const AccordionContent: React__default.ForwardRefExoticComponent<AccordionContentInterface & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledAccordionItem: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<AccordionPrimitive.AccordionItemProps & React__default.RefAttributes<HTMLDivElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AccordionItemProps = VariantProps<typeof StyledAccordionItem> & AccordionItemProps$1;
interface AccordionItemInterface extends AccordionItemProps {
    css?: CSS;
}
declare const AccordionItem: React__default.ForwardRefExoticComponent<AccordionItemInterface & React__default.RefAttributes<HTMLDivElement>>;

declare enum ACCORDION_TYPE {
    single = "single",
    multiple = "multiple"
}
declare enum ACCORDION_DENSITY {
    compact = "compact",
    loose = "loose",
    default = "default"
}
declare const StyledAccordion: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<(AccordionPrimitive.AccordionSingleProps | AccordionPrimitive.AccordionMultipleProps) & React__default.RefAttributes<HTMLDivElement>>, {
    disabled?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AccordionRootVariants = VariantProps<typeof StyledAccordion>;
declare type AccordionRootCombined = (AccordionSingleProps | AccordionMultipleProps) & AccordionRootVariants;
declare const AccordionRoot: React__default.ForwardRefExoticComponent<AccordionRootCombined & React__default.RefAttributes<HTMLDivElement>>;
declare const Accordion: {
    Root: React__default.ForwardRefExoticComponent<AccordionRootCombined & React__default.RefAttributes<HTMLDivElement>>;
    Item: React__default.ForwardRefExoticComponent<AccordionItemInterface & React__default.RefAttributes<HTMLDivElement>>;
    Content: React__default.ForwardRefExoticComponent<AccordionContentInterface & React__default.RefAttributes<HTMLDivElement>>;
    Trigger: React__default.ForwardRefExoticComponent<AccordionPrimitive.AccordionTriggerProps & _stitches_react_types_styled_component.TransformProps<{
        density?: "default" | "loose" | "compact" | undefined;
        forcefocus?: boolean | "true" | undefined;
    }, {
        sm: `(max-width: ${string})`;
        md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
        notSm: `(min-width: calc(${string} + 1px))`;
        notMd: `(min-width: calc(${string} + 1px))`;
        notLg: `(min-width: calc(${string} + 1px))`;
        notXl: `(min-width: calc(${string} + 1px))`;
        notXxl: `(min-width: calc(${string} + 1px ))`;
        minSm: `(min-width: calc(${string} + 1px))`;
        minMd: `(min-width: calc(${string} + 1px))`;
        minLg: `(min-width: calc(${string} + 1px))`;
        minXl: `(min-width: calc(${string} + 1px))`;
        minXxl: `(min-width: calc(${string} + 1px ))`;
        maxSm: `(max-width: ${string})`;
        maxMd: `(max-width: ${string})`;
        maxLg: `(max-width: ${string})`;
        maxXl: `(max-width: ${string})`;
        maxXxl: `(max-width: ${string})`;
        reducedMotion: "(prefers-reduced-motion)";
        hover: "(any-hover: hover)";
        dark: "(prefers-color-scheme: dark)";
        light: "(prefers-color-scheme: light)";
    }> & {
        css?: CSS | undefined;
        forcefocus?: boolean | undefined;
        children: React__default.ReactNode;
    } & React__default.RefAttributes<HTMLButtonElement>>;
};

declare const StyledHeader: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<AccordionPrimitive.AccordionHeaderProps & React__default.RefAttributes<HTMLHeadingElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type AccordionHeaderVariants = VariantProps<typeof StyledHeader>;
declare type HeaderCombinedProps = AccordionHeaderProps & AccordionHeaderVariants;
interface AccordionHeaderInterface extends HeaderCombinedProps {
    css?: CSS;
}
declare const AccordionHeader: React__default.ForwardRefExoticComponent<AccordionHeaderInterface & React__default.RefAttributes<HTMLDivElement>>;
declare const AccordionTrigger: React__default.ForwardRefExoticComponent<AccordionPrimitive.AccordionTriggerProps & _stitches_react_types_styled_component.TransformProps<{
    density?: "default" | "loose" | "compact" | undefined;
    forcefocus?: boolean | "true" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}> & {
    css?: CSS | undefined;
    forcefocus?: boolean | undefined;
    children: React__default.ReactNode;
} & React__default.RefAttributes<HTMLButtonElement>>;

declare const StyledCard: _stitches_react_types_styled_component.StyledComponent<"div", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type CardProps = {
    /** Override/include custom CSS */
    css?: CSS;
    /** The nested elements inside Card */
    children?: React__default.ReactNode;
} & React__default.ComponentPropsWithRef<typeof StyledCard>;
declare const Card: React__default.ForwardRefExoticComponent<Omit<CardProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type WPDSThemeColorObject = {
    token: string;
    value: string;
    scale: string;
    prefix: string;
};
interface IconInterface extends Omit<React__default.SVGProps<HTMLOrSVGElement>, "fill"> {
    /**
     * The name of the icon to display.
     */
    label: string;
    size?: "100" | "150" | "200" | number;
    children?: React__default.ReactNode;
    className?: string;
    css?: CSS;
    fill?: string | WPDSThemeColorObject;
    id?: string;
    alt?: string;
}
declare const Icon: React__default.ForwardRefExoticComponent<Omit<IconInterface, "ref"> & React__default.RefAttributes<React__default.ReactSVGElement>>;
declare type IconProps = React__default.ComponentPropsWithRef<typeof Icon>;

declare const SwitchRoot: _stitches_react_types_styled_component.StyledComponent<React$1.ForwardRefExoticComponent<SwitchPrimitive.SwitchProps & React$1.RefAttributes<HTMLButtonElement>>, {
    variant?: "cta" | "primary" | undefined;
    error?: boolean | "true" | "false" | undefined;
}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SwitchRootProps = React$1.ComponentProps<typeof SwitchRoot>;

declare const SwitchThumb: _stitches_react_types_styled_component.StyledComponent<React$1.ForwardRefExoticComponent<SwitchPrimitive.SwitchThumbProps & React$1.RefAttributes<HTMLSpanElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type SwitchThumbProps = SwitchThumbProps$1;

declare type SwitchProps = {
    Root: typeof SwitchRoot;
    Thumb: typeof SwitchThumb;
};
declare const Switch: SwitchProps;

declare const VisuallyHidden: _stitches_react_types_styled_component.StyledComponent<"span", {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type VisuallyHiddenProps = React.ComponentProps<typeof VisuallyHidden>;

declare type NavigationMenuRootProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof NavigationMenuPrimitive.Root>;
declare const NavigationMenuRoot: React__default.ForwardRefExoticComponent<Omit<NavigationMenuRootProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare const StyledNavigationMenuList: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<NavigationMenuPrimitive.NavigationMenuListProps & React__default.RefAttributes<HTMLUListElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type NavigationMenuListProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof StyledNavigationMenuList>;
declare const NavigationMenuList: React__default.ForwardRefExoticComponent<Omit<NavigationMenuListProps, "ref"> & React__default.RefAttributes<HTMLUListElement>>;

declare type NavigationMenuItemProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof NavigationMenuPrimitive.Item>;
declare const NavigationMenuItem: React__default.ForwardRefExoticComponent<Omit<NavigationMenuItemProps, "ref"> & React__default.RefAttributes<HTMLLIElement>>;

declare const StyledNavigationMenuLink: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<NavigationMenuPrimitive.NavigationMenuLinkProps & React__default.RefAttributes<HTMLAnchorElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type NavigationMenuLinkProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof StyledNavigationMenuLink>;
declare const NavigationMenuLink: React__default.ForwardRefExoticComponent<Omit<NavigationMenuLinkProps, "ref"> & React__default.RefAttributes<HTMLAnchorElement>>;

declare const StyledNavigationMenuTrigger: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<NavigationMenuPrimitive.NavigationMenuTriggerProps & React__default.RefAttributes<HTMLButtonElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type NavigationMenuTriggerProps = {
    /** Any React node may be used as a child */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof StyledNavigationMenuTrigger>;
declare const NavigationMenuTrigger: React__default.ForwardRefExoticComponent<Omit<NavigationMenuTriggerProps, "ref"> & React__default.RefAttributes<HTMLButtonElement>>;

declare const StyledNavigationMenuContent: _stitches_react_types_styled_component.StyledComponent<React__default.ForwardRefExoticComponent<NavigationMenuPrimitive.NavigationMenuContentProps & React__default.RefAttributes<HTMLDivElement>>, {}, {
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, _stitches_react_types_css_util.CSS<{
    sm: `(max-width: ${string})`;
    md: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    lg: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    xxl: `(min-width: calc(${string} + 1px)) and (max-width: ${string})`;
    notSm: `(min-width: calc(${string} + 1px))`;
    notMd: `(min-width: calc(${string} + 1px))`;
    notLg: `(min-width: calc(${string} + 1px))`;
    notXl: `(min-width: calc(${string} + 1px))`;
    notXxl: `(min-width: calc(${string} + 1px ))`;
    minSm: `(min-width: calc(${string} + 1px))`;
    minMd: `(min-width: calc(${string} + 1px))`;
    minLg: `(min-width: calc(${string} + 1px))`;
    minXl: `(min-width: calc(${string} + 1px))`;
    minXxl: `(min-width: calc(${string} + 1px ))`;
    maxSm: `(max-width: ${string})`;
    maxMd: `(max-width: ${string})`;
    maxLg: `(max-width: ${string})`;
    maxXl: `(max-width: ${string})`;
    maxXxl: `(max-width: ${string})`;
    reducedMotion: "(prefers-reduced-motion)";
    hover: "(any-hover: hover)";
    dark: "(prefers-color-scheme: dark)";
    light: "(prefers-color-scheme: light)";
}, {
    colors: {
        errorContainer: string;
        error: string;
        warningContainer: string;
        warning: string;
        successContainer: string;
        success: string;
        signalContainer: string;
        signal: string;
        "onMessage-subtle-hover": string;
        "onMessage-subtle": string;
        "onMessage-hover": string;
        onMessage: string;
        portal: string;
        "onPortal-subtle-hover": string;
        "onPortal-subtle": string;
        "onPortal-hover": string;
        onPortal: string;
        "onSurface-subtle-hover": string;
        "onSurface-subtle": string;
        "onSurface-hover": string;
        onSurface: string;
        "surface-highest": string;
        surface: string;
        "onBackground-subtle-hover": string;
        "onBackground-subtle": string;
        "onBackground-hover": string;
        onBackground: string;
        "background-forSurfaces": string;
        background: string;
        accessible: string;
        "outline-subtle": string;
        outline: string;
        subtle: string;
        faint: string;
        onDisabled: string;
        disabled: string;
        "onCtaContainer-subtle-hover": string;
        "onCtaContainer-subtle": string;
        "onCtaContainer-hover": string;
        onCtaContainer: string;
        ctaContainer: string;
        "onCta-hover": string;
        onCta: string;
        "cta-hover": string;
        cta: string;
        "onSecondary-subtle-hover": string;
        "onSecondary-subtle": string;
        "onSecondary-hover": string;
        onSecondary: string;
        "secondary-hover": string;
        secondary: string;
        "onPrimary-subtle-hover": string;
        "onPrimary-subtle": string;
        "onPrimary-hover": string;
        onPrimary: string;
        "primary-hover": string;
        primary: string;
        opinions: string;
        "opinions-hover": string;
        onOpinions: string;
        "onOpinions-hover": string;
        opinionsContainer: string;
        onOpinionsContainer: string;
        "onOpinionsContainer-hover": string;
        "alpha0-static": string;
        "alpha20-static": string;
        "alpha40-static": string;
        "alpha60-static": string;
        "alpha80-static": string;
        "alpha100-static": string;
        "alpha200-static": string;
        "alpha300-static": string;
        "alpha400-static": string;
        "alpha500-static": string;
        "alpha50-static": string;
        "alpha25-static": string;
        "red600-static": string;
        "red500-static": string;
        "red400-static": string;
        "red300-static": string;
        "red200-static": string;
        "red100-static": string;
        "red80-static": string;
        "red60-static": string;
        "red40-static": string;
        "spark600-static": string;
        "spark500-static": string;
        "spark400-static": string;
        "spark300-static": string;
        "spark200-static": string;
        "spark100-static": string;
        "spark80-static": string;
        "spark60-static": string;
        "spark40-static": string;
        "orange600-static": string;
        "orange500-static": string;
        "orange400-static": string;
        "orange300-static": string;
        "orange200-static": string;
        "orange100-static": string;
        "orange80-static": string;
        "orange60-static": string;
        "orange40-static": string;
        "mustard600-static": string;
        "mustard500-static": string;
        "mustard400-static": string;
        "mustard300-static": string;
        "mustard200-static": string;
        "mustard100-static": string;
        "mustard80-static": string;
        "mustard60-static": string;
        "mustard40-static": string;
        "gold600-static": string;
        "gold500-static": string;
        "gold400-static": string;
        "gold300-static": string;
        "gold200-static": string;
        "gold100-static": string;
        "gold80-static": string;
        "gold60-static": string;
        "gold40-static": string;
        "yellow600-static": string;
        "yellow100-static": string;
        "green600-static": string;
        "green500-static": string;
        "green400-static": string;
        "green300-static": string;
        "green200-static": string;
        "green100-static": string;
        "green80-static": string;
        "green60-static": string;
        "green40-static": string;
        "teal600-static": string;
        "teal500-static": string;
        "teal400-static": string;
        "teal300-static": string;
        "teal200-static": string;
        "teal100-static": string;
        "teal80-static": string;
        "teal60-static": string;
        "teal40-static": string;
        "blue600-static": string;
        "blue500-static": string;
        "blue400-static": string;
        "blue300-static": string;
        "blue200-static": string;
        "blue100-static": string;
        "blue80-static": string;
        "blue60-static": string;
        "blue40-static": string;
        "purple600-static": string;
        "purple500-static": string;
        "purple400-static": string;
        "purple300-static": string;
        "purple200-static": string;
        "purple100-static": string;
        "purple80-static": string;
        "purple60-static": string;
        "purple40-static": string;
        "pink600-static": string;
        "pink500-static": string;
        "pink400-static": string;
        "pink300-static": string;
        "pink200-static": string;
        "pink100-static": string;
        "pink80-static": string;
        "pink60-static": string;
        "pink40-static": string;
        "gray700-static": string;
        "gray600-static": string;
        "gray500-static": string;
        "gray400-static": string;
        "gray300-static": string;
        "gray200-static": string;
        "gray100-static": string;
        "gray80-static": string;
        "gray60-static": string;
        "gray40-static": string;
        "gray20-static": string;
        "gray0-static": string;
        alpha0: string;
        alpha20: string;
        alpha40: string;
        alpha60: string;
        alpha80: string;
        alpha100: string;
        alpha200: string;
        alpha300: string;
        alpha400: string;
        alpha500: string;
        "alpha0-invert": string;
        "alpha20-invert": string;
        "alpha40-invert": string;
        "alpha60-invert": string;
        "alpha80-invert": string;
        "alpha100-invert": string;
        "alpha200-invert": string;
        "alpha300-invert": string;
        "alpha400-invert": string;
        "alpha500-invert": string;
        alpha50: string;
        alpha25: string;
        red600: string;
        red500: string;
        red400: string;
        red300: string;
        red200: string;
        red100: string;
        red80: string;
        red60: string;
        red40: string;
        spark600: string;
        spark500: string;
        spark400: string;
        spark300: string;
        spark200: string;
        spark100: string;
        spark80: string;
        spark60: string;
        spark40: string;
        orange600: string;
        orange500: string;
        orange400: string;
        orange300: string;
        orange200: string;
        orange100: string;
        orange80: string;
        orange60: string;
        orange40: string;
        mustard600: string;
        mustard500: string;
        mustard400: string;
        mustard300: string;
        mustard200: string;
        mustard100: string;
        mustard80: string;
        mustard60: string;
        mustard40: string;
        gold600: string;
        gold500: string;
        gold400: string;
        gold300: string;
        gold200: string;
        gold100: string;
        gold80: string;
        gold60: string;
        gold40: string;
        yellow600: string;
        yellow100: string;
        green600: string;
        green500: string;
        green400: string;
        green300: string;
        green200: string;
        green100: string;
        green80: string;
        green60: string;
        green40: string;
        teal600: string;
        teal500: string;
        teal400: string;
        teal300: string;
        teal200: string;
        teal100: string;
        teal80: string;
        teal60: string;
        teal40: string;
        blue600: string;
        blue500: string;
        blue400: string;
        blue300: string;
        blue200: string;
        blue100: string;
        blue80: string;
        blue60: string;
        blue40: string;
        purple600: string;
        purple500: string;
        purple400: string;
        purple300: string;
        purple200: string;
        purple100: string;
        purple80: string;
        purple60: string;
        purple40: string;
        pink600: string;
        pink500: string;
        pink400: string;
        pink300: string;
        pink200: string;
        pink100: string;
        pink80: string;
        pink60: string;
        pink40: string;
        gray700: string;
        gray600: string;
        gray500: string;
        gray400: string;
        gray300: string;
        gray200: string;
        gray100: string;
        gray80: string;
        gray60: string;
        gray40: string;
        gray20: string;
        gray0: string;
    };
    sizes: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
        "087": string;
    };
    space: {
        "100": string;
        "125": string;
        "150": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "025": string;
        "050": string;
        "075": string;
    };
    radii: {
        "100": string;
        "125": string;
        "150": string;
        "012": string;
        "025": string;
        "050": string;
        "075": string;
        round: string;
    };
    fonts: {
        headline: string;
        subhead: string;
        body: string;
        meta: string;
        magazine: string;
    };
    fontSizes: {
        "100": string;
        "112": string;
        "125": string;
        "150": string;
        "162": string;
        "175": string;
        "200": string;
        "225": string;
        "250": string;
        "275": string;
        "300": string;
        "350": string;
        "400": string;
        "450": string;
        "500": string;
        "075": string;
        "087": string;
    };
    fontWeights: {
        light: number;
        regular: number;
        bold: number;
        ultra: number;
    };
    shadows: {
        "50": string;
        "100": string;
        "200": string;
        "300": string;
        "400": string;
        "500": string;
    };
    zIndices: {
        offer: number;
        shell: number;
        ads: number;
        page: number;
    };
    lineHeights: {
        headline: string;
        body: string;
        meta: string;
        subhead: string;
        "100": number;
        "110": number;
        "125": number;
        "150": number;
        "160": number;
        "175": number;
        "200": number;
        "240": number;
    };
    transitions: {
        allFast: string;
        fast: string;
        normal: string;
        inOut: string;
    };
    borderStyles: unknown;
    borderWidths: unknown;
    letterSpacings: unknown;
}, _stitches_react_types_config.DefaultThemeMap, {
    px: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingLeft: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingRight: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    py: (value: _stitches_react_types_css_util.WithPropertyValue<"padding">) => {
        paddingTop: _stitches_react_types_css_util.WithPropertyValue<"padding">;
        paddingBottom: _stitches_react_types_css_util.WithPropertyValue<"padding">;
    };
    my: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginTop: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginBottom: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    mx: (value: _stitches_react_types_css_util.WithPropertyValue<"margin">) => {
        marginLeft: _stitches_react_types_css_util.WithPropertyValue<"margin">;
        marginRight: _stitches_react_types_css_util.WithPropertyValue<"margin">;
    };
    size: (value: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">) => {
        width: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
        height: _stitches_react_types_css_util.WithPropertyValue<"height" | "width">;
    };
}>>;
declare type NavigationMenuContentProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
    /** Trigger dom element used for positioning */
    referenceElement?: HTMLButtonElement;
    /** The preferred side of the trigger to render against when open. */
    side?: "bottom" | "left" | "right" | "top";
    /** The preferred alignment against the anchor. */
    align?: "center" | "end" | "start";
    /** Popper options object to pass to internal popper */
    popperOptions?: Parameters<typeof usePopper>[2];
} & React__default.ComponentPropsWithRef<typeof StyledNavigationMenuContent>;
declare const NavigationMenuContent: React__default.ForwardRefExoticComponent<Omit<NavigationMenuContentProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type NavigationMenuSubProps = {
    /** Any React node may be used as a child to allow for formatting */
    children?: React__default.ReactNode;
    /** Override CSS */
    css?: CSS;
} & React__default.ComponentPropsWithRef<typeof NavigationMenuPrimitive.Sub>;
declare const NavigationMenuSub: React__default.ForwardRefExoticComponent<Omit<NavigationMenuSubProps, "ref"> & React__default.RefAttributes<HTMLDivElement>>;

declare type NavigationMenuProps = {
    Root: typeof NavigationMenuRoot;
    List: typeof NavigationMenuList;
    Item: typeof NavigationMenuItem;
    Link: typeof NavigationMenuLink;
    Trigger: typeof NavigationMenuTrigger;
    Content: typeof NavigationMenuContent;
    Sub: typeof NavigationMenuSub;
};
declare const NavigationMenu: NavigationMenuProps;

export { ACCORDION_DENSITY, ACCORDION_TYPE, Accordion, AccordionContent, type AccordionContentInterface, AccordionHeader, type AccordionHeaderInterface, AccordionItem, type AccordionItemInterface, AccordionRoot, type AccordionRootCombined, AccordionTrigger, ActionMenu, ActionMenuCheckboxItem, ActionMenuContent, ActionMenuGroup, ActionMenuIcon, ActionMenuItem, ActionMenuItemIndicator, ActionMenuLabel, ActionMenuPortal, ActionMenuRadioGroup, ActionMenuRadioItem, ActionMenuRoot, ActionMenuSeparator, ActionMenuSub, ActionMenuSubContent, ActionMenuSubTrigger, ActionMenuTrigger, AlertBanner, AlertBannerContent, type AlertBannerContentProps, type AlertBannerProps, AlertBannerRoot, AlertBannerTrigger, type AlertBannerTriggerInterface, type AlertBannerTriggerProps, AppBar, type AppBarProps, Avatar, Box, type BoxProps, Button, type ButtonInterface, type ButtonProps, type CSS, Card, Carousel, CarouselContent, type CarouselContentProps, CarouselContext, CarouselDots, type CarouselDotsProps, CarouselFooter, type CarouselFooterProps, CarouselHeader, CarouselHeaderActions, type CarouselHeaderActionsProps, CarouselHeaderContent, type CarouselHeaderContentProps, type CarouselHeaderProps, CarouselItem, type CarouselItemProps, CarouselNextButton, type CarouselNextButtonProps, CarouselPreviousButton, type CarouselPreviousButtonProps, CarouselRoot, type CarouselRootProps, CarouselTitle, type CarouselTitleProps, Checkbox, type CheckboxInterface, type CheckboxProps, Container$7 as Container, type ContainerProps, Dialog, DialogBody, type DialogBodyProps, DialogClose, type DialogCloseProps, DialogContent, type DialogContentProps, DialogContext, DialogDescription, type DialogDescriptionProps, DialogFooter, type DialogFooterProps, DialogHeader, type DialogHeaderProps, DialogOverlay, type DialogOverlayProps, DialogPortal, type DialogPortalProps, type DialogProps, DialogRoot, type DialogRootProps, DialogTitle, type DialogTitleProps, DialogTrigger, type DialogTriggerProps, Divider, type DividerProps, Drawer, DrawerClose, type DrawerCloseProps, DrawerContent, type DrawerContentProps, DrawerContext, DrawerCustomTrigger, type DrawerCustomTriggerProps, DrawerRoot, type DrawerRootProps, DrawerScrim, type DrawerScrimProps, DrawerTrigger, type DrawerTriggerProps, ErrorMessage, type ErrorMessageProps, Fieldset, type FieldsetProps, FloatingLabelStyles, HelperText, type HelperTextProps, Icon, type IconInterface, type IconProps, InputLabel, type InputLabelProps, InputPassword, type InputPasswordProps, InputSearch, InputSearchContext, InputSearchEmptyState, type InputSearchEmptyStateProps, InputSearchInput, type InputSearchInputProps, InputSearchItemText, type InputSearchItemTextProps, InputSearchList, InputSearchListHeading, InputSearchListItem, type InputSearchListProps, InputSearchLoadingState, type InputSearchLoadingStateProps, InputSearchPopover, type InputSearchPopoverProps, type InputSearchProps, InputSearchRoot, type InputSearchRootProps, InputText, type InputTextProps, InputTextarea, type InputTextareaProps, NavigationMenu, NavigationMenuContent, type NavigationMenuContentProps, NavigationMenuItem, type NavigationMenuItemProps, NavigationMenuLink, type NavigationMenuLinkProps, NavigationMenuList, type NavigationMenuListProps, type NavigationMenuProps, NavigationMenuRoot, type NavigationMenuRootProps, NavigationMenuSub, type NavigationMenuSubProps, NavigationMenuTrigger, type NavigationMenuTriggerProps, PaginationDots, type PaginationDotsProps, Popover, PopoverAnchor, type PopoverAnchorProps, PopoverClose, type PopoverCloseProps, PopoverContent, type PopoverContentProps, PopoverPortal, type PopoverPortalProps, type PopoverProps, PopoverRoot, type PopoverRootProps, PopoverTrigger, type PopoverTriggerProps, RadioButton, type RadioButtonProps, RadioGroup, type RadioGroupProps, RequiredIndicatorCSS, Scrim, type ScrimProps, Select, SelectContent, type SelectContentProps, SelectContext, SelectGroup, type SelectGroupProps, SelectItem, type SelectItemProps, SelectLabel, SelectRoot, type SelectRootProps, SelectTrigger, SelectValue, type StyleCheckboxProps, Switch, type SwitchProps, SwitchRoot, type SwitchRootProps, SwitchThumb, type SwitchThumbProps, Tabs, TabsContent, type TabsContentProps, TabsList, type TabsListProps, type TabsProps, TabsRoot, type TabsRootProps, TabsTrigger, type TabsTriggerProps, Tooltip, TooltipContent, type TooltipContentInterface, TooltipPortal, TooltipProvider, TooltipRoot, TooltipTrigger, type TooltipTriggerInterface, VisuallyHidden, type VisuallyHiddenProps, type WPDSThemeColorObject, type WPDSThemeSpaceObject, config, createTheme, css, darkModeGlobalStyles, darkTheme, getCssText, getScreenSize, globalCss, globalInputAutoFillTriggerAnimations, globalStyles, keyframes, lightTheme, reset, screenSizesEnums, sharedInputStyles, sharedInputVariants, styled, theme, unstyledInputStyles, useActiveDescendant, useFloating, useResponsiveScreenSize, utils };
